/***************************************************************************
 *   Copyright (C) 2013 by Alex Graf                                       *
 *   grafal@sourceforge.net                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "BoundBox.h"
#include "ElevationDef.h"
#include "ElevationSetList.h"

ElevationDef::ElevationDef()
{
}

void ElevationDef::addEuropeSet(ElevationSetList &setList)
{
  setList.push_back(new ElevationSet("EU/N47E006.hgt", "http://www.viewfinderpanoramas.org/dem1/N47E006.zip", BoundBox(LatLng(47, 6), LatLng(48, 7))));
  setList.push_back(new ElevationSet("EU/N47E007.hgt", "http://www.viewfinderpanoramas.org/dem1/N47E007.zip", BoundBox(LatLng(47, 7), LatLng(48, 8))));
  setList.push_back(new ElevationSet("EU/N47E008.hgt", "http://www.viewfinderpanoramas.org/dem1/N47E008.zip", BoundBox(LatLng(47, 8), LatLng(48, 9))));
  setList.push_back(new ElevationSet("EU/N47E009.hgt", "http://www.viewfinderpanoramas.org/dem1/N47E009.zip", BoundBox(LatLng(47, 9), LatLng(48, 10))));
  setList.push_back(new ElevationSet("EU/N47E010.hgt", "http://www.viewfinderpanoramas.org/dem1/N47E010.zip", BoundBox(LatLng(47, 10), LatLng(48, 11))));
  setList.push_back(new ElevationSet("EU/N47E011.hgt", "http://www.viewfinderpanoramas.org/dem1/N47E011.zip", BoundBox(LatLng(47, 11), LatLng(48, 12))));
  setList.push_back(new ElevationSet("EU/N47E012.hgt", "http://www.viewfinderpanoramas.org/dem1/N47E012.zip", BoundBox(LatLng(47, 12), LatLng(48, 13))));
  setList.push_back(new ElevationSet("EU/N47E013.hgt", "http://www.viewfinderpanoramas.org/dem1/N47E013.zip", BoundBox(LatLng(47, 13), LatLng(48, 14))));
  setList.push_back(new ElevationSet("EU/N47E014.hgt", "http://www.viewfinderpanoramas.org/dem1/N47E014.zip", BoundBox(LatLng(47, 14), LatLng(48, 15))));
  setList.push_back(new ElevationSet("EU/N47E015.hgt", "http://www.viewfinderpanoramas.org/dem1/N47E015.zip", BoundBox(LatLng(47, 15), LatLng(48, 16))));
  setList.push_back(new ElevationSet("EU/N46E005.hgt", "http://www.viewfinderpanoramas.org/dem1/N46E005.zip", BoundBox(LatLng(46, 5), LatLng(47, 6))));
  setList.push_back(new ElevationSet("EU/N46E006.hgt", "http://www.viewfinderpanoramas.org/dem1/N46E006.zip", BoundBox(LatLng(46, 6), LatLng(47, 7))));
  setList.push_back(new ElevationSet("EU/N46E007.hgt", "http://www.viewfinderpanoramas.org/dem1/N46E007.zip", BoundBox(LatLng(46, 7), LatLng(47, 8))));
  setList.push_back(new ElevationSet("EU/N46E008.hgt", "http://www.viewfinderpanoramas.org/dem1/N46E008.zip", BoundBox(LatLng(46, 8), LatLng(47, 9))));
  setList.push_back(new ElevationSet("EU/N46E009.hgt", "http://www.viewfinderpanoramas.org/dem1/N46E009.zip", BoundBox(LatLng(46, 9), LatLng(47, 10))));
  setList.push_back(new ElevationSet("EU/N46E010.hgt", "http://www.viewfinderpanoramas.org/dem1/N46E010.zip", BoundBox(LatLng(46, 10), LatLng(47, 11))));
  setList.push_back(new ElevationSet("EU/N46E011.hgt", "http://www.viewfinderpanoramas.org/dem1/N46E011.zip", BoundBox(LatLng(46, 11), LatLng(47, 12))));
  setList.push_back(new ElevationSet("EU/N46E012.hgt", "http://www.viewfinderpanoramas.org/dem1/N46E012.zip", BoundBox(LatLng(46, 12), LatLng(47, 13))));
  setList.push_back(new ElevationSet("EU/N46E013.hgt", "http://www.viewfinderpanoramas.org/dem1/N46E013.zip", BoundBox(LatLng(46, 13), LatLng(47, 14))));
  setList.push_back(new ElevationSet("EU/N46E014.hgt", "http://www.viewfinderpanoramas.org/dem1/N46E014.zip", BoundBox(LatLng(46, 14), LatLng(47, 15))));
  setList.push_back(new ElevationSet("EU/N46E015.hgt", "http://www.viewfinderpanoramas.org/dem1/N46E015.zip", BoundBox(LatLng(46, 15), LatLng(47, 16))));
  setList.push_back(new ElevationSet("EU/N45E005.hgt", "http://www.viewfinderpanoramas.org/dem1/N45E005.zip", BoundBox(LatLng(45, 5), LatLng(46, 6))));
  setList.push_back(new ElevationSet("EU/N45E006.hgt", "http://www.viewfinderpanoramas.org/dem1/N45E006.zip", BoundBox(LatLng(45, 6), LatLng(46, 7))));
  setList.push_back(new ElevationSet("EU/N45E007.hgt", "http://www.viewfinderpanoramas.org/dem1/N45E007.zip", BoundBox(LatLng(45, 7), LatLng(46, 8))));
  setList.push_back(new ElevationSet("EU/N45E008.hgt", "http://www.viewfinderpanoramas.org/dem1/N45E008.zip", BoundBox(LatLng(45, 8), LatLng(46, 9))));
  setList.push_back(new ElevationSet("EU/N45E009.hgt", "http://www.viewfinderpanoramas.org/dem1/N45E009.zip", BoundBox(LatLng(45, 9), LatLng(46, 10))));
  setList.push_back(new ElevationSet("EU/N45E010.hgt", "http://www.viewfinderpanoramas.org/dem1/N45E010.zip", BoundBox(LatLng(45, 10), LatLng(46, 11))));
  setList.push_back(new ElevationSet("EU/N45E011.hgt", "http://www.viewfinderpanoramas.org/dem1/N45E011.zip", BoundBox(LatLng(45, 11), LatLng(46, 12))));
  setList.push_back(new ElevationSet("EU/N44E005.hgt", "http://www.viewfinderpanoramas.org/dem1/N44E005.zip", BoundBox(LatLng(44, 5), LatLng(45, 6))));
  setList.push_back(new ElevationSet("EU/N44E006.hgt", "http://www.viewfinderpanoramas.org/dem1/N44E006.zip", BoundBox(LatLng(44, 6), LatLng(45, 7))));
  setList.push_back(new ElevationSet("EU/N44E007.hgt", "http://www.viewfinderpanoramas.org/dem1/N44E007.zip", BoundBox(LatLng(44, 7), LatLng(45, 8))));
  setList.push_back(new ElevationSet("EU/N43E005.hgt", "http://www.viewfinderpanoramas.org/dem1/N43E005.zip", BoundBox(LatLng(43, 5), LatLng(44, 6))));
  setList.push_back(new ElevationSet("EU/N43E006.hgt", "http://www.viewfinderpanoramas.org/dem1/N43E006.zip", BoundBox(LatLng(43, 6), LatLng(44, 7))));
  setList.push_back(new ElevationSet("EU/N43E007.hgt", "http://www.viewfinderpanoramas.org/dem1/N43E007.zip", BoundBox(LatLng(43, 7), LatLng(44, 8))));
}

// generated with /home/grafal/examples/flyhigh/tools/viewfinder
void ElevationDef::addWorldSet(ElevationSetList &setList)
{
  setList.push_back(new ElevationSet("U14/", "http://www.viewfinderpanoramas.org/dem3/U14.zip", BoundBox(LatLng(80.0, -102.0), LatLng(84.0, -96.0))));
  setList.push_back(new ElevationSet("U15/", "http://www.viewfinderpanoramas.org/dem3/U15.zip", BoundBox(LatLng(80.0, -96.0), LatLng(84.0, -90.0))));
  setList.push_back(new ElevationSet("U16/", "http://www.viewfinderpanoramas.org/dem3/U16.zip", BoundBox(LatLng(80.0, -90.0), LatLng(84.0, -84.0))));
  setList.push_back(new ElevationSet("U17/", "http://www.viewfinderpanoramas.org/dem3/U17.zip", BoundBox(LatLng(80.0, -84.0), LatLng(84.0, -78.0))));
  setList.push_back(new ElevationSet("U18/", "http://www.viewfinderpanoramas.org/dem3/U18.zip", BoundBox(LatLng(80.0, -78.0), LatLng(84.0, -72.0))));
  setList.push_back(new ElevationSet("U19/", "http://www.viewfinderpanoramas.org/dem3/U19.zip", BoundBox(LatLng(80.0, -72.0), LatLng(84.0, -66.0))));
  setList.push_back(new ElevationSet("U20/", "http://www.viewfinderpanoramas.org/dem3/U20.zip", BoundBox(LatLng(80.0, -66.0), LatLng(84.0, -60.0))));
  setList.push_back(new ElevationSet("U21/", "http://www.viewfinderpanoramas.org/dem3/U21.zip", BoundBox(LatLng(80.0, -60.0), LatLng(84.0, -54.0))));
  setList.push_back(new ElevationSet("U22/", "http://www.viewfinderpanoramas.org/dem3/U22.zip", BoundBox(LatLng(80.0, -54.0), LatLng(84.0, -48.0))));
  setList.push_back(new ElevationSet("U33/", "http://www.viewfinderpanoramas.org/dem3/SV.zip", BoundBox(LatLng(80.0, 12.0), LatLng(84.0, 18.0))));
  setList.push_back(new ElevationSet("U34/", "http://www.viewfinderpanoramas.org/dem3/SV.zip", BoundBox(LatLng(80.0, 18.0), LatLng(84.0, 24.0))));
  setList.push_back(new ElevationSet("U35/", "http://www.viewfinderpanoramas.org/dem3/SV.zip", BoundBox(LatLng(80.0, 24.0), LatLng(84.0, 30.0))));
  setList.push_back(new ElevationSet("U36/", "http://www.viewfinderpanoramas.org/dem3/SV.zip", BoundBox(LatLng(80.0, 30.0), LatLng(84.0, 36.0))));
  setList.push_back(new ElevationSet("U37/", "http://www.viewfinderpanoramas.org/dem3/FJ.zip", BoundBox(LatLng(80.0, 36.0), LatLng(84.0, 42.0))));
  setList.push_back(new ElevationSet("U38/", "http://www.viewfinderpanoramas.org/dem3/FJ.zip", BoundBox(LatLng(80.0, 42.0), LatLng(84.0, 48.0))));
  setList.push_back(new ElevationSet("U39/", "http://www.viewfinderpanoramas.org/dem3/FJ.zip", BoundBox(LatLng(80.0, 48.0), LatLng(84.0, 54.0))));
  setList.push_back(new ElevationSet("U40/", "http://www.viewfinderpanoramas.org/dem3/FJ.zip", BoundBox(LatLng(80.0, 54.0), LatLng(84.0, 60.0))));
  setList.push_back(new ElevationSet("U41/", "http://www.viewfinderpanoramas.org/dem3/FJ.zip", BoundBox(LatLng(80.0, 60.0), LatLng(84.0, 66.0))));
  setList.push_back(new ElevationSet("U44/", "http://www.viewfinderpanoramas.org/dem3/U44.zip", BoundBox(LatLng(80.0, 78.0), LatLng(84.0, 84.0))));
  setList.push_back(new ElevationSet("U46/", "http://www.viewfinderpanoramas.org/dem3/U46.zip", BoundBox(LatLng(80.0, 90.0), LatLng(84.0, 96.0))));
  setList.push_back(new ElevationSet("U47/", "http://www.viewfinderpanoramas.org/dem3/U47.zip", BoundBox(LatLng(80.0, 96.0), LatLng(84.0, 102.0))));
  setList.push_back(new ElevationSet("T10/", "http://www.viewfinderpanoramas.org/dem3/T10.zip", BoundBox(LatLng(76.0, -126.0), LatLng(80.0, -120.0))));
  setList.push_back(new ElevationSet("T11/", "http://www.viewfinderpanoramas.org/dem3/T11.zip", BoundBox(LatLng(76.0, -120.0), LatLng(80.0, -114.0))));
  setList.push_back(new ElevationSet("T12/", "http://www.viewfinderpanoramas.org/dem3/T12.zip", BoundBox(LatLng(76.0, -114.0), LatLng(80.0, -108.0))));
  setList.push_back(new ElevationSet("T13/", "http://www.viewfinderpanoramas.org/dem3/T13.zip", BoundBox(LatLng(76.0, -108.0), LatLng(80.0, -102.0))));
  setList.push_back(new ElevationSet("T14/", "http://www.viewfinderpanoramas.org/dem3/T14.zip", BoundBox(LatLng(76.0, -102.0), LatLng(80.0, -96.0))));
  setList.push_back(new ElevationSet("T15/", "http://www.viewfinderpanoramas.org/dem3/T15.zip", BoundBox(LatLng(76.0, -96.0), LatLng(80.0, -90.0))));
  setList.push_back(new ElevationSet("T16/", "http://www.viewfinderpanoramas.org/dem3/T16.zip", BoundBox(LatLng(76.0, -90.0), LatLng(80.0, -84.0))));
  setList.push_back(new ElevationSet("T17/", "http://www.viewfinderpanoramas.org/dem3/T17.zip", BoundBox(LatLng(76.0, -84.0), LatLng(80.0, -78.0))));
  setList.push_back(new ElevationSet("T18/", "http://www.viewfinderpanoramas.org/dem3/T18.zip", BoundBox(LatLng(76.0, -78.0), LatLng(80.0, -72.0))));
  setList.push_back(new ElevationSet("T19/", "http://www.viewfinderpanoramas.org/dem3/T19.zip", BoundBox(LatLng(76.0, -72.0), LatLng(80.0, -66.0))));
  setList.push_back(new ElevationSet("T32/", "http://www.viewfinderpanoramas.org/dem3/SV.zip", BoundBox(LatLng(76.0, 6.0), LatLng(80.0, 12.0))));
  setList.push_back(new ElevationSet("T33/", "http://www.viewfinderpanoramas.org/dem3/SV.zip", BoundBox(LatLng(76.0, 12.0), LatLng(80.0, 18.0))));
  setList.push_back(new ElevationSet("T34/", "http://www.viewfinderpanoramas.org/dem3/SV.zip", BoundBox(LatLng(76.0, 18.0), LatLng(80.0, 24.0))));
  setList.push_back(new ElevationSet("T35/", "http://www.viewfinderpanoramas.org/dem3/SV.zip", BoundBox(LatLng(76.0, 24.0), LatLng(80.0, 30.0))));
  setList.push_back(new ElevationSet("T36/", "http://www.viewfinderpanoramas.org/dem3/SV.zip", BoundBox(LatLng(76.0, 30.0), LatLng(80.0, 36.0))));
  setList.push_back(new ElevationSet("T39/", "http://www.viewfinderpanoramas.org/dem3/FJ.zip", BoundBox(LatLng(76.0, 48.0), LatLng(80.0, 54.0))));
  setList.push_back(new ElevationSet("T40/", "http://www.viewfinderpanoramas.org/dem3/T40.zip", BoundBox(LatLng(76.0, 54.0), LatLng(80.0, 60.0))));
  setList.push_back(new ElevationSet("T41/", "http://www.viewfinderpanoramas.org/dem3/T41.zip", BoundBox(LatLng(76.0, 60.0), LatLng(80.0, 66.0))));
  setList.push_back(new ElevationSet("T42/", "http://www.viewfinderpanoramas.org/dem3/T42.zip", BoundBox(LatLng(76.0, 66.0), LatLng(80.0, 72.0))));
  setList.push_back(new ElevationSet("T43/", "http://www.viewfinderpanoramas.org/dem3/T43.zip", BoundBox(LatLng(76.0, 72.0), LatLng(80.0, 78.0))));
  setList.push_back(new ElevationSet("T44/", "http://www.viewfinderpanoramas.org/dem3/T44.zip", BoundBox(LatLng(76.0, 78.0), LatLng(80.0, 84.0))));
  setList.push_back(new ElevationSet("T45/", "http://www.viewfinderpanoramas.org/dem3/T45.zip", BoundBox(LatLng(76.0, 84.0), LatLng(80.0, 90.0))));
  setList.push_back(new ElevationSet("T46/", "http://www.viewfinderpanoramas.org/dem3/T46.zip", BoundBox(LatLng(76.0, 90.0), LatLng(80.0, 96.0))));
  setList.push_back(new ElevationSet("T47/", "http://www.viewfinderpanoramas.org/dem3/T47.zip", BoundBox(LatLng(76.0, 96.0), LatLng(80.0, 102.0))));
  setList.push_back(new ElevationSet("T48/", "http://www.viewfinderpanoramas.org/dem3/T48.zip", BoundBox(LatLng(76.0, 102.0), LatLng(80.0, 108.0))));
  setList.push_back(new ElevationSet("T49/", "http://www.viewfinderpanoramas.org/dem3/T49.zip", BoundBox(LatLng(76.0, 108.0), LatLng(80.0, 114.0))));
  setList.push_back(new ElevationSet("T53/", "http://www.viewfinderpanoramas.org/dem3/T53.zip", BoundBox(LatLng(76.0, 132.0), LatLng(80.0, 138.0))));
  setList.push_back(new ElevationSet("T54/", "http://www.viewfinderpanoramas.org/dem3/T54.zip", BoundBox(LatLng(76.0, 138.0), LatLng(80.0, 144.0))));
  setList.push_back(new ElevationSet("T55/", "http://www.viewfinderpanoramas.org/dem3/T55.zip", BoundBox(LatLng(76.0, 144.0), LatLng(80.0, 150.0))));
  setList.push_back(new ElevationSet("T56/", "http://www.viewfinderpanoramas.org/dem3/T56.zip", BoundBox(LatLng(76.0, 150.0), LatLng(80.0, 156.0))));
  setList.push_back(new ElevationSet("S10/", "http://www.viewfinderpanoramas.org/dem3/S10.zip", BoundBox(LatLng(72.0, -126.0), LatLng(76.0, -120.0))));
  setList.push_back(new ElevationSet("S11/", "http://www.viewfinderpanoramas.org/dem3/S11.zip", BoundBox(LatLng(72.0, -120.0), LatLng(76.0, -114.0))));
  setList.push_back(new ElevationSet("S12/", "http://www.viewfinderpanoramas.org/dem3/S12.zip", BoundBox(LatLng(72.0, -114.0), LatLng(76.0, -108.0))));
  setList.push_back(new ElevationSet("S13/", "http://www.viewfinderpanoramas.org/dem3/S13.zip", BoundBox(LatLng(72.0, -108.0), LatLng(76.0, -102.0))));
  setList.push_back(new ElevationSet("S14/", "http://www.viewfinderpanoramas.org/dem3/S14.zip", BoundBox(LatLng(72.0, -102.0), LatLng(76.0, -96.0))));
  setList.push_back(new ElevationSet("S15/", "http://www.viewfinderpanoramas.org/dem3/S15.zip", BoundBox(LatLng(72.0, -96.0), LatLng(76.0, -90.0))));
  setList.push_back(new ElevationSet("S16/", "http://www.viewfinderpanoramas.org/dem3/S16.zip", BoundBox(LatLng(72.0, -90.0), LatLng(76.0, -84.0))));
  setList.push_back(new ElevationSet("S17/", "http://www.viewfinderpanoramas.org/dem3/S17.zip", BoundBox(LatLng(72.0, -84.0), LatLng(76.0, -78.0))));
  setList.push_back(new ElevationSet("S18/", "http://www.viewfinderpanoramas.org/dem3/S18.zip", BoundBox(LatLng(72.0, -78.0), LatLng(76.0, -72.0))));
  setList.push_back(new ElevationSet("S39/", "http://www.viewfinderpanoramas.org/dem3/S39.zip", BoundBox(LatLng(72.0, 48.0), LatLng(76.0, 54.0))));
  setList.push_back(new ElevationSet("S40/", "http://www.viewfinderpanoramas.org/dem3/S40.zip", BoundBox(LatLng(72.0, 54.0), LatLng(76.0, 60.0))));
  setList.push_back(new ElevationSet("S41/", "http://www.viewfinderpanoramas.org/dem3/S41.zip", BoundBox(LatLng(72.0, 60.0), LatLng(76.0, 66.0))));
  setList.push_back(new ElevationSet("S42/", "http://www.viewfinderpanoramas.org/dem3/S42.zip", BoundBox(LatLng(72.0, 66.0), LatLng(76.0, 72.0))));
  setList.push_back(new ElevationSet("S43/", "http://www.viewfinderpanoramas.org/dem3/S43.zip", BoundBox(LatLng(72.0, 72.0), LatLng(76.0, 78.0))));
  setList.push_back(new ElevationSet("S44/", "http://www.viewfinderpanoramas.org/dem3/S44.zip", BoundBox(LatLng(72.0, 78.0), LatLng(76.0, 84.0))));
  setList.push_back(new ElevationSet("S45/", "http://www.viewfinderpanoramas.org/dem3/S45.zip", BoundBox(LatLng(72.0, 84.0), LatLng(76.0, 90.0))));
  setList.push_back(new ElevationSet("S46/", "http://www.viewfinderpanoramas.org/dem3/S46.zip", BoundBox(LatLng(72.0, 90.0), LatLng(76.0, 96.0))));
  setList.push_back(new ElevationSet("S47/", "http://www.viewfinderpanoramas.org/dem3/S47.zip", BoundBox(LatLng(72.0, 96.0), LatLng(76.0, 102.0))));
  setList.push_back(new ElevationSet("S48/", "http://www.viewfinderpanoramas.org/dem3/S48.zip", BoundBox(LatLng(72.0, 102.0), LatLng(76.0, 108.0))));
  setList.push_back(new ElevationSet("S49/", "http://www.viewfinderpanoramas.org/dem3/S49.zip", BoundBox(LatLng(72.0, 108.0), LatLng(76.0, 114.0))));
  setList.push_back(new ElevationSet("S50/", "http://www.viewfinderpanoramas.org/dem3/S50.zip", BoundBox(LatLng(72.0, 114.0), LatLng(76.0, 120.0))));
  setList.push_back(new ElevationSet("S51/", "http://www.viewfinderpanoramas.org/dem3/S51.zip", BoundBox(LatLng(72.0, 120.0), LatLng(76.0, 126.0))));
  setList.push_back(new ElevationSet("S52/", "http://www.viewfinderpanoramas.org/dem3/S52.zip", BoundBox(LatLng(72.0, 126.0), LatLng(76.0, 132.0))));
  setList.push_back(new ElevationSet("S53/", "http://www.viewfinderpanoramas.org/dem3/S53.zip", BoundBox(LatLng(72.0, 132.0), LatLng(76.0, 138.0))));
  setList.push_back(new ElevationSet("S54/", "http://www.viewfinderpanoramas.org/dem3/S54.zip", BoundBox(LatLng(72.0, 138.0), LatLng(76.0, 144.0))));
  setList.push_back(new ElevationSet("S55/", "http://www.viewfinderpanoramas.org/dem3/S55.zip", BoundBox(LatLng(72.0, 144.0), LatLng(76.0, 150.0))));
  setList.push_back(new ElevationSet("S56/", "http://www.viewfinderpanoramas.org/dem3/S56.zip", BoundBox(LatLng(72.0, 150.0), LatLng(76.0, 156.0))));
  setList.push_back(new ElevationSet("R03/", "http://www.viewfinderpanoramas.org/dem3/R03.zip", BoundBox(LatLng(68.0, -168.0), LatLng(72.0, -162.0))));
  setList.push_back(new ElevationSet("R04/", "http://www.viewfinderpanoramas.org/dem3/R04.zip", BoundBox(LatLng(68.0, -162.0), LatLng(72.0, -156.0))));
  setList.push_back(new ElevationSet("R05/", "http://www.viewfinderpanoramas.org/dem3/R05.zip", BoundBox(LatLng(68.0, -156.0), LatLng(72.0, -150.0))));
  setList.push_back(new ElevationSet("R06/", "http://www.viewfinderpanoramas.org/dem3/R06.zip", BoundBox(LatLng(68.0, -150.0), LatLng(72.0, -144.0))));
  setList.push_back(new ElevationSet("R07/", "http://www.viewfinderpanoramas.org/dem3/R07.zip", BoundBox(LatLng(68.0, -144.0), LatLng(72.0, -138.0))));
  setList.push_back(new ElevationSet("R08/", "http://www.viewfinderpanoramas.org/dem3/R08.zip", BoundBox(LatLng(68.0, -138.0), LatLng(72.0, -132.0))));
  setList.push_back(new ElevationSet("R09/", "http://www.viewfinderpanoramas.org/dem3/R09.zip", BoundBox(LatLng(68.0, -132.0), LatLng(72.0, -126.0))));
  setList.push_back(new ElevationSet("R10/", "http://www.viewfinderpanoramas.org/dem3/R10.zip", BoundBox(LatLng(68.0, -126.0), LatLng(72.0, -120.0))));
  setList.push_back(new ElevationSet("R11/", "http://www.viewfinderpanoramas.org/dem3/R11.zip", BoundBox(LatLng(68.0, -120.0), LatLng(72.0, -114.0))));
  setList.push_back(new ElevationSet("R12/", "http://www.viewfinderpanoramas.org/dem3/R12.zip", BoundBox(LatLng(68.0, -114.0), LatLng(72.0, -108.0))));
  setList.push_back(new ElevationSet("R13/", "http://www.viewfinderpanoramas.org/dem3/R13.zip", BoundBox(LatLng(68.0, -108.0), LatLng(72.0, -102.0))));
  setList.push_back(new ElevationSet("R14/", "http://www.viewfinderpanoramas.org/dem3/R14.zip", BoundBox(LatLng(68.0, -102.0), LatLng(72.0, -96.0))));
  setList.push_back(new ElevationSet("R15/", "http://www.viewfinderpanoramas.org/dem3/R15.zip", BoundBox(LatLng(68.0, -96.0), LatLng(72.0, -90.0))));
  setList.push_back(new ElevationSet("R16/", "http://www.viewfinderpanoramas.org/dem3/R16.zip", BoundBox(LatLng(68.0, -90.0), LatLng(72.0, -84.0))));
  setList.push_back(new ElevationSet("R17/", "http://www.viewfinderpanoramas.org/dem3/R17.zip", BoundBox(LatLng(68.0, -84.0), LatLng(72.0, -78.0))));
  setList.push_back(new ElevationSet("R18/", "http://www.viewfinderpanoramas.org/dem3/R18.zip", BoundBox(LatLng(68.0, -78.0), LatLng(72.0, -72.0))));
  setList.push_back(new ElevationSet("R19/", "http://www.viewfinderpanoramas.org/dem3/R19.zip", BoundBox(LatLng(68.0, -72.0), LatLng(72.0, -66.0))));
  setList.push_back(new ElevationSet("R20/", "http://www.viewfinderpanoramas.org/dem3/R20.zip", BoundBox(LatLng(68.0, -66.0), LatLng(72.0, -60.0))));
  setList.push_back(new ElevationSet("R33/", "http://www.viewfinderpanoramas.org/dem3/R33v2.zip", BoundBox(LatLng(68.0, 12.0), LatLng(72.0, 18.0))));
  setList.push_back(new ElevationSet("R34/", "http://www.viewfinderpanoramas.org/dem3/R34v2.zip", BoundBox(LatLng(68.0, 18.0), LatLng(72.0, 24.0))));
  setList.push_back(new ElevationSet("R35/", "http://www.viewfinderpanoramas.org/dem3/R35v2.zip", BoundBox(LatLng(68.0, 24.0), LatLng(72.0, 30.0))));
  setList.push_back(new ElevationSet("R36/", "http://www.viewfinderpanoramas.org/dem3/R36v2.zip", BoundBox(LatLng(68.0, 30.0), LatLng(72.0, 36.0))));
  setList.push_back(new ElevationSet("R37/", "http://www.viewfinderpanoramas.org/dem3/R37v2.zip", BoundBox(LatLng(68.0, 36.0), LatLng(72.0, 42.0))));
  setList.push_back(new ElevationSet("R38/", "http://www.viewfinderpanoramas.org/dem3/R38v2.zip", BoundBox(LatLng(68.0, 42.0), LatLng(72.0, 48.0))));
  setList.push_back(new ElevationSet("R39/", "http://www.viewfinderpanoramas.org/dem3/R39.zip", BoundBox(LatLng(68.0, 48.0), LatLng(72.0, 54.0))));
  setList.push_back(new ElevationSet("R40/", "http://www.viewfinderpanoramas.org/dem3/R40.zip", BoundBox(LatLng(68.0, 54.0), LatLng(72.0, 60.0))));
  setList.push_back(new ElevationSet("R41/", "http://www.viewfinderpanoramas.org/dem3/R41.zip", BoundBox(LatLng(68.0, 60.0), LatLng(72.0, 66.0))));
  setList.push_back(new ElevationSet("R42/", "http://www.viewfinderpanoramas.org/dem3/R42.zip", BoundBox(LatLng(68.0, 66.0), LatLng(72.0, 72.0))));
  setList.push_back(new ElevationSet("R43/", "http://www.viewfinderpanoramas.org/dem3/R43.zip", BoundBox(LatLng(68.0, 72.0), LatLng(72.0, 78.0))));
  setList.push_back(new ElevationSet("R44/", "http://www.viewfinderpanoramas.org/dem3/R44.zip", BoundBox(LatLng(68.0, 78.0), LatLng(72.0, 84.0))));
  setList.push_back(new ElevationSet("R45/", "http://www.viewfinderpanoramas.org/dem3/R45.zip", BoundBox(LatLng(68.0, 84.0), LatLng(72.0, 90.0))));
  setList.push_back(new ElevationSet("R46/", "http://www.viewfinderpanoramas.org/dem3/R46.zip", BoundBox(LatLng(68.0, 90.0), LatLng(72.0, 96.0))));
  setList.push_back(new ElevationSet("R47/", "http://www.viewfinderpanoramas.org/dem3/R47.zip", BoundBox(LatLng(68.0, 96.0), LatLng(72.0, 102.0))));
  setList.push_back(new ElevationSet("R48/", "http://www.viewfinderpanoramas.org/dem3/R48.zip", BoundBox(LatLng(68.0, 102.0), LatLng(72.0, 108.0))));
  setList.push_back(new ElevationSet("R49/", "http://www.viewfinderpanoramas.org/dem3/R49.zip", BoundBox(LatLng(68.0, 108.0), LatLng(72.0, 114.0))));
  setList.push_back(new ElevationSet("R50/", "http://www.viewfinderpanoramas.org/dem3/R50.zip", BoundBox(LatLng(68.0, 114.0), LatLng(72.0, 120.0))));
  setList.push_back(new ElevationSet("R51/", "http://www.viewfinderpanoramas.org/dem3/R51.zip", BoundBox(LatLng(68.0, 120.0), LatLng(72.0, 126.0))));
  setList.push_back(new ElevationSet("R52/", "http://www.viewfinderpanoramas.org/dem3/R52.zip", BoundBox(LatLng(68.0, 126.0), LatLng(72.0, 132.0))));
  setList.push_back(new ElevationSet("R53/", "http://www.viewfinderpanoramas.org/dem3/R53.zip", BoundBox(LatLng(68.0, 132.0), LatLng(72.0, 138.0))));
  setList.push_back(new ElevationSet("R54/", "http://www.viewfinderpanoramas.org/dem3/R54.zip", BoundBox(LatLng(68.0, 138.0), LatLng(72.0, 144.0))));
  setList.push_back(new ElevationSet("R55/", "http://www.viewfinderpanoramas.org/dem3/R55.zip", BoundBox(LatLng(68.0, 144.0), LatLng(72.0, 150.0))));
  setList.push_back(new ElevationSet("R56/", "http://www.viewfinderpanoramas.org/dem3/R56.zip", BoundBox(LatLng(68.0, 150.0), LatLng(72.0, 156.0))));
  setList.push_back(new ElevationSet("R57/", "http://www.viewfinderpanoramas.org/dem3/R57.zip", BoundBox(LatLng(68.0, 156.0), LatLng(72.0, 162.0))));
  setList.push_back(new ElevationSet("R58/", "http://www.viewfinderpanoramas.org/dem3/R58.zip", BoundBox(LatLng(68.0, 162.0), LatLng(72.0, 168.0))));
  setList.push_back(new ElevationSet("R59/", "http://www.viewfinderpanoramas.org/dem3/R59.zip", BoundBox(LatLng(68.0, 168.0), LatLng(72.0, 174.0))));
  setList.push_back(new ElevationSet("R60/", "http://www.viewfinderpanoramas.org/dem3/R60.zip", BoundBox(LatLng(68.0, 174.0), LatLng(72.0, 180.0))));
  setList.push_back(new ElevationSet("R01/", "http://www.viewfinderpanoramas.org/dem3/R01.zip", BoundBox(LatLng(68.0, -180.0), LatLng(72.0, -174.0))));
  setList.push_back(new ElevationSet("Q03/", "http://www.viewfinderpanoramas.org/dem3/Q03.zip", BoundBox(LatLng(64.0, -168.0), LatLng(68.0, -162.0))));
  setList.push_back(new ElevationSet("Q04/", "http://www.viewfinderpanoramas.org/dem3/Q04.zip", BoundBox(LatLng(64.0, -162.0), LatLng(68.0, -156.0))));
  setList.push_back(new ElevationSet("Q05/", "http://www.viewfinderpanoramas.org/dem3/Q05.zip", BoundBox(LatLng(64.0, -156.0), LatLng(68.0, -150.0))));
  setList.push_back(new ElevationSet("Q06/", "http://www.viewfinderpanoramas.org/dem3/Q06.zip", BoundBox(LatLng(64.0, -150.0), LatLng(68.0, -144.0))));
  setList.push_back(new ElevationSet("Q07/", "http://www.viewfinderpanoramas.org/dem3/Q07.zip", BoundBox(LatLng(64.0, -144.0), LatLng(68.0, -138.0))));
  setList.push_back(new ElevationSet("Q08/", "http://www.viewfinderpanoramas.org/dem3/Q08.zip", BoundBox(LatLng(64.0, -138.0), LatLng(68.0, -132.0))));
  setList.push_back(new ElevationSet("Q09/", "http://www.viewfinderpanoramas.org/dem3/Q09.zip", BoundBox(LatLng(64.0, -132.0), LatLng(68.0, -126.0))));
  setList.push_back(new ElevationSet("Q10/", "http://www.viewfinderpanoramas.org/dem3/Q10.zip", BoundBox(LatLng(64.0, -126.0), LatLng(68.0, -120.0))));
  setList.push_back(new ElevationSet("Q11/", "http://www.viewfinderpanoramas.org/dem3/Q11.zip", BoundBox(LatLng(64.0, -120.0), LatLng(68.0, -114.0))));
  setList.push_back(new ElevationSet("Q12/", "http://www.viewfinderpanoramas.org/dem3/Q12.zip", BoundBox(LatLng(64.0, -114.0), LatLng(68.0, -108.0))));
  setList.push_back(new ElevationSet("Q13/", "http://www.viewfinderpanoramas.org/dem3/Q13.zip", BoundBox(LatLng(64.0, -108.0), LatLng(68.0, -102.0))));
  setList.push_back(new ElevationSet("Q14/", "http://www.viewfinderpanoramas.org/dem3/Q14.zip", BoundBox(LatLng(64.0, -102.0), LatLng(68.0, -96.0))));
  setList.push_back(new ElevationSet("Q15/", "http://www.viewfinderpanoramas.org/dem3/Q15.zip", BoundBox(LatLng(64.0, -96.0), LatLng(68.0, -90.0))));
  setList.push_back(new ElevationSet("Q16/", "http://www.viewfinderpanoramas.org/dem3/Q16.zip", BoundBox(LatLng(64.0, -90.0), LatLng(68.0, -84.0))));
  setList.push_back(new ElevationSet("Q17/", "http://www.viewfinderpanoramas.org/dem3/Q17.zip", BoundBox(LatLng(64.0, -84.0), LatLng(68.0, -78.0))));
  setList.push_back(new ElevationSet("Q18/", "http://www.viewfinderpanoramas.org/dem3/Q18.zip", BoundBox(LatLng(64.0, -78.0), LatLng(68.0, -72.0))));
  setList.push_back(new ElevationSet("Q19/", "http://www.viewfinderpanoramas.org/dem3/Q19.zip", BoundBox(LatLng(64.0, -72.0), LatLng(68.0, -66.0))));
  setList.push_back(new ElevationSet("Q20/", "http://www.viewfinderpanoramas.org/dem3/Q20.zip", BoundBox(LatLng(64.0, -66.0), LatLng(68.0, -60.0))));
  setList.push_back(new ElevationSet("Q32/", "http://www.viewfinderpanoramas.org/dem3/Q32v2.zip", BoundBox(LatLng(64.0, 6.0), LatLng(68.0, 12.0))));
  setList.push_back(new ElevationSet("Q33/", "http://www.viewfinderpanoramas.org/dem3/Q33v2.zip", BoundBox(LatLng(64.0, 12.0), LatLng(68.0, 18.0))));
  setList.push_back(new ElevationSet("Q34/", "http://www.viewfinderpanoramas.org/dem3/Q34v2.zip", BoundBox(LatLng(64.0, 18.0), LatLng(68.0, 24.0))));
  setList.push_back(new ElevationSet("Q35/", "http://www.viewfinderpanoramas.org/dem3/Q35v2.zip", BoundBox(LatLng(64.0, 24.0), LatLng(68.0, 30.0))));
  setList.push_back(new ElevationSet("Q36/", "http://www.viewfinderpanoramas.org/dem3/Q36v2.zip", BoundBox(LatLng(64.0, 30.0), LatLng(68.0, 36.0))));
  setList.push_back(new ElevationSet("Q37/", "http://www.viewfinderpanoramas.org/dem3/Q37v2.zip", BoundBox(LatLng(64.0, 36.0), LatLng(68.0, 42.0))));
  setList.push_back(new ElevationSet("Q38/", "http://www.viewfinderpanoramas.org/dem3/Q38v2.zip", BoundBox(LatLng(64.0, 42.0), LatLng(68.0, 48.0))));
  setList.push_back(new ElevationSet("Q39/", "http://www.viewfinderpanoramas.org/dem3/Q39v2.zip", BoundBox(LatLng(64.0, 48.0), LatLng(68.0, 54.0))));
  setList.push_back(new ElevationSet("Q40/", "http://www.viewfinderpanoramas.org/dem3/Q40v2.zip", BoundBox(LatLng(64.0, 54.0), LatLng(68.0, 60.0))));
  setList.push_back(new ElevationSet("Q41/", "http://www.viewfinderpanoramas.org/dem3/Q41.zip", BoundBox(LatLng(64.0, 60.0), LatLng(68.0, 66.0))));
  setList.push_back(new ElevationSet("Q42/", "http://www.viewfinderpanoramas.org/dem3/Q42.zip", BoundBox(LatLng(64.0, 66.0), LatLng(68.0, 72.0))));
  setList.push_back(new ElevationSet("Q43/", "http://www.viewfinderpanoramas.org/dem3/Q43.zip", BoundBox(LatLng(64.0, 72.0), LatLng(68.0, 78.0))));
  setList.push_back(new ElevationSet("Q44/", "http://www.viewfinderpanoramas.org/dem3/Q44.zip", BoundBox(LatLng(64.0, 78.0), LatLng(68.0, 84.0))));
  setList.push_back(new ElevationSet("Q45/", "http://www.viewfinderpanoramas.org/dem3/Q45.zip", BoundBox(LatLng(64.0, 84.0), LatLng(68.0, 90.0))));
  setList.push_back(new ElevationSet("Q46/", "http://www.viewfinderpanoramas.org/dem3/Q46.zip", BoundBox(LatLng(64.0, 90.0), LatLng(68.0, 96.0))));
  setList.push_back(new ElevationSet("Q47/", "http://www.viewfinderpanoramas.org/dem3/Q47.zip", BoundBox(LatLng(64.0, 96.0), LatLng(68.0, 102.0))));
  setList.push_back(new ElevationSet("Q48/", "http://www.viewfinderpanoramas.org/dem3/Q48.zip", BoundBox(LatLng(64.0, 102.0), LatLng(68.0, 108.0))));
  setList.push_back(new ElevationSet("Q49/", "http://www.viewfinderpanoramas.org/dem3/Q49.zip", BoundBox(LatLng(64.0, 108.0), LatLng(68.0, 114.0))));
  setList.push_back(new ElevationSet("Q50/", "http://www.viewfinderpanoramas.org/dem3/Q50.zip", BoundBox(LatLng(64.0, 114.0), LatLng(68.0, 120.0))));
  setList.push_back(new ElevationSet("Q51/", "http://www.viewfinderpanoramas.org/dem3/Q51.zip", BoundBox(LatLng(64.0, 120.0), LatLng(68.0, 126.0))));
  setList.push_back(new ElevationSet("Q52/", "http://www.viewfinderpanoramas.org/dem3/Q52.zip", BoundBox(LatLng(64.0, 126.0), LatLng(68.0, 132.0))));
  setList.push_back(new ElevationSet("Q53/", "http://www.viewfinderpanoramas.org/dem3/Q53.zip", BoundBox(LatLng(64.0, 132.0), LatLng(68.0, 138.0))));
  setList.push_back(new ElevationSet("Q54/", "http://www.viewfinderpanoramas.org/dem3/Q54.zip", BoundBox(LatLng(64.0, 138.0), LatLng(68.0, 144.0))));
  setList.push_back(new ElevationSet("Q55/", "http://www.viewfinderpanoramas.org/dem3/Q55.zip", BoundBox(LatLng(64.0, 144.0), LatLng(68.0, 150.0))));
  setList.push_back(new ElevationSet("Q56/", "http://www.viewfinderpanoramas.org/dem3/Q56.zip", BoundBox(LatLng(64.0, 150.0), LatLng(68.0, 156.0))));
  setList.push_back(new ElevationSet("Q57/", "http://www.viewfinderpanoramas.org/dem3/Q57.zip", BoundBox(LatLng(64.0, 156.0), LatLng(68.0, 162.0))));
  setList.push_back(new ElevationSet("Q58/", "http://www.viewfinderpanoramas.org/dem3/Q58.zip", BoundBox(LatLng(64.0, 162.0), LatLng(68.0, 168.0))));
  setList.push_back(new ElevationSet("Q59/", "http://www.viewfinderpanoramas.org/dem3/Q59.zip", BoundBox(LatLng(64.0, 168.0), LatLng(68.0, 174.0))));
  setList.push_back(new ElevationSet("Q60/", "http://www.viewfinderpanoramas.org/dem3/Q60.zip", BoundBox(LatLng(64.0, 174.0), LatLng(68.0, 180.0))));
  setList.push_back(new ElevationSet("Q01/", "http://www.viewfinderpanoramas.org/dem3/Q01.zip", BoundBox(LatLng(64.0, -180.0), LatLng(68.0, -174.0))));
  setList.push_back(new ElevationSet("Q02/", "http://www.viewfinderpanoramas.org/dem3/Q02.zip", BoundBox(LatLng(64.0, -174.0), LatLng(68.0, -168.0))));
  setList.push_back(new ElevationSet("P03/", "http://www.viewfinderpanoramas.org/dem3/P03.zip", BoundBox(LatLng(60.0, -168.0), LatLng(64.0, -162.0))));
  setList.push_back(new ElevationSet("P04/", "http://www.viewfinderpanoramas.org/dem3/P04.zip", BoundBox(LatLng(60.0, -162.0), LatLng(64.0, -156.0))));
  setList.push_back(new ElevationSet("P05/", "http://www.viewfinderpanoramas.org/dem3/P05.zip", BoundBox(LatLng(60.0, -156.0), LatLng(64.0, -150.0))));
  setList.push_back(new ElevationSet("P06/", "http://www.viewfinderpanoramas.org/dem3/P06.zip", BoundBox(LatLng(60.0, -150.0), LatLng(64.0, -144.0))));
  setList.push_back(new ElevationSet("P07/", "http://www.viewfinderpanoramas.org/dem3/P07.zip", BoundBox(LatLng(60.0, -144.0), LatLng(64.0, -138.0))));
  setList.push_back(new ElevationSet("P08/", "http://www.viewfinderpanoramas.org/dem3/P08.zip", BoundBox(LatLng(60.0, -138.0), LatLng(64.0, -132.0))));
  setList.push_back(new ElevationSet("P09/", "http://www.viewfinderpanoramas.org/dem3/P09.zip", BoundBox(LatLng(60.0, -132.0), LatLng(64.0, -126.0))));
  setList.push_back(new ElevationSet("P10/", "http://www.viewfinderpanoramas.org/dem3/P10.zip", BoundBox(LatLng(60.0, -126.0), LatLng(64.0, -120.0))));
  setList.push_back(new ElevationSet("P11/", "http://www.viewfinderpanoramas.org/dem3/P11.zip", BoundBox(LatLng(60.0, -120.0), LatLng(64.0, -114.0))));
  setList.push_back(new ElevationSet("P12/", "http://www.viewfinderpanoramas.org/dem3/P12.zip", BoundBox(LatLng(60.0, -114.0), LatLng(64.0, -108.0))));
  setList.push_back(new ElevationSet("P13/", "http://www.viewfinderpanoramas.org/dem3/P13.zip", BoundBox(LatLng(60.0, -108.0), LatLng(64.0, -102.0))));
  setList.push_back(new ElevationSet("P14/", "http://www.viewfinderpanoramas.org/dem3/P14.zip", BoundBox(LatLng(60.0, -102.0), LatLng(64.0, -96.0))));
  setList.push_back(new ElevationSet("P15/", "http://www.viewfinderpanoramas.org/dem3/P15.zip", BoundBox(LatLng(60.0, -96.0), LatLng(64.0, -90.0))));
  setList.push_back(new ElevationSet("P16/", "http://www.viewfinderpanoramas.org/dem3/P16.zip", BoundBox(LatLng(60.0, -90.0), LatLng(64.0, -84.0))));
  setList.push_back(new ElevationSet("P17/", "http://www.viewfinderpanoramas.org/dem3/P17.zip", BoundBox(LatLng(60.0, -84.0), LatLng(64.0, -78.0))));
  setList.push_back(new ElevationSet("P18/", "http://www.viewfinderpanoramas.org/dem3/P18.zip", BoundBox(LatLng(60.0, -78.0), LatLng(64.0, -72.0))));
  setList.push_back(new ElevationSet("P19/", "http://www.viewfinderpanoramas.org/dem3/P19.zip", BoundBox(LatLng(60.0, -72.0), LatLng(64.0, -66.0))));
  setList.push_back(new ElevationSet("P20/", "http://www.viewfinderpanoramas.org/dem3/P20.zip", BoundBox(LatLng(60.0, -66.0), LatLng(64.0, -60.0))));
  setList.push_back(new ElevationSet("P31/", "http://www.viewfinderpanoramas.org/dem3/P31v2.zip", BoundBox(LatLng(60.0, 0.0), LatLng(64.0, 6.0))));
  setList.push_back(new ElevationSet("P32/", "http://www.viewfinderpanoramas.org/dem3/P32v2.zip", BoundBox(LatLng(60.0, 6.0), LatLng(64.0, 12.0))));
  setList.push_back(new ElevationSet("P33/", "http://www.viewfinderpanoramas.org/dem3/P33v2.zip", BoundBox(LatLng(60.0, 12.0), LatLng(64.0, 18.0))));
  setList.push_back(new ElevationSet("P34/", "http://www.viewfinderpanoramas.org/dem3/P34v2.zip", BoundBox(LatLng(60.0, 18.0), LatLng(64.0, 24.0))));
  setList.push_back(new ElevationSet("P35/", "http://www.viewfinderpanoramas.org/dem3/P35v2.zip", BoundBox(LatLng(60.0, 24.0), LatLng(64.0, 30.0))));
  setList.push_back(new ElevationSet("P36/", "http://www.viewfinderpanoramas.org/dem3/P36v2.zip", BoundBox(LatLng(60.0, 30.0), LatLng(64.0, 36.0))));
  setList.push_back(new ElevationSet("P37/", "http://www.viewfinderpanoramas.org/dem3/P37v2.zip", BoundBox(LatLng(60.0, 36.0), LatLng(64.0, 42.0))));
  setList.push_back(new ElevationSet("P38/", "http://www.viewfinderpanoramas.org/dem3/P38v2.zip", BoundBox(LatLng(60.0, 42.0), LatLng(64.0, 48.0))));
  setList.push_back(new ElevationSet("P39/", "http://www.viewfinderpanoramas.org/dem3/P39v2.zip", BoundBox(LatLng(60.0, 48.0), LatLng(64.0, 54.0))));
  setList.push_back(new ElevationSet("P40/", "http://www.viewfinderpanoramas.org/dem3/P40v2.zip", BoundBox(LatLng(60.0, 54.0), LatLng(64.0, 60.0))));
  setList.push_back(new ElevationSet("P41/", "http://www.viewfinderpanoramas.org/dem3/P41.zip", BoundBox(LatLng(60.0, 60.0), LatLng(64.0, 66.0))));
  setList.push_back(new ElevationSet("P42/", "http://www.viewfinderpanoramas.org/dem3/P42.zip", BoundBox(LatLng(60.0, 66.0), LatLng(64.0, 72.0))));
  setList.push_back(new ElevationSet("P43/", "http://www.viewfinderpanoramas.org/dem3/P43.zip", BoundBox(LatLng(60.0, 72.0), LatLng(64.0, 78.0))));
  setList.push_back(new ElevationSet("P44/", "http://www.viewfinderpanoramas.org/dem3/P44.zip", BoundBox(LatLng(60.0, 78.0), LatLng(64.0, 84.0))));
  setList.push_back(new ElevationSet("P45/", "http://www.viewfinderpanoramas.org/dem3/P45.zip", BoundBox(LatLng(60.0, 84.0), LatLng(64.0, 90.0))));
  setList.push_back(new ElevationSet("P46/", "http://www.viewfinderpanoramas.org/dem3/P46.zip", BoundBox(LatLng(60.0, 90.0), LatLng(64.0, 96.0))));
  setList.push_back(new ElevationSet("P47/", "http://www.viewfinderpanoramas.org/dem3/P47.zip", BoundBox(LatLng(60.0, 96.0), LatLng(64.0, 102.0))));
  setList.push_back(new ElevationSet("P48/", "http://www.viewfinderpanoramas.org/dem3/P48.zip", BoundBox(LatLng(60.0, 102.0), LatLng(64.0, 108.0))));
  setList.push_back(new ElevationSet("P49/", "http://www.viewfinderpanoramas.org/dem3/P49.zip", BoundBox(LatLng(60.0, 108.0), LatLng(64.0, 114.0))));
  setList.push_back(new ElevationSet("P50/", "http://www.viewfinderpanoramas.org/dem3/P50.zip", BoundBox(LatLng(60.0, 114.0), LatLng(64.0, 120.0))));
  setList.push_back(new ElevationSet("P51/", "http://www.viewfinderpanoramas.org/dem3/P51.zip", BoundBox(LatLng(60.0, 120.0), LatLng(64.0, 126.0))));
  setList.push_back(new ElevationSet("P52/", "http://www.viewfinderpanoramas.org/dem3/P52.zip", BoundBox(LatLng(60.0, 126.0), LatLng(64.0, 132.0))));
  setList.push_back(new ElevationSet("P53/", "http://www.viewfinderpanoramas.org/dem3/P53.zip", BoundBox(LatLng(60.0, 132.0), LatLng(64.0, 138.0))));
  setList.push_back(new ElevationSet("P54/", "http://www.viewfinderpanoramas.org/dem3/P54.zip", BoundBox(LatLng(60.0, 138.0), LatLng(64.0, 144.0))));
  setList.push_back(new ElevationSet("P55/", "http://www.viewfinderpanoramas.org/dem3/P55.zip", BoundBox(LatLng(60.0, 144.0), LatLng(64.0, 150.0))));
  setList.push_back(new ElevationSet("P56/", "http://www.viewfinderpanoramas.org/dem3/P56.zip", BoundBox(LatLng(60.0, 150.0), LatLng(64.0, 156.0))));
  setList.push_back(new ElevationSet("P57/", "http://www.viewfinderpanoramas.org/dem3/P57.zip", BoundBox(LatLng(60.0, 156.0), LatLng(64.0, 162.0))));
  setList.push_back(new ElevationSet("P58/", "http://www.viewfinderpanoramas.org/dem3/P58.zip", BoundBox(LatLng(60.0, 162.0), LatLng(64.0, 168.0))));
  setList.push_back(new ElevationSet("P59/", "http://www.viewfinderpanoramas.org/dem3/P59.zip", BoundBox(LatLng(60.0, 168.0), LatLng(64.0, 174.0))));
  setList.push_back(new ElevationSet("P60/", "http://www.viewfinderpanoramas.org/dem3/P60.zip", BoundBox(LatLng(60.0, 174.0), LatLng(64.0, 180.0))));
  setList.push_back(new ElevationSet("P02/", "http://www.viewfinderpanoramas.org/dem3/P02.zip", BoundBox(LatLng(60.0, -174.0), LatLng(64.0, -168.0))));
  setList.push_back(new ElevationSet("ISL/", "http://www.viewfinderpanoramas.org/dem3/ISL.zip", BoundBox(LatLng(63.0, -25.0), LatLng(67.0, -13.0))));
  setList.push_back(new ElevationSet("P29/", "http://www.viewfinderpanoramas.org/dem3/FAR.zip", BoundBox(LatLng(60.0, -12.0), LatLng(64.0, -6.0))));
  setList.push_back(new ElevationSet("P30/", "http://www.viewfinderpanoramas.org/dem3/SHL.zip", BoundBox(LatLng(60.0, -6.0), LatLng(64.0, 0.0))));
  setList.push_back(new ElevationSet("R29/", "http://www.viewfinderpanoramas.org/dem3/JANMAYEN.zip", BoundBox(LatLng(68.0, -12.0), LatLng(72.0, -6.0))));
  setList.push_back(new ElevationSet("S34/", "http://www.viewfinderpanoramas.org/dem3/BEAR.zip", BoundBox(LatLng(72.0, 18.0), LatLng(76.0, 24.0))));
  setList.push_back(new ElevationSet("GL-N/", "http://www.viewfinderpanoramas.org/dem3/GL-North.zip", BoundBox(LatLng(76.0, -73.0), LatLng(84.0, -12.0))));
  setList.push_back(new ElevationSet("GL-W/", "http://www.viewfinderpanoramas.org/dem3/GL-West.zip", BoundBox(LatLng(64.0, -60.0), LatLng(76.0, -42.0))));
  setList.push_back(new ElevationSet("GL-E/", "http://www.viewfinderpanoramas.org/dem3/GL-East.zip", BoundBox(LatLng(64.0, -42.0), LatLng(76.0, -17.0))));
  setList.push_back(new ElevationSet("GL-S/", "http://www.viewfinderpanoramas.org/dem3/GL-South.zip", BoundBox(LatLng(59.0, -52.0), LatLng(64.0, -40.0))));
  setList.push_back(new ElevationSet("O02/", "http://www.viewfinderpanoramas.org/dem3/O02.zip", BoundBox(LatLng(56.0, -174.0), LatLng(60.0, -168.0))));
  setList.push_back(new ElevationSet("O03/", "http://www.viewfinderpanoramas.org/dem3/O03.zip", BoundBox(LatLng(56.0, -168.0), LatLng(60.0, -162.0))));
  setList.push_back(new ElevationSet("O04/", "http://www.viewfinderpanoramas.org/dem3/O04.zip", BoundBox(LatLng(56.0, -162.0), LatLng(60.0, -156.0))));
  setList.push_back(new ElevationSet("O05/", "http://www.viewfinderpanoramas.org/dem3/O05.zip", BoundBox(LatLng(56.0, -156.0), LatLng(60.0, -150.0))));
  setList.push_back(new ElevationSet("O06/", "http://www.viewfinderpanoramas.org/dem3/O06.zip", BoundBox(LatLng(56.0, -150.0), LatLng(60.0, -144.0))));
  setList.push_back(new ElevationSet("O07/", "http://www.viewfinderpanoramas.org/dem3/O07.zip", BoundBox(LatLng(56.0, -144.0), LatLng(60.0, -138.0))));
  setList.push_back(new ElevationSet("O08/", "http://www.viewfinderpanoramas.org/dem3/O08.zip", BoundBox(LatLng(56.0, -138.0), LatLng(60.0, -132.0))));
  setList.push_back(new ElevationSet("O09/", "http://www.viewfinderpanoramas.org/dem3/O09.zip", BoundBox(LatLng(56.0, -132.0), LatLng(60.0, -126.0))));
  setList.push_back(new ElevationSet("O10/", "http://www.viewfinderpanoramas.org/dem3/O10.zip", BoundBox(LatLng(56.0, -126.0), LatLng(60.0, -120.0))));
  setList.push_back(new ElevationSet("O11/", "http://www.viewfinderpanoramas.org/dem3/O11.zip", BoundBox(LatLng(56.0, -120.0), LatLng(60.0, -114.0))));
  setList.push_back(new ElevationSet("O12/", "http://www.viewfinderpanoramas.org/dem3/O12.zip", BoundBox(LatLng(56.0, -114.0), LatLng(60.0, -108.0))));
  setList.push_back(new ElevationSet("O13/", "http://www.viewfinderpanoramas.org/dem3/O13.zip", BoundBox(LatLng(56.0, -108.0), LatLng(60.0, -102.0))));
  setList.push_back(new ElevationSet("O14/", "http://www.viewfinderpanoramas.org/dem3/O14.zip", BoundBox(LatLng(56.0, -102.0), LatLng(60.0, -96.0))));
  setList.push_back(new ElevationSet("O15/", "http://www.viewfinderpanoramas.org/dem3/O15.zip", BoundBox(LatLng(56.0, -96.0), LatLng(60.0, -90.0))));
  setList.push_back(new ElevationSet("O16/", "http://www.viewfinderpanoramas.org/dem3/O16.zip", BoundBox(LatLng(56.0, -90.0), LatLng(60.0, -84.0))));
  setList.push_back(new ElevationSet("O17/", "http://www.viewfinderpanoramas.org/dem3/O17.zip", BoundBox(LatLng(56.0, -84.0), LatLng(60.0, -78.0))));
  setList.push_back(new ElevationSet("O18/", "http://www.viewfinderpanoramas.org/dem3/O18.zip", BoundBox(LatLng(56.0, -78.0), LatLng(60.0, -72.0))));
  setList.push_back(new ElevationSet("O19/", "http://www.viewfinderpanoramas.org/dem3/O19.zip", BoundBox(LatLng(56.0, -72.0), LatLng(60.0, -66.0))));
  setList.push_back(new ElevationSet("O20/", "http://www.viewfinderpanoramas.org/dem3/O20.zip", BoundBox(LatLng(56.0, -66.0), LatLng(60.0, -60.0))));
  setList.push_back(new ElevationSet("O28/", "http://www.viewfinderpanoramas.org/dem3/O28.zip", BoundBox(LatLng(56.0, -18.0), LatLng(60.0, -12.0))));
  setList.push_back(new ElevationSet("O29/", "http://www.viewfinderpanoramas.org/dem3/O29.zip", BoundBox(LatLng(56.0, -12.0), LatLng(60.0, -6.0))));
  setList.push_back(new ElevationSet("O30/", "http://www.viewfinderpanoramas.org/dem3/O30.zip", BoundBox(LatLng(56.0, -6.0), LatLng(60.0, 0.0))));
  setList.push_back(new ElevationSet("O31/", "http://www.viewfinderpanoramas.org/dem3/O31.zip", BoundBox(LatLng(56.0, 0.0), LatLng(60.0, 6.0))));
  setList.push_back(new ElevationSet("O32/", "http://www.viewfinderpanoramas.org/dem3/O32.zip", BoundBox(LatLng(56.0, 6.0), LatLng(60.0, 12.0))));
  setList.push_back(new ElevationSet("O33/", "http://www.viewfinderpanoramas.org/dem3/O33.zip", BoundBox(LatLng(56.0, 12.0), LatLng(60.0, 18.0))));
  setList.push_back(new ElevationSet("O34/", "http://www.viewfinderpanoramas.org/dem3/O34.zip", BoundBox(LatLng(56.0, 18.0), LatLng(60.0, 24.0))));
  setList.push_back(new ElevationSet("O35/", "http://www.viewfinderpanoramas.org/dem3/O35.zip", BoundBox(LatLng(56.0, 24.0), LatLng(60.0, 30.0))));
  setList.push_back(new ElevationSet("O36/", "http://www.viewfinderpanoramas.org/dem3/O36.zip", BoundBox(LatLng(56.0, 30.0), LatLng(60.0, 36.0))));
  setList.push_back(new ElevationSet("O37/", "http://www.viewfinderpanoramas.org/dem3/O37.zip", BoundBox(LatLng(56.0, 36.0), LatLng(60.0, 42.0))));
  setList.push_back(new ElevationSet("O38/", "http://www.viewfinderpanoramas.org/dem3/O38.zip", BoundBox(LatLng(56.0, 42.0), LatLng(60.0, 48.0))));
  setList.push_back(new ElevationSet("O39/", "http://www.viewfinderpanoramas.org/dem3/O39.zip", BoundBox(LatLng(56.0, 48.0), LatLng(60.0, 54.0))));
  setList.push_back(new ElevationSet("O40/", "http://www.viewfinderpanoramas.org/dem3/O40.zip", BoundBox(LatLng(56.0, 54.0), LatLng(60.0, 60.0))));
  setList.push_back(new ElevationSet("O41/", "http://www.viewfinderpanoramas.org/dem3/O41.zip", BoundBox(LatLng(56.0, 60.0), LatLng(60.0, 66.0))));
  setList.push_back(new ElevationSet("O42/", "http://www.viewfinderpanoramas.org/dem3/O42.zip", BoundBox(LatLng(56.0, 66.0), LatLng(60.0, 72.0))));
  setList.push_back(new ElevationSet("O43/", "http://www.viewfinderpanoramas.org/dem3/O43.zip", BoundBox(LatLng(56.0, 72.0), LatLng(60.0, 78.0))));
  setList.push_back(new ElevationSet("O44/", "http://www.viewfinderpanoramas.org/dem3/O44.zip", BoundBox(LatLng(56.0, 78.0), LatLng(60.0, 84.0))));
  setList.push_back(new ElevationSet("O45/", "http://www.viewfinderpanoramas.org/dem3/O45.zip", BoundBox(LatLng(56.0, 84.0), LatLng(60.0, 90.0))));
  setList.push_back(new ElevationSet("O46/", "http://www.viewfinderpanoramas.org/dem3/O46.zip", BoundBox(LatLng(56.0, 90.0), LatLng(60.0, 96.0))));
  setList.push_back(new ElevationSet("O47/", "http://www.viewfinderpanoramas.org/dem3/O47.zip", BoundBox(LatLng(56.0, 96.0), LatLng(60.0, 102.0))));
  setList.push_back(new ElevationSet("O48/", "http://www.viewfinderpanoramas.org/dem3/O48.zip", BoundBox(LatLng(56.0, 102.0), LatLng(60.0, 108.0))));
  setList.push_back(new ElevationSet("O49/", "http://www.viewfinderpanoramas.org/dem3/O49.zip", BoundBox(LatLng(56.0, 108.0), LatLng(60.0, 114.0))));
  setList.push_back(new ElevationSet("O50/", "http://www.viewfinderpanoramas.org/dem3/O50.zip", BoundBox(LatLng(56.0, 114.0), LatLng(60.0, 120.0))));
  setList.push_back(new ElevationSet("O51/", "http://www.viewfinderpanoramas.org/dem3/O51.zip", BoundBox(LatLng(56.0, 120.0), LatLng(60.0, 126.0))));
  setList.push_back(new ElevationSet("O52/", "http://www.viewfinderpanoramas.org/dem3/O52.zip", BoundBox(LatLng(56.0, 126.0), LatLng(60.0, 132.0))));
  setList.push_back(new ElevationSet("O53/", "http://www.viewfinderpanoramas.org/dem3/O53.zip", BoundBox(LatLng(56.0, 132.0), LatLng(60.0, 138.0))));
  setList.push_back(new ElevationSet("O54/", "http://www.viewfinderpanoramas.org/dem3/O54.zip", BoundBox(LatLng(56.0, 138.0), LatLng(60.0, 144.0))));
  setList.push_back(new ElevationSet("O55/", "http://www.viewfinderpanoramas.org/dem3/O55.zip", BoundBox(LatLng(56.0, 144.0), LatLng(60.0, 150.0))));
  setList.push_back(new ElevationSet("O56/", "http://www.viewfinderpanoramas.org/dem3/O56.zip", BoundBox(LatLng(56.0, 150.0), LatLng(60.0, 156.0))));
  setList.push_back(new ElevationSet("O57/", "http://www.viewfinderpanoramas.org/dem3/O57.zip", BoundBox(LatLng(56.0, 156.0), LatLng(60.0, 162.0))));
  setList.push_back(new ElevationSet("O58/", "http://www.viewfinderpanoramas.org/dem3/O58.zip", BoundBox(LatLng(56.0, 162.0), LatLng(60.0, 168.0))));
  setList.push_back(new ElevationSet("O59/", "http://www.viewfinderpanoramas.org/dem3/O59.zip", BoundBox(LatLng(56.0, 168.0), LatLng(60.0, 174.0))));
  setList.push_back(new ElevationSet("N01/", "http://www.viewfinderpanoramas.org/dem3/N01.zip", BoundBox(LatLng(52.0, -180.0), LatLng(56.0, -174.0))));
  setList.push_back(new ElevationSet("N02/", "http://www.viewfinderpanoramas.org/dem3/N02.zip", BoundBox(LatLng(52.0, -174.0), LatLng(56.0, -168.0))));
  setList.push_back(new ElevationSet("N03/", "http://www.viewfinderpanoramas.org/dem3/N03.zip", BoundBox(LatLng(52.0, -168.0), LatLng(56.0, -162.0))));
  setList.push_back(new ElevationSet("N04/", "http://www.viewfinderpanoramas.org/dem3/N04.zip", BoundBox(LatLng(52.0, -162.0), LatLng(56.0, -156.0))));
  setList.push_back(new ElevationSet("N05/", "http://www.viewfinderpanoramas.org/dem3/N05.zip", BoundBox(LatLng(52.0, -156.0), LatLng(56.0, -150.0))));
  setList.push_back(new ElevationSet("N08/", "http://www.viewfinderpanoramas.org/dem3/N08.zip", BoundBox(LatLng(52.0, -138.0), LatLng(56.0, -132.0))));
  setList.push_back(new ElevationSet("N09/", "http://www.viewfinderpanoramas.org/dem3/N09.zip", BoundBox(LatLng(52.0, -132.0), LatLng(56.0, -126.0))));
  setList.push_back(new ElevationSet("N10/", "http://www.viewfinderpanoramas.org/dem3/N10.zip", BoundBox(LatLng(52.0, -126.0), LatLng(56.0, -120.0))));
  setList.push_back(new ElevationSet("N11/", "http://www.viewfinderpanoramas.org/dem3/N11.zip", BoundBox(LatLng(52.0, -120.0), LatLng(56.0, -114.0))));
  setList.push_back(new ElevationSet("N12/", "http://www.viewfinderpanoramas.org/dem3/N12.zip", BoundBox(LatLng(52.0, -114.0), LatLng(56.0, -108.0))));
  setList.push_back(new ElevationSet("N13/", "http://www.viewfinderpanoramas.org/dem3/N13.zip", BoundBox(LatLng(52.0, -108.0), LatLng(56.0, -102.0))));
  setList.push_back(new ElevationSet("N14/", "http://www.viewfinderpanoramas.org/dem3/N14.zip", BoundBox(LatLng(52.0, -102.0), LatLng(56.0, -96.0))));
  setList.push_back(new ElevationSet("N15/", "http://www.viewfinderpanoramas.org/dem3/N15.zip", BoundBox(LatLng(52.0, -96.0), LatLng(56.0, -90.0))));
  setList.push_back(new ElevationSet("N16/", "http://www.viewfinderpanoramas.org/dem3/N16.zip", BoundBox(LatLng(52.0, -90.0), LatLng(56.0, -84.0))));
  setList.push_back(new ElevationSet("N17/", "http://www.viewfinderpanoramas.org/dem3/N17.zip", BoundBox(LatLng(52.0, -84.0), LatLng(56.0, -78.0))));
  setList.push_back(new ElevationSet("N18/", "http://www.viewfinderpanoramas.org/dem3/N18.zip", BoundBox(LatLng(52.0, -78.0), LatLng(56.0, -72.0))));
  setList.push_back(new ElevationSet("N19/", "http://www.viewfinderpanoramas.org/dem3/N19.zip", BoundBox(LatLng(52.0, -72.0), LatLng(56.0, -66.0))));
  setList.push_back(new ElevationSet("N20/", "http://www.viewfinderpanoramas.org/dem3/N20.zip", BoundBox(LatLng(52.0, -66.0), LatLng(56.0, -60.0))));
  setList.push_back(new ElevationSet("N21/", "http://www.viewfinderpanoramas.org/dem3/N21.zip", BoundBox(LatLng(52.0, -60.0), LatLng(56.0, -54.0))));
  setList.push_back(new ElevationSet("N29/", "http://www.viewfinderpanoramas.org/dem3/N29.zip", BoundBox(LatLng(52.0, -12.0), LatLng(56.0, -6.0))));
  setList.push_back(new ElevationSet("N30/", "http://www.viewfinderpanoramas.org/dem3/N30.zip", BoundBox(LatLng(52.0, -6.0), LatLng(56.0, 0.0))));
  setList.push_back(new ElevationSet("N31/", "http://www.viewfinderpanoramas.org/dem3/N31.zip", BoundBox(LatLng(52.0, 0.0), LatLng(56.0, 6.0))));
  setList.push_back(new ElevationSet("N32/", "http://www.viewfinderpanoramas.org/dem3/N32.zip", BoundBox(LatLng(52.0, 6.0), LatLng(56.0, 12.0))));
  setList.push_back(new ElevationSet("N33/", "http://www.viewfinderpanoramas.org/dem3/N33.zip", BoundBox(LatLng(52.0, 12.0), LatLng(56.0, 18.0))));
  setList.push_back(new ElevationSet("N34/", "http://www.viewfinderpanoramas.org/dem3/N34.zip", BoundBox(LatLng(52.0, 18.0), LatLng(56.0, 24.0))));
  setList.push_back(new ElevationSet("N35/", "http://www.viewfinderpanoramas.org/dem3/N35.zip", BoundBox(LatLng(52.0, 24.0), LatLng(56.0, 30.0))));
  setList.push_back(new ElevationSet("N36/", "http://www.viewfinderpanoramas.org/dem3/N36.zip", BoundBox(LatLng(52.0, 30.0), LatLng(56.0, 36.0))));
  setList.push_back(new ElevationSet("N37/", "http://www.viewfinderpanoramas.org/dem3/N37.zip", BoundBox(LatLng(52.0, 36.0), LatLng(56.0, 42.0))));
  setList.push_back(new ElevationSet("N38/", "http://www.viewfinderpanoramas.org/dem3/N38.zip", BoundBox(LatLng(52.0, 42.0), LatLng(56.0, 48.0))));
  setList.push_back(new ElevationSet("N39/", "http://www.viewfinderpanoramas.org/dem3/N39.zip", BoundBox(LatLng(52.0, 48.0), LatLng(56.0, 54.0))));
  setList.push_back(new ElevationSet("N40/", "http://www.viewfinderpanoramas.org/dem3/N40.zip", BoundBox(LatLng(52.0, 54.0), LatLng(56.0, 60.0))));
  setList.push_back(new ElevationSet("N41/", "http://www.viewfinderpanoramas.org/dem3/N41.zip", BoundBox(LatLng(52.0, 60.0), LatLng(56.0, 66.0))));
  setList.push_back(new ElevationSet("N42/", "http://www.viewfinderpanoramas.org/dem3/N42.zip", BoundBox(LatLng(52.0, 66.0), LatLng(56.0, 72.0))));
  setList.push_back(new ElevationSet("N43/", "http://www.viewfinderpanoramas.org/dem3/N43.zip", BoundBox(LatLng(52.0, 72.0), LatLng(56.0, 78.0))));
  setList.push_back(new ElevationSet("N44/", "http://www.viewfinderpanoramas.org/dem3/N44.zip", BoundBox(LatLng(52.0, 78.0), LatLng(56.0, 84.0))));
  setList.push_back(new ElevationSet("N45/", "http://www.viewfinderpanoramas.org/dem3/N45.zip", BoundBox(LatLng(52.0, 84.0), LatLng(56.0, 90.0))));
  setList.push_back(new ElevationSet("N46/", "http://www.viewfinderpanoramas.org/dem3/N46.zip", BoundBox(LatLng(52.0, 90.0), LatLng(56.0, 96.0))));
  setList.push_back(new ElevationSet("N47/", "http://www.viewfinderpanoramas.org/dem3/N47.zip", BoundBox(LatLng(52.0, 96.0), LatLng(56.0, 102.0))));
  setList.push_back(new ElevationSet("N48/", "http://www.viewfinderpanoramas.org/dem3/N48.zip", BoundBox(LatLng(52.0, 102.0), LatLng(56.0, 108.0))));
  setList.push_back(new ElevationSet("N49/", "http://www.viewfinderpanoramas.org/dem3/N49.zip", BoundBox(LatLng(52.0, 108.0), LatLng(56.0, 114.0))));
  setList.push_back(new ElevationSet("N50/", "http://www.viewfinderpanoramas.org/dem3/N50.zip", BoundBox(LatLng(52.0, 114.0), LatLng(56.0, 120.0))));
  setList.push_back(new ElevationSet("N51/", "http://www.viewfinderpanoramas.org/dem3/N51.zip", BoundBox(LatLng(52.0, 120.0), LatLng(56.0, 126.0))));
  setList.push_back(new ElevationSet("N52/", "http://www.viewfinderpanoramas.org/dem3/N52.zip", BoundBox(LatLng(52.0, 126.0), LatLng(56.0, 132.0))));
  setList.push_back(new ElevationSet("N53/", "http://www.viewfinderpanoramas.org/dem3/N53.zip", BoundBox(LatLng(52.0, 132.0), LatLng(56.0, 138.0))));
  setList.push_back(new ElevationSet("N54/", "http://www.viewfinderpanoramas.org/dem3/N54.zip", BoundBox(LatLng(52.0, 138.0), LatLng(56.0, 144.0))));
  setList.push_back(new ElevationSet("N56/", "http://www.viewfinderpanoramas.org/dem3/N56.zip", BoundBox(LatLng(52.0, 150.0), LatLng(56.0, 156.0))));
  setList.push_back(new ElevationSet("N57/", "http://www.viewfinderpanoramas.org/dem3/N57.zip", BoundBox(LatLng(52.0, 156.0), LatLng(56.0, 162.0))));
  setList.push_back(new ElevationSet("N58/", "http://www.viewfinderpanoramas.org/dem3/N58.zip", BoundBox(LatLng(52.0, 162.0), LatLng(56.0, 168.0))));
  setList.push_back(new ElevationSet("N59/", "http://www.viewfinderpanoramas.org/dem3/N59.zip", BoundBox(LatLng(52.0, 168.0), LatLng(56.0, 174.0))));
  setList.push_back(new ElevationSet("N60/", "http://www.viewfinderpanoramas.org/dem3/N60.zip", BoundBox(LatLng(52.0, 174.0), LatLng(56.0, 180.0))));
  setList.push_back(new ElevationSet("M01/", "http://www.viewfinderpanoramas.org/dem3/M01.zip", BoundBox(LatLng(48.0, -180.0), LatLng(52.0, -174.0))));
  setList.push_back(new ElevationSet("M09/", "http://www.viewfinderpanoramas.org/dem3/M09.zip", BoundBox(LatLng(48.0, -132.0), LatLng(52.0, -126.0))));
  setList.push_back(new ElevationSet("M10/", "http://www.viewfinderpanoramas.org/dem3/M10.zip", BoundBox(LatLng(48.0, -126.0), LatLng(52.0, -120.0))));
  setList.push_back(new ElevationSet("M11/", "http://www.viewfinderpanoramas.org/dem3/M11.zip", BoundBox(LatLng(48.0, -120.0), LatLng(52.0, -114.0))));
  setList.push_back(new ElevationSet("M12/", "http://www.viewfinderpanoramas.org/dem3/M12.zip", BoundBox(LatLng(48.0, -114.0), LatLng(52.0, -108.0))));
  setList.push_back(new ElevationSet("M13/", "http://www.viewfinderpanoramas.org/dem3/M13.zip", BoundBox(LatLng(48.0, -108.0), LatLng(52.0, -102.0))));
  setList.push_back(new ElevationSet("M14/", "http://www.viewfinderpanoramas.org/dem3/M14.zip", BoundBox(LatLng(48.0, -102.0), LatLng(52.0, -96.0))));
  setList.push_back(new ElevationSet("M15/", "http://www.viewfinderpanoramas.org/dem3/M15.zip", BoundBox(LatLng(48.0, -96.0), LatLng(52.0, -90.0))));
  setList.push_back(new ElevationSet("M16/", "http://www.viewfinderpanoramas.org/dem3/M16.zip", BoundBox(LatLng(48.0, -90.0), LatLng(52.0, -84.0))));
  setList.push_back(new ElevationSet("M17/", "http://www.viewfinderpanoramas.org/dem3/M17.zip", BoundBox(LatLng(48.0, -84.0), LatLng(52.0, -78.0))));
  setList.push_back(new ElevationSet("M18/", "http://www.viewfinderpanoramas.org/dem3/M18.zip", BoundBox(LatLng(48.0, -78.0), LatLng(52.0, -72.0))));
  setList.push_back(new ElevationSet("M19/", "http://www.viewfinderpanoramas.org/dem3/M19.zip", BoundBox(LatLng(48.0, -72.0), LatLng(52.0, -66.0))));
  setList.push_back(new ElevationSet("M20/", "http://www.viewfinderpanoramas.org/dem3/M20.zip", BoundBox(LatLng(48.0, -66.0), LatLng(52.0, -60.0))));
  setList.push_back(new ElevationSet("M21/", "http://www.viewfinderpanoramas.org/dem3/M21.zip", BoundBox(LatLng(48.0, -60.0), LatLng(52.0, -54.0))));
  setList.push_back(new ElevationSet("M22/", "http://www.viewfinderpanoramas.org/dem3/M22.zip", BoundBox(LatLng(48.0, -54.0), LatLng(52.0, -48.0))));
  setList.push_back(new ElevationSet("M29/", "http://www.viewfinderpanoramas.org/dem3/M29.zip", BoundBox(LatLng(48.0, -12.0), LatLng(52.0, -6.0))));
  setList.push_back(new ElevationSet("M30/", "http://www.viewfinderpanoramas.org/dem3/M30.zip", BoundBox(LatLng(48.0, -6.0), LatLng(52.0, 0.0))));
  setList.push_back(new ElevationSet("M31/", "http://www.viewfinderpanoramas.org/dem3/M31.zip", BoundBox(LatLng(48.0, 0.0), LatLng(52.0, 6.0))));
  setList.push_back(new ElevationSet("M32/", "http://www.viewfinderpanoramas.org/dem3/M32.zip", BoundBox(LatLng(48.0, 6.0), LatLng(52.0, 12.0))));
  setList.push_back(new ElevationSet("M33/", "http://www.viewfinderpanoramas.org/dem3/M33.zip", BoundBox(LatLng(48.0, 12.0), LatLng(52.0, 18.0))));
  setList.push_back(new ElevationSet("M34/", "http://www.viewfinderpanoramas.org/dem3/M34.zip", BoundBox(LatLng(48.0, 18.0), LatLng(52.0, 24.0))));
  setList.push_back(new ElevationSet("M35/", "http://www.viewfinderpanoramas.org/dem3/M35.zip", BoundBox(LatLng(48.0, 24.0), LatLng(52.0, 30.0))));
  setList.push_back(new ElevationSet("M36/", "http://www.viewfinderpanoramas.org/dem3/M36.zip", BoundBox(LatLng(48.0, 30.0), LatLng(52.0, 36.0))));
  setList.push_back(new ElevationSet("M37/", "http://www.viewfinderpanoramas.org/dem3/M37.zip", BoundBox(LatLng(48.0, 36.0), LatLng(52.0, 42.0))));
  setList.push_back(new ElevationSet("M38/", "http://www.viewfinderpanoramas.org/dem3/M38.zip", BoundBox(LatLng(48.0, 42.0), LatLng(52.0, 48.0))));
  setList.push_back(new ElevationSet("M39/", "http://www.viewfinderpanoramas.org/dem3/M39.zip", BoundBox(LatLng(48.0, 48.0), LatLng(52.0, 54.0))));
  setList.push_back(new ElevationSet("M40/", "http://www.viewfinderpanoramas.org/dem3/M40.zip", BoundBox(LatLng(48.0, 54.0), LatLng(52.0, 60.0))));
  setList.push_back(new ElevationSet("M41/", "http://www.viewfinderpanoramas.org/dem3/M41.zip", BoundBox(LatLng(48.0, 60.0), LatLng(52.0, 66.0))));
  setList.push_back(new ElevationSet("M42/", "http://www.viewfinderpanoramas.org/dem3/M42.zip", BoundBox(LatLng(48.0, 66.0), LatLng(52.0, 72.0))));
  setList.push_back(new ElevationSet("M43/", "http://www.viewfinderpanoramas.org/dem3/M43.zip", BoundBox(LatLng(48.0, 72.0), LatLng(52.0, 78.0))));
  setList.push_back(new ElevationSet("M44/", "http://www.viewfinderpanoramas.org/dem3/M44.zip", BoundBox(LatLng(48.0, 78.0), LatLng(52.0, 84.0))));
  setList.push_back(new ElevationSet("M45/", "http://www.viewfinderpanoramas.org/dem3/M45.zip", BoundBox(LatLng(48.0, 84.0), LatLng(52.0, 90.0))));
  setList.push_back(new ElevationSet("M46/", "http://www.viewfinderpanoramas.org/dem3/M46.zip", BoundBox(LatLng(48.0, 90.0), LatLng(52.0, 96.0))));
  setList.push_back(new ElevationSet("M47/", "http://www.viewfinderpanoramas.org/dem3/M47.zip", BoundBox(LatLng(48.0, 96.0), LatLng(52.0, 102.0))));
  setList.push_back(new ElevationSet("M48/", "http://www.viewfinderpanoramas.org/dem3/M48.zip", BoundBox(LatLng(48.0, 102.0), LatLng(52.0, 108.0))));
  setList.push_back(new ElevationSet("M49/", "http://www.viewfinderpanoramas.org/dem3/M49.zip", BoundBox(LatLng(48.0, 108.0), LatLng(52.0, 114.0))));
  setList.push_back(new ElevationSet("M50/", "http://www.viewfinderpanoramas.org/dem3/M50.zip", BoundBox(LatLng(48.0, 114.0), LatLng(52.0, 120.0))));
  setList.push_back(new ElevationSet("M51/", "http://www.viewfinderpanoramas.org/dem3/M51.zip", BoundBox(LatLng(48.0, 120.0), LatLng(52.0, 126.0))));
  setList.push_back(new ElevationSet("M52/", "http://www.viewfinderpanoramas.org/dem3/M52.zip", BoundBox(LatLng(48.0, 126.0), LatLng(52.0, 132.0))));
  setList.push_back(new ElevationSet("M53/", "http://www.viewfinderpanoramas.org/dem3/M53.zip", BoundBox(LatLng(48.0, 132.0), LatLng(52.0, 138.0))));
  setList.push_back(new ElevationSet("M54/", "http://www.viewfinderpanoramas.org/dem3/M54.zip", BoundBox(LatLng(48.0, 138.0), LatLng(52.0, 144.0))));
  setList.push_back(new ElevationSet("M55/", "http://www.viewfinderpanoramas.org/dem3/M55.zip", BoundBox(LatLng(48.0, 144.0), LatLng(52.0, 150.0))));
  setList.push_back(new ElevationSet("M56/", "http://www.viewfinderpanoramas.org/dem3/M56.zip", BoundBox(LatLng(48.0, 150.0), LatLng(52.0, 156.0))));
  setList.push_back(new ElevationSet("M57/", "http://www.viewfinderpanoramas.org/dem3/M57.zip", BoundBox(LatLng(48.0, 156.0), LatLng(52.0, 162.0))));
  setList.push_back(new ElevationSet("M60/", "http://www.viewfinderpanoramas.org/dem3/M60.zip", BoundBox(LatLng(48.0, 174.0), LatLng(52.0, 180.0))));
  setList.push_back(new ElevationSet("L10/", "http://www.viewfinderpanoramas.org/dem3/L10.zip", BoundBox(LatLng(44.0, -126.0), LatLng(48.0, -120.0))));
  setList.push_back(new ElevationSet("L11/", "http://www.viewfinderpanoramas.org/dem3/L11.zip", BoundBox(LatLng(44.0, -120.0), LatLng(48.0, -114.0))));
  setList.push_back(new ElevationSet("L12/", "http://www.viewfinderpanoramas.org/dem3/L12.zip", BoundBox(LatLng(44.0, -114.0), LatLng(48.0, -108.0))));
  setList.push_back(new ElevationSet("L13/", "http://www.viewfinderpanoramas.org/dem3/L13.zip", BoundBox(LatLng(44.0, -108.0), LatLng(48.0, -102.0))));
  setList.push_back(new ElevationSet("L14/", "http://www.viewfinderpanoramas.org/dem3/L14.zip", BoundBox(LatLng(44.0, -102.0), LatLng(48.0, -96.0))));
  setList.push_back(new ElevationSet("L15/", "http://www.viewfinderpanoramas.org/dem3/L15.zip", BoundBox(LatLng(44.0, -96.0), LatLng(48.0, -90.0))));
  setList.push_back(new ElevationSet("L16/", "http://www.viewfinderpanoramas.org/dem3/L16.zip", BoundBox(LatLng(44.0, -90.0), LatLng(48.0, -84.0))));
  setList.push_back(new ElevationSet("L17/", "http://www.viewfinderpanoramas.org/dem3/L17.zip", BoundBox(LatLng(44.0, -84.0), LatLng(48.0, -78.0))));
  setList.push_back(new ElevationSet("L18/", "http://www.viewfinderpanoramas.org/dem3/L18.zip", BoundBox(LatLng(44.0, -78.0), LatLng(48.0, -72.0))));
  setList.push_back(new ElevationSet("L19/", "http://www.viewfinderpanoramas.org/dem3/L19.zip", BoundBox(LatLng(44.0, -72.0), LatLng(48.0, -66.0))));
  setList.push_back(new ElevationSet("L20/", "http://www.viewfinderpanoramas.org/dem3/L20.zip", BoundBox(LatLng(44.0, -66.0), LatLng(48.0, -60.0))));
  setList.push_back(new ElevationSet("L21/", "http://www.viewfinderpanoramas.org/dem3/L21.zip", BoundBox(LatLng(44.0, -60.0), LatLng(48.0, -54.0))));
  setList.push_back(new ElevationSet("L22/", "http://www.viewfinderpanoramas.org/dem3/L22.zip", BoundBox(LatLng(44.0, -54.0), LatLng(48.0, -48.0))));
  setList.push_back(new ElevationSet("L30/", "http://www.viewfinderpanoramas.org/dem3/L30.zip", BoundBox(LatLng(44.0, -6.0), LatLng(48.0, 0.0))));
  setList.push_back(new ElevationSet("L31/", "http://www.viewfinderpanoramas.org/dem3/L31.zip", BoundBox(LatLng(44.0, 0.0), LatLng(48.0, 6.0))));
  setList.push_back(new ElevationSet("L32/", "http://www.viewfinderpanoramas.org/dem3/L32.zip", BoundBox(LatLng(44.0, 6.0), LatLng(48.0, 12.0))));
  setList.push_back(new ElevationSet("L33/", "http://www.viewfinderpanoramas.org/dem3/L33.zip", BoundBox(LatLng(44.0, 12.0), LatLng(48.0, 18.0))));
  setList.push_back(new ElevationSet("L34/", "http://www.viewfinderpanoramas.org/dem3/L34.zip", BoundBox(LatLng(44.0, 18.0), LatLng(48.0, 24.0))));
  setList.push_back(new ElevationSet("L35/", "http://www.viewfinderpanoramas.org/dem3/L35.zip", BoundBox(LatLng(44.0, 24.0), LatLng(48.0, 30.0))));
  setList.push_back(new ElevationSet("L36/", "http://www.viewfinderpanoramas.org/dem3/L36.zip", BoundBox(LatLng(44.0, 30.0), LatLng(48.0, 36.0))));
  setList.push_back(new ElevationSet("L37/", "http://www.viewfinderpanoramas.org/dem3/L37.zip", BoundBox(LatLng(44.0, 36.0), LatLng(48.0, 42.0))));
  setList.push_back(new ElevationSet("L38/", "http://www.viewfinderpanoramas.org/dem3/L38.zip", BoundBox(LatLng(44.0, 42.0), LatLng(48.0, 48.0))));
  setList.push_back(new ElevationSet("L39/", "http://www.viewfinderpanoramas.org/dem3/L39.zip", BoundBox(LatLng(44.0, 48.0), LatLng(48.0, 54.0))));
  setList.push_back(new ElevationSet("L40/", "http://www.viewfinderpanoramas.org/dem3/L40.zip", BoundBox(LatLng(44.0, 54.0), LatLng(48.0, 60.0))));
  setList.push_back(new ElevationSet("L41/", "http://www.viewfinderpanoramas.org/dem3/L41.zip", BoundBox(LatLng(44.0, 60.0), LatLng(48.0, 66.0))));
  setList.push_back(new ElevationSet("L42/", "http://www.viewfinderpanoramas.org/dem3/L42.zip", BoundBox(LatLng(44.0, 66.0), LatLng(48.0, 72.0))));
  setList.push_back(new ElevationSet("L43/", "http://www.viewfinderpanoramas.org/dem3/L43.zip", BoundBox(LatLng(44.0, 72.0), LatLng(48.0, 78.0))));
  setList.push_back(new ElevationSet("L44/", "http://www.viewfinderpanoramas.org/dem3/L44.zip", BoundBox(LatLng(44.0, 78.0), LatLng(48.0, 84.0))));
  setList.push_back(new ElevationSet("L45/", "http://www.viewfinderpanoramas.org/dem3/L45.zip", BoundBox(LatLng(44.0, 84.0), LatLng(48.0, 90.0))));
  setList.push_back(new ElevationSet("L46/", "http://www.viewfinderpanoramas.org/dem3/L46.zip", BoundBox(LatLng(44.0, 90.0), LatLng(48.0, 96.0))));
  setList.push_back(new ElevationSet("L47/", "http://www.viewfinderpanoramas.org/dem3/L47.zip", BoundBox(LatLng(44.0, 96.0), LatLng(48.0, 102.0))));
  setList.push_back(new ElevationSet("L48/", "http://www.viewfinderpanoramas.org/dem3/L48.zip", BoundBox(LatLng(44.0, 102.0), LatLng(48.0, 108.0))));
  setList.push_back(new ElevationSet("L49/", "http://www.viewfinderpanoramas.org/dem3/L49.zip", BoundBox(LatLng(44.0, 108.0), LatLng(48.0, 114.0))));
  setList.push_back(new ElevationSet("L50/", "http://www.viewfinderpanoramas.org/dem3/L50.zip", BoundBox(LatLng(44.0, 114.0), LatLng(48.0, 120.0))));
  setList.push_back(new ElevationSet("L51/", "http://www.viewfinderpanoramas.org/dem3/L51.zip", BoundBox(LatLng(44.0, 120.0), LatLng(48.0, 126.0))));
  setList.push_back(new ElevationSet("L52/", "http://www.viewfinderpanoramas.org/dem3/L52.zip", BoundBox(LatLng(44.0, 126.0), LatLng(48.0, 132.0))));
  setList.push_back(new ElevationSet("L53/", "http://www.viewfinderpanoramas.org/dem3/L53.zip", BoundBox(LatLng(44.0, 132.0), LatLng(48.0, 138.0))));
  setList.push_back(new ElevationSet("L54/", "http://www.viewfinderpanoramas.org/dem3/L54.zip", BoundBox(LatLng(44.0, 138.0), LatLng(48.0, 144.0))));
  setList.push_back(new ElevationSet("L55/", "http://www.viewfinderpanoramas.org/dem3/L55.zip", BoundBox(LatLng(44.0, 144.0), LatLng(48.0, 150.0))));
  setList.push_back(new ElevationSet("L56/", "http://www.viewfinderpanoramas.org/dem3/L56.zip", BoundBox(LatLng(44.0, 150.0), LatLng(48.0, 156.0))));
  setList.push_back(new ElevationSet("K10/", "http://www.viewfinderpanoramas.org/dem3/K10.zip", BoundBox(LatLng(40.0, -126.0), LatLng(44.0, -120.0))));
  setList.push_back(new ElevationSet("K11/", "http://www.viewfinderpanoramas.org/dem3/K11.zip", BoundBox(LatLng(40.0, -120.0), LatLng(44.0, -114.0))));
  setList.push_back(new ElevationSet("K12/", "http://www.viewfinderpanoramas.org/dem3/K12.zip", BoundBox(LatLng(40.0, -114.0), LatLng(44.0, -108.0))));
  setList.push_back(new ElevationSet("K13/", "http://www.viewfinderpanoramas.org/dem3/K13.zip", BoundBox(LatLng(40.0, -108.0), LatLng(44.0, -102.0))));
  setList.push_back(new ElevationSet("K14/", "http://www.viewfinderpanoramas.org/dem3/K14.zip", BoundBox(LatLng(40.0, -102.0), LatLng(44.0, -96.0))));
  setList.push_back(new ElevationSet("K15/", "http://www.viewfinderpanoramas.org/dem3/K15.zip", BoundBox(LatLng(40.0, -96.0), LatLng(44.0, -90.0))));
  setList.push_back(new ElevationSet("K16/", "http://www.viewfinderpanoramas.org/dem3/K16.zip", BoundBox(LatLng(40.0, -90.0), LatLng(44.0, -84.0))));
  setList.push_back(new ElevationSet("K17/", "http://www.viewfinderpanoramas.org/dem3/K17.zip", BoundBox(LatLng(40.0, -84.0), LatLng(44.0, -78.0))));
  setList.push_back(new ElevationSet("K18/", "http://www.viewfinderpanoramas.org/dem3/K18.zip", BoundBox(LatLng(40.0, -78.0), LatLng(44.0, -72.0))));
  setList.push_back(new ElevationSet("K19/", "http://www.viewfinderpanoramas.org/dem3/K19.zip", BoundBox(LatLng(40.0, -72.0), LatLng(44.0, -66.0))));
  setList.push_back(new ElevationSet("K20/", "http://www.viewfinderpanoramas.org/dem3/K20.zip", BoundBox(LatLng(40.0, -66.0), LatLng(44.0, -60.0))));
  setList.push_back(new ElevationSet("K21/", "http://www.viewfinderpanoramas.org/dem3/K21.zip", BoundBox(LatLng(40.0, -60.0), LatLng(44.0, -54.0))));
  setList.push_back(new ElevationSet("K29/", "http://www.viewfinderpanoramas.org/dem3/K29.zip", BoundBox(LatLng(40.0, -12.0), LatLng(44.0, -6.0))));
  setList.push_back(new ElevationSet("K30/", "http://www.viewfinderpanoramas.org/dem3/K30.zip", BoundBox(LatLng(40.0, -6.0), LatLng(44.0, 0.0))));
  setList.push_back(new ElevationSet("K31/", "http://www.viewfinderpanoramas.org/dem3/K31.zip", BoundBox(LatLng(40.0, 0.0), LatLng(44.0, 6.0))));
  setList.push_back(new ElevationSet("K32/", "http://www.viewfinderpanoramas.org/dem3/K32.zip", BoundBox(LatLng(40.0, 6.0), LatLng(44.0, 12.0))));
  setList.push_back(new ElevationSet("K33/", "http://www.viewfinderpanoramas.org/dem3/K33.zip", BoundBox(LatLng(40.0, 12.0), LatLng(44.0, 18.0))));
  setList.push_back(new ElevationSet("K34/", "http://www.viewfinderpanoramas.org/dem3/K34.zip", BoundBox(LatLng(40.0, 18.0), LatLng(44.0, 24.0))));
  setList.push_back(new ElevationSet("K35/", "http://www.viewfinderpanoramas.org/dem3/K35.zip", BoundBox(LatLng(40.0, 24.0), LatLng(44.0, 30.0))));
  setList.push_back(new ElevationSet("K36/", "http://www.viewfinderpanoramas.org/dem3/K36.zip", BoundBox(LatLng(40.0, 30.0), LatLng(44.0, 36.0))));
  setList.push_back(new ElevationSet("K37/", "http://www.viewfinderpanoramas.org/dem3/K37.zip", BoundBox(LatLng(40.0, 36.0), LatLng(44.0, 42.0))));
  setList.push_back(new ElevationSet("K38/", "http://www.viewfinderpanoramas.org/dem3/K38.zip", BoundBox(LatLng(40.0, 42.0), LatLng(44.0, 48.0))));
  setList.push_back(new ElevationSet("K39/", "http://www.viewfinderpanoramas.org/dem3/K39.zip", BoundBox(LatLng(40.0, 48.0), LatLng(44.0, 54.0))));
  setList.push_back(new ElevationSet("K40/", "http://www.viewfinderpanoramas.org/dem3/K40.zip", BoundBox(LatLng(40.0, 54.0), LatLng(44.0, 60.0))));
  setList.push_back(new ElevationSet("K41/", "http://www.viewfinderpanoramas.org/dem3/K41.zip", BoundBox(LatLng(40.0, 60.0), LatLng(44.0, 66.0))));
  setList.push_back(new ElevationSet("K42/", "http://www.viewfinderpanoramas.org/dem3/K42.zip", BoundBox(LatLng(40.0, 66.0), LatLng(44.0, 72.0))));
  setList.push_back(new ElevationSet("K43/", "http://www.viewfinderpanoramas.org/dem3/K43.zip", BoundBox(LatLng(40.0, 72.0), LatLng(44.0, 78.0))));
  setList.push_back(new ElevationSet("K44/", "http://www.viewfinderpanoramas.org/dem3/K44.zip", BoundBox(LatLng(40.0, 78.0), LatLng(44.0, 84.0))));
  setList.push_back(new ElevationSet("K45/", "http://www.viewfinderpanoramas.org/dem3/K45.zip", BoundBox(LatLng(40.0, 84.0), LatLng(44.0, 90.0))));
  setList.push_back(new ElevationSet("K46/", "http://www.viewfinderpanoramas.org/dem3/K46.zip", BoundBox(LatLng(40.0, 90.0), LatLng(44.0, 96.0))));
  setList.push_back(new ElevationSet("K47/", "http://www.viewfinderpanoramas.org/dem3/K47.zip", BoundBox(LatLng(40.0, 96.0), LatLng(44.0, 102.0))));
  setList.push_back(new ElevationSet("K48/", "http://www.viewfinderpanoramas.org/dem3/K48.zip", BoundBox(LatLng(40.0, 102.0), LatLng(44.0, 108.0))));
  setList.push_back(new ElevationSet("K49/", "http://www.viewfinderpanoramas.org/dem3/K49.zip", BoundBox(LatLng(40.0, 108.0), LatLng(44.0, 114.0))));
  setList.push_back(new ElevationSet("K50/", "http://www.viewfinderpanoramas.org/dem3/K50.zip", BoundBox(LatLng(40.0, 114.0), LatLng(44.0, 120.0))));
  setList.push_back(new ElevationSet("K51/", "http://www.viewfinderpanoramas.org/dem3/K51.zip", BoundBox(LatLng(40.0, 120.0), LatLng(44.0, 126.0))));
  setList.push_back(new ElevationSet("K52/", "http://www.viewfinderpanoramas.org/dem3/K52.zip", BoundBox(LatLng(40.0, 126.0), LatLng(44.0, 132.0))));
  setList.push_back(new ElevationSet("K53/", "http://www.viewfinderpanoramas.org/dem3/K53.zip", BoundBox(LatLng(40.0, 132.0), LatLng(44.0, 138.0))));
  setList.push_back(new ElevationSet("K54/", "http://www.viewfinderpanoramas.org/dem3/K54.zip", BoundBox(LatLng(40.0, 138.0), LatLng(44.0, 144.0))));
  setList.push_back(new ElevationSet("K55/", "http://www.viewfinderpanoramas.org/dem3/K55.zip", BoundBox(LatLng(40.0, 144.0), LatLng(44.0, 150.0))));
  setList.push_back(new ElevationSet("J10/", "http://www.viewfinderpanoramas.org/dem3/J10.zip", BoundBox(LatLng(36.0, -126.0), LatLng(40.0, -120.0))));
  setList.push_back(new ElevationSet("J11/", "http://www.viewfinderpanoramas.org/dem3/J11.zip", BoundBox(LatLng(36.0, -120.0), LatLng(40.0, -114.0))));
  setList.push_back(new ElevationSet("J12/", "http://www.viewfinderpanoramas.org/dem3/J12.zip", BoundBox(LatLng(36.0, -114.0), LatLng(40.0, -108.0))));
  setList.push_back(new ElevationSet("J13/", "http://www.viewfinderpanoramas.org/dem3/J13.zip", BoundBox(LatLng(36.0, -108.0), LatLng(40.0, -102.0))));
  setList.push_back(new ElevationSet("J14/", "http://www.viewfinderpanoramas.org/dem3/J14.zip", BoundBox(LatLng(36.0, -102.0), LatLng(40.0, -96.0))));
  setList.push_back(new ElevationSet("J15/", "http://www.viewfinderpanoramas.org/dem3/J15.zip", BoundBox(LatLng(36.0, -96.0), LatLng(40.0, -90.0))));
  setList.push_back(new ElevationSet("J16/", "http://www.viewfinderpanoramas.org/dem3/J16.zip", BoundBox(LatLng(36.0, -90.0), LatLng(40.0, -84.0))));
  setList.push_back(new ElevationSet("J17/", "http://www.viewfinderpanoramas.org/dem3/J17.zip", BoundBox(LatLng(36.0, -84.0), LatLng(40.0, -78.0))));
  setList.push_back(new ElevationSet("J18/", "http://www.viewfinderpanoramas.org/dem3/J18.zip", BoundBox(LatLng(36.0, -78.0), LatLng(40.0, -72.0))));
  setList.push_back(new ElevationSet("J25/", "http://www.viewfinderpanoramas.org/dem3/J25.zip", BoundBox(LatLng(36.0, -36.0), LatLng(40.0, -30.0))));
  setList.push_back(new ElevationSet("J26/", "http://www.viewfinderpanoramas.org/dem3/J26.zip", BoundBox(LatLng(36.0, -30.0), LatLng(40.0, -24.0))));
  setList.push_back(new ElevationSet("J29/", "http://www.viewfinderpanoramas.org/dem3/J29.zip", BoundBox(LatLng(36.0, -12.0), LatLng(40.0, -6.0))));
  setList.push_back(new ElevationSet("J30/", "http://www.viewfinderpanoramas.org/dem3/J30.zip", BoundBox(LatLng(36.0, -6.0), LatLng(40.0, 0.0))));
  setList.push_back(new ElevationSet("J31/", "http://www.viewfinderpanoramas.org/dem3/J31.zip", BoundBox(LatLng(36.0, 0.0), LatLng(40.0, 6.0))));
  setList.push_back(new ElevationSet("J32/", "http://www.viewfinderpanoramas.org/dem3/J32.zip", BoundBox(LatLng(36.0, 6.0), LatLng(40.0, 12.0))));
  setList.push_back(new ElevationSet("J33/", "http://www.viewfinderpanoramas.org/dem3/J33.zip", BoundBox(LatLng(36.0, 12.0), LatLng(40.0, 18.0))));
  setList.push_back(new ElevationSet("J34/", "http://www.viewfinderpanoramas.org/dem3/J34.zip", BoundBox(LatLng(36.0, 18.0), LatLng(40.0, 24.0))));
  setList.push_back(new ElevationSet("J35/", "http://www.viewfinderpanoramas.org/dem3/J35.zip", BoundBox(LatLng(36.0, 24.0), LatLng(40.0, 30.0))));
  setList.push_back(new ElevationSet("J36/", "http://www.viewfinderpanoramas.org/dem3/J36.zip", BoundBox(LatLng(36.0, 30.0), LatLng(40.0, 36.0))));
  setList.push_back(new ElevationSet("J37/", "http://www.viewfinderpanoramas.org/dem3/J37.zip", BoundBox(LatLng(36.0, 36.0), LatLng(40.0, 42.0))));
  setList.push_back(new ElevationSet("J38/", "http://www.viewfinderpanoramas.org/dem3/J38.zip", BoundBox(LatLng(36.0, 42.0), LatLng(40.0, 48.0))));
  setList.push_back(new ElevationSet("J39/", "http://www.viewfinderpanoramas.org/dem3/J39.zip", BoundBox(LatLng(36.0, 48.0), LatLng(40.0, 54.0))));
  setList.push_back(new ElevationSet("J40/", "http://www.viewfinderpanoramas.org/dem3/J40.zip", BoundBox(LatLng(36.0, 54.0), LatLng(40.0, 60.0))));
  setList.push_back(new ElevationSet("J41/", "http://www.viewfinderpanoramas.org/dem3/J41.zip", BoundBox(LatLng(36.0, 60.0), LatLng(40.0, 66.0))));
  setList.push_back(new ElevationSet("J42/", "http://www.viewfinderpanoramas.org/dem3/J42.zip", BoundBox(LatLng(36.0, 66.0), LatLng(40.0, 72.0))));
  setList.push_back(new ElevationSet("J43/", "http://www.viewfinderpanoramas.org/dem3/J43.zip", BoundBox(LatLng(36.0, 72.0), LatLng(40.0, 78.0))));
  setList.push_back(new ElevationSet("J44/", "http://www.viewfinderpanoramas.org/dem3/J44.zip", BoundBox(LatLng(36.0, 78.0), LatLng(40.0, 84.0))));
  setList.push_back(new ElevationSet("J45/", "http://www.viewfinderpanoramas.org/dem3/J45.zip", BoundBox(LatLng(36.0, 84.0), LatLng(40.0, 90.0))));
  setList.push_back(new ElevationSet("J46/", "http://www.viewfinderpanoramas.org/dem3/J46.zip", BoundBox(LatLng(36.0, 90.0), LatLng(40.0, 96.0))));
  setList.push_back(new ElevationSet("J47/", "http://www.viewfinderpanoramas.org/dem3/J47.zip", BoundBox(LatLng(36.0, 96.0), LatLng(40.0, 102.0))));
  setList.push_back(new ElevationSet("J48/", "http://www.viewfinderpanoramas.org/dem3/J48.zip", BoundBox(LatLng(36.0, 102.0), LatLng(40.0, 108.0))));
  setList.push_back(new ElevationSet("J49/", "http://www.viewfinderpanoramas.org/dem3/J49.zip", BoundBox(LatLng(36.0, 108.0), LatLng(40.0, 114.0))));
  setList.push_back(new ElevationSet("J50/", "http://www.viewfinderpanoramas.org/dem3/J50.zip", BoundBox(LatLng(36.0, 114.0), LatLng(40.0, 120.0))));
  setList.push_back(new ElevationSet("J51/", "http://www.viewfinderpanoramas.org/dem3/J51.zip", BoundBox(LatLng(36.0, 120.0), LatLng(40.0, 126.0))));
  setList.push_back(new ElevationSet("J52/", "http://www.viewfinderpanoramas.org/dem3/J52.zip", BoundBox(LatLng(36.0, 126.0), LatLng(40.0, 132.0))));
  setList.push_back(new ElevationSet("J53/", "http://www.viewfinderpanoramas.org/dem3/J53.zip", BoundBox(LatLng(36.0, 132.0), LatLng(40.0, 138.0))));
  setList.push_back(new ElevationSet("J54/", "http://www.viewfinderpanoramas.org/dem3/J54.zip", BoundBox(LatLng(36.0, 138.0), LatLng(40.0, 144.0))));
  setList.push_back(new ElevationSet("I10/", "http://www.viewfinderpanoramas.org/dem3/I10.zip", BoundBox(LatLng(32.0, -126.0), LatLng(36.0, -120.0))));
  setList.push_back(new ElevationSet("I11/", "http://www.viewfinderpanoramas.org/dem3/I11.zip", BoundBox(LatLng(32.0, -120.0), LatLng(36.0, -114.0))));
  setList.push_back(new ElevationSet("I12/", "http://www.viewfinderpanoramas.org/dem3/I12.zip", BoundBox(LatLng(32.0, -114.0), LatLng(36.0, -108.0))));
  setList.push_back(new ElevationSet("I13/", "http://www.viewfinderpanoramas.org/dem3/I13.zip", BoundBox(LatLng(32.0, -108.0), LatLng(36.0, -102.0))));
  setList.push_back(new ElevationSet("I14/", "http://www.viewfinderpanoramas.org/dem3/I14.zip", BoundBox(LatLng(32.0, -102.0), LatLng(36.0, -96.0))));
  setList.push_back(new ElevationSet("I15/", "http://www.viewfinderpanoramas.org/dem3/I15.zip", BoundBox(LatLng(32.0, -96.0), LatLng(36.0, -90.0))));
  setList.push_back(new ElevationSet("I16/", "http://www.viewfinderpanoramas.org/dem3/I16.zip", BoundBox(LatLng(32.0, -90.0), LatLng(36.0, -84.0))));
  setList.push_back(new ElevationSet("I17/", "http://www.viewfinderpanoramas.org/dem3/I17.zip", BoundBox(LatLng(32.0, -84.0), LatLng(36.0, -78.0))));
  setList.push_back(new ElevationSet("I18/", "http://www.viewfinderpanoramas.org/dem3/I18.zip", BoundBox(LatLng(32.0, -78.0), LatLng(36.0, -72.0))));
  setList.push_back(new ElevationSet("I20/", "http://www.viewfinderpanoramas.org/dem3/I20.zip", BoundBox(LatLng(32.0, -66.0), LatLng(36.0, -60.0))));
  setList.push_back(new ElevationSet("I28/", "http://www.viewfinderpanoramas.org/dem3/I28.zip", BoundBox(LatLng(32.0, -18.0), LatLng(36.0, -12.0))));
  setList.push_back(new ElevationSet("I29/", "http://www.viewfinderpanoramas.org/dem3/I29.zip", BoundBox(LatLng(32.0, -12.0), LatLng(36.0, -6.0))));
  setList.push_back(new ElevationSet("I30/", "http://www.viewfinderpanoramas.org/dem3/I30.zip", BoundBox(LatLng(32.0, -6.0), LatLng(36.0, 0.0))));
  setList.push_back(new ElevationSet("I31/", "http://www.viewfinderpanoramas.org/dem3/I31.zip", BoundBox(LatLng(32.0, 0.0), LatLng(36.0, 6.0))));
  setList.push_back(new ElevationSet("I32/", "http://www.viewfinderpanoramas.org/dem3/I32.zip", BoundBox(LatLng(32.0, 6.0), LatLng(36.0, 12.0))));
  setList.push_back(new ElevationSet("I33/", "http://www.viewfinderpanoramas.org/dem3/I33.zip", BoundBox(LatLng(32.0, 12.0), LatLng(36.0, 18.0))));
  setList.push_back(new ElevationSet("I34/", "http://www.viewfinderpanoramas.org/dem3/I34.zip", BoundBox(LatLng(32.0, 18.0), LatLng(36.0, 24.0))));
  setList.push_back(new ElevationSet("I35/", "http://www.viewfinderpanoramas.org/dem3/I35.zip", BoundBox(LatLng(32.0, 24.0), LatLng(36.0, 30.0))));
  setList.push_back(new ElevationSet("I36/", "http://www.viewfinderpanoramas.org/dem3/I36.zip", BoundBox(LatLng(32.0, 30.0), LatLng(36.0, 36.0))));
  setList.push_back(new ElevationSet("I37/", "http://www.viewfinderpanoramas.org/dem3/I37.zip", BoundBox(LatLng(32.0, 36.0), LatLng(36.0, 42.0))));
  setList.push_back(new ElevationSet("I38/", "http://www.viewfinderpanoramas.org/dem3/I38.zip", BoundBox(LatLng(32.0, 42.0), LatLng(36.0, 48.0))));
  setList.push_back(new ElevationSet("I39/", "http://www.viewfinderpanoramas.org/dem3/I39.zip", BoundBox(LatLng(32.0, 48.0), LatLng(36.0, 54.0))));
  setList.push_back(new ElevationSet("I40/", "http://www.viewfinderpanoramas.org/dem3/I40.zip", BoundBox(LatLng(32.0, 54.0), LatLng(36.0, 60.0))));
  setList.push_back(new ElevationSet("I41/", "http://www.viewfinderpanoramas.org/dem3/I41.zip", BoundBox(LatLng(32.0, 60.0), LatLng(36.0, 66.0))));
  setList.push_back(new ElevationSet("I42/", "http://www.viewfinderpanoramas.org/dem3/I42.zip", BoundBox(LatLng(32.0, 66.0), LatLng(36.0, 72.0))));
  setList.push_back(new ElevationSet("I43/", "http://www.viewfinderpanoramas.org/dem3/I43.zip", BoundBox(LatLng(32.0, 72.0), LatLng(36.0, 78.0))));
  setList.push_back(new ElevationSet("I44/", "http://www.viewfinderpanoramas.org/dem3/I44.zip", BoundBox(LatLng(32.0, 78.0), LatLng(36.0, 84.0))));
  setList.push_back(new ElevationSet("I45/", "http://www.viewfinderpanoramas.org/dem3/I45.zip", BoundBox(LatLng(32.0, 84.0), LatLng(36.0, 90.0))));
  setList.push_back(new ElevationSet("I46/", "http://www.viewfinderpanoramas.org/dem3/I46.zip", BoundBox(LatLng(32.0, 90.0), LatLng(36.0, 96.0))));
  setList.push_back(new ElevationSet("I47/", "http://www.viewfinderpanoramas.org/dem3/I47.zip", BoundBox(LatLng(32.0, 96.0), LatLng(36.0, 102.0))));
  setList.push_back(new ElevationSet("I48/", "http://www.viewfinderpanoramas.org/dem3/I48.zip", BoundBox(LatLng(32.0, 102.0), LatLng(36.0, 108.0))));
  setList.push_back(new ElevationSet("I49/", "http://www.viewfinderpanoramas.org/dem3/I49.zip", BoundBox(LatLng(32.0, 108.0), LatLng(36.0, 114.0))));
  setList.push_back(new ElevationSet("I50/", "http://www.viewfinderpanoramas.org/dem3/I50.zip", BoundBox(LatLng(32.0, 114.0), LatLng(36.0, 120.0))));
  setList.push_back(new ElevationSet("I51/", "http://www.viewfinderpanoramas.org/dem3/I51.zip", BoundBox(LatLng(32.0, 120.0), LatLng(36.0, 126.0))));
  setList.push_back(new ElevationSet("I52/", "http://www.viewfinderpanoramas.org/dem3/I52.zip", BoundBox(LatLng(32.0, 126.0), LatLng(36.0, 132.0))));
  setList.push_back(new ElevationSet("I53/", "http://www.viewfinderpanoramas.org/dem3/I53.zip", BoundBox(LatLng(32.0, 132.0), LatLng(36.0, 138.0))));
  setList.push_back(new ElevationSet("I54/", "http://www.viewfinderpanoramas.org/dem3/I54.zip", BoundBox(LatLng(32.0, 138.0), LatLng(36.0, 144.0))));
  setList.push_back(new ElevationSet("H01/", "http://www.viewfinderpanoramas.org/dem3/H01.zip", BoundBox(LatLng(28.0, -180.0), LatLng(32.0, -174.0))));
  setList.push_back(new ElevationSet("H11/", "http://www.viewfinderpanoramas.org/dem3/H11.zip", BoundBox(LatLng(28.0, -120.0), LatLng(32.0, -114.0))));
  setList.push_back(new ElevationSet("H12/", "http://www.viewfinderpanoramas.org/dem3/H12.zip", BoundBox(LatLng(28.0, -114.0), LatLng(32.0, -108.0))));
  setList.push_back(new ElevationSet("H13/", "http://www.viewfinderpanoramas.org/dem3/H13.zip", BoundBox(LatLng(28.0, -108.0), LatLng(32.0, -102.0))));
  setList.push_back(new ElevationSet("H14/", "http://www.viewfinderpanoramas.org/dem3/H14.zip", BoundBox(LatLng(28.0, -102.0), LatLng(32.0, -96.0))));
  setList.push_back(new ElevationSet("H15/", "http://www.viewfinderpanoramas.org/dem3/H15.zip", BoundBox(LatLng(28.0, -96.0), LatLng(32.0, -90.0))));
  setList.push_back(new ElevationSet("H16/", "http://www.viewfinderpanoramas.org/dem3/H16.zip", BoundBox(LatLng(28.0, -90.0), LatLng(32.0, -84.0))));
  setList.push_back(new ElevationSet("H17/", "http://www.viewfinderpanoramas.org/dem3/H17.zip", BoundBox(LatLng(28.0, -84.0), LatLng(32.0, -78.0))));
  setList.push_back(new ElevationSet("H27/", "http://www.viewfinderpanoramas.org/dem3/H27.zip", BoundBox(LatLng(28.0, -24.0), LatLng(32.0, -18.0))));
  setList.push_back(new ElevationSet("H28/", "http://www.viewfinderpanoramas.org/dem3/H28.zip", BoundBox(LatLng(28.0, -18.0), LatLng(32.0, -12.0))));
  setList.push_back(new ElevationSet("H29/", "http://www.viewfinderpanoramas.org/dem3/H29.zip", BoundBox(LatLng(28.0, -12.0), LatLng(32.0, -6.0))));
  setList.push_back(new ElevationSet("H30/", "http://www.viewfinderpanoramas.org/dem3/H30.zip", BoundBox(LatLng(28.0, -6.0), LatLng(32.0, 0.0))));
  setList.push_back(new ElevationSet("H31/", "http://www.viewfinderpanoramas.org/dem3/H31.zip", BoundBox(LatLng(28.0, 0.0), LatLng(32.0, 6.0))));
  setList.push_back(new ElevationSet("H32/", "http://www.viewfinderpanoramas.org/dem3/H32.zip", BoundBox(LatLng(28.0, 6.0), LatLng(32.0, 12.0))));
  setList.push_back(new ElevationSet("H33/", "http://www.viewfinderpanoramas.org/dem3/H33.zip", BoundBox(LatLng(28.0, 12.0), LatLng(32.0, 18.0))));
  setList.push_back(new ElevationSet("H34/", "http://www.viewfinderpanoramas.org/dem3/H34.zip", BoundBox(LatLng(28.0, 18.0), LatLng(32.0, 24.0))));
  setList.push_back(new ElevationSet("H35/", "http://www.viewfinderpanoramas.org/dem3/H35.zip", BoundBox(LatLng(28.0, 24.0), LatLng(32.0, 30.0))));
  setList.push_back(new ElevationSet("H36/", "http://www.viewfinderpanoramas.org/dem3/H36.zip", BoundBox(LatLng(28.0, 30.0), LatLng(32.0, 36.0))));
  setList.push_back(new ElevationSet("H37/", "http://www.viewfinderpanoramas.org/dem3/H37.zip", BoundBox(LatLng(28.0, 36.0), LatLng(32.0, 42.0))));
  setList.push_back(new ElevationSet("H38/", "http://www.viewfinderpanoramas.org/dem3/H38.zip", BoundBox(LatLng(28.0, 42.0), LatLng(32.0, 48.0))));
  setList.push_back(new ElevationSet("H39/", "http://www.viewfinderpanoramas.org/dem3/H39.zip", BoundBox(LatLng(28.0, 48.0), LatLng(32.0, 54.0))));
  setList.push_back(new ElevationSet("H40/", "http://www.viewfinderpanoramas.org/dem3/H40.zip", BoundBox(LatLng(28.0, 54.0), LatLng(32.0, 60.0))));
  setList.push_back(new ElevationSet("H41/", "http://www.viewfinderpanoramas.org/dem3/H41.zip", BoundBox(LatLng(28.0, 60.0), LatLng(32.0, 66.0))));
  setList.push_back(new ElevationSet("H42/", "http://www.viewfinderpanoramas.org/dem3/H42.zip", BoundBox(LatLng(28.0, 66.0), LatLng(32.0, 72.0))));
  setList.push_back(new ElevationSet("H43/", "http://www.viewfinderpanoramas.org/dem3/H43.zip", BoundBox(LatLng(28.0, 72.0), LatLng(32.0, 78.0))));
  setList.push_back(new ElevationSet("H44/", "http://www.viewfinderpanoramas.org/dem3/H44.zip", BoundBox(LatLng(28.0, 78.0), LatLng(32.0, 84.0))));
  setList.push_back(new ElevationSet("H45/", "http://www.viewfinderpanoramas.org/dem3/H45.zip", BoundBox(LatLng(28.0, 84.0), LatLng(32.0, 90.0))));
  setList.push_back(new ElevationSet("H46/", "http://www.viewfinderpanoramas.org/dem3/H46.zip", BoundBox(LatLng(28.0, 90.0), LatLng(32.0, 96.0))));
  setList.push_back(new ElevationSet("H47/", "http://www.viewfinderpanoramas.org/dem3/H47.zip", BoundBox(LatLng(28.0, 96.0), LatLng(32.0, 102.0))));
  setList.push_back(new ElevationSet("H48/", "http://www.viewfinderpanoramas.org/dem3/H48.zip", BoundBox(LatLng(28.0, 102.0), LatLng(32.0, 108.0))));
  setList.push_back(new ElevationSet("H49/", "http://www.viewfinderpanoramas.org/dem3/H49.zip", BoundBox(LatLng(28.0, 108.0), LatLng(32.0, 114.0))));
  setList.push_back(new ElevationSet("H50/", "http://www.viewfinderpanoramas.org/dem3/H50.zip", BoundBox(LatLng(28.0, 114.0), LatLng(32.0, 120.0))));
  setList.push_back(new ElevationSet("H51/", "http://www.viewfinderpanoramas.org/dem3/H51.zip", BoundBox(LatLng(28.0, 120.0), LatLng(32.0, 126.0))));
  setList.push_back(new ElevationSet("H52/", "http://www.viewfinderpanoramas.org/dem3/H52.zip", BoundBox(LatLng(28.0, 126.0), LatLng(32.0, 132.0))));
  setList.push_back(new ElevationSet("H54/", "http://www.viewfinderpanoramas.org/dem3/H54.zip", BoundBox(LatLng(28.0, 138.0), LatLng(32.0, 144.0))));
  setList.push_back(new ElevationSet("G01/", "http://www.viewfinderpanoramas.org/dem3/G01.zip", BoundBox(LatLng(24.0, -180.0), LatLng(28.0, -174.0))));
  setList.push_back(new ElevationSet("G02/", "http://www.viewfinderpanoramas.org/dem3/G02.zip", BoundBox(LatLng(24.0, -174.0), LatLng(28.0, -168.0))));
  setList.push_back(new ElevationSet("G11/", "http://www.viewfinderpanoramas.org/dem3/G11.zip", BoundBox(LatLng(24.0, -120.0), LatLng(28.0, -114.0))));
  setList.push_back(new ElevationSet("G12/", "http://www.viewfinderpanoramas.org/dem3/G12.zip", BoundBox(LatLng(24.0, -114.0), LatLng(28.0, -108.0))));
  setList.push_back(new ElevationSet("G13/", "http://www.viewfinderpanoramas.org/dem3/G13.zip", BoundBox(LatLng(24.0, -108.0), LatLng(28.0, -102.0))));
  setList.push_back(new ElevationSet("G14/", "http://www.viewfinderpanoramas.org/dem3/G14.zip", BoundBox(LatLng(24.0, -102.0), LatLng(28.0, -96.0))));
  setList.push_back(new ElevationSet("G17/", "http://www.viewfinderpanoramas.org/dem3/G17.zip", BoundBox(LatLng(24.0, -84.0), LatLng(28.0, -78.0))));
  setList.push_back(new ElevationSet("G18/", "http://www.viewfinderpanoramas.org/dem3/G18.zip", BoundBox(LatLng(24.0, -78.0), LatLng(28.0, -72.0))));
  setList.push_back(new ElevationSet("G27/", "http://www.viewfinderpanoramas.org/dem3/G27.zip", BoundBox(LatLng(24.0, -24.0), LatLng(28.0, -18.0))));
  setList.push_back(new ElevationSet("G28/", "http://www.viewfinderpanoramas.org/dem3/G28.zip", BoundBox(LatLng(24.0, -18.0), LatLng(28.0, -12.0))));
  setList.push_back(new ElevationSet("G29/", "http://www.viewfinderpanoramas.org/dem3/G29.zip", BoundBox(LatLng(24.0, -12.0), LatLng(28.0, -6.0))));
  setList.push_back(new ElevationSet("G30/", "http://www.viewfinderpanoramas.org/dem3/G30.zip", BoundBox(LatLng(24.0, -6.0), LatLng(28.0, 0.0))));
  setList.push_back(new ElevationSet("G31/", "http://www.viewfinderpanoramas.org/dem3/G31.zip", BoundBox(LatLng(24.0, 0.0), LatLng(28.0, 6.0))));
  setList.push_back(new ElevationSet("G32/", "http://www.viewfinderpanoramas.org/dem3/G32.zip", BoundBox(LatLng(24.0, 6.0), LatLng(28.0, 12.0))));
  setList.push_back(new ElevationSet("G33/", "http://www.viewfinderpanoramas.org/dem3/G33.zip", BoundBox(LatLng(24.0, 12.0), LatLng(28.0, 18.0))));
  setList.push_back(new ElevationSet("G34/", "http://www.viewfinderpanoramas.org/dem3/G34.zip", BoundBox(LatLng(24.0, 18.0), LatLng(28.0, 24.0))));
  setList.push_back(new ElevationSet("G35/", "http://www.viewfinderpanoramas.org/dem3/G35.zip", BoundBox(LatLng(24.0, 24.0), LatLng(28.0, 30.0))));
  setList.push_back(new ElevationSet("G36/", "http://www.viewfinderpanoramas.org/dem3/G36.zip", BoundBox(LatLng(24.0, 30.0), LatLng(28.0, 36.0))));
  setList.push_back(new ElevationSet("G37/", "http://www.viewfinderpanoramas.org/dem3/G37.zip", BoundBox(LatLng(24.0, 36.0), LatLng(28.0, 42.0))));
  setList.push_back(new ElevationSet("G38/", "http://www.viewfinderpanoramas.org/dem3/G38.zip", BoundBox(LatLng(24.0, 42.0), LatLng(28.0, 48.0))));
  setList.push_back(new ElevationSet("G39/", "http://www.viewfinderpanoramas.org/dem3/G39.zip", BoundBox(LatLng(24.0, 48.0), LatLng(28.0, 54.0))));
  setList.push_back(new ElevationSet("G40/", "http://www.viewfinderpanoramas.org/dem3/G40.zip", BoundBox(LatLng(24.0, 54.0), LatLng(28.0, 60.0))));
  setList.push_back(new ElevationSet("G41/", "http://www.viewfinderpanoramas.org/dem3/G41.zip", BoundBox(LatLng(24.0, 60.0), LatLng(28.0, 66.0))));
  setList.push_back(new ElevationSet("G42/", "http://www.viewfinderpanoramas.org/dem3/G42.zip", BoundBox(LatLng(24.0, 66.0), LatLng(28.0, 72.0))));
  setList.push_back(new ElevationSet("G43/", "http://www.viewfinderpanoramas.org/dem3/G43.zip", BoundBox(LatLng(24.0, 72.0), LatLng(28.0, 78.0))));
  setList.push_back(new ElevationSet("G44/", "http://www.viewfinderpanoramas.org/dem3/G44.zip", BoundBox(LatLng(24.0, 78.0), LatLng(28.0, 84.0))));
  setList.push_back(new ElevationSet("G45/", "http://www.viewfinderpanoramas.org/dem3/G45.zip", BoundBox(LatLng(24.0, 84.0), LatLng(28.0, 90.0))));
  setList.push_back(new ElevationSet("G46/", "http://www.viewfinderpanoramas.org/dem3/G46.zip", BoundBox(LatLng(24.0, 90.0), LatLng(28.0, 96.0))));
  setList.push_back(new ElevationSet("G47/", "http://www.viewfinderpanoramas.org/dem3/G47.zip", BoundBox(LatLng(24.0, 96.0), LatLng(28.0, 102.0))));
  setList.push_back(new ElevationSet("G48/", "http://www.viewfinderpanoramas.org/dem3/G48.zip", BoundBox(LatLng(24.0, 102.0), LatLng(28.0, 108.0))));
  setList.push_back(new ElevationSet("G49/", "http://www.viewfinderpanoramas.org/dem3/G49.zip", BoundBox(LatLng(24.0, 108.0), LatLng(28.0, 114.0))));
  setList.push_back(new ElevationSet("G50/", "http://www.viewfinderpanoramas.org/dem3/G50.zip", BoundBox(LatLng(24.0, 114.0), LatLng(28.0, 120.0))));
  setList.push_back(new ElevationSet("G51/", "http://www.viewfinderpanoramas.org/dem3/G51.zip", BoundBox(LatLng(24.0, 120.0), LatLng(28.0, 126.0))));
  setList.push_back(new ElevationSet("G52/", "http://www.viewfinderpanoramas.org/dem3/G52.zip", BoundBox(LatLng(24.0, 126.0), LatLng(28.0, 132.0))));
  setList.push_back(new ElevationSet("G54/", "http://www.viewfinderpanoramas.org/dem3/G54.zip", BoundBox(LatLng(24.0, 138.0), LatLng(28.0, 144.0))));
  setList.push_back(new ElevationSet("G56/", "http://www.viewfinderpanoramas.org/dem3/G56.zip", BoundBox(LatLng(24.0, 150.0), LatLng(28.0, 156.0))));
  setList.push_back(new ElevationSet("F03/", "http://www.viewfinderpanoramas.org/dem3/F03.zip", BoundBox(LatLng(20.0, -168.0), LatLng(24.0, -162.0))));
  setList.push_back(new ElevationSet("F04/", "http://www.viewfinderpanoramas.org/dem3/F04.zip", BoundBox(LatLng(20.0, -162.0), LatLng(24.0, -156.0))));
  setList.push_back(new ElevationSet("F05/", "http://www.viewfinderpanoramas.org/dem3/F05.zip", BoundBox(LatLng(20.0, -156.0), LatLng(24.0, -150.0))));
  setList.push_back(new ElevationSet("F12/", "http://www.viewfinderpanoramas.org/dem3/F12.zip", BoundBox(LatLng(20.0, -114.0), LatLng(24.0, -108.0))));
  setList.push_back(new ElevationSet("F13/", "http://www.viewfinderpanoramas.org/dem3/F13.zip", BoundBox(LatLng(20.0, -108.0), LatLng(24.0, -102.0))));
  setList.push_back(new ElevationSet("F14/", "http://www.viewfinderpanoramas.org/dem3/F14.zip", BoundBox(LatLng(20.0, -102.0), LatLng(24.0, -96.0))));
  setList.push_back(new ElevationSet("F15/", "http://www.viewfinderpanoramas.org/dem3/F15.zip", BoundBox(LatLng(20.0, -96.0), LatLng(24.0, -90.0))));
  setList.push_back(new ElevationSet("F16/", "http://www.viewfinderpanoramas.org/dem3/F16.zip", BoundBox(LatLng(20.0, -90.0), LatLng(24.0, -84.0))));
  setList.push_back(new ElevationSet("F17/", "http://www.viewfinderpanoramas.org/dem3/F17.zip", BoundBox(LatLng(20.0, -84.0), LatLng(24.0, -78.0))));
  setList.push_back(new ElevationSet("F18/", "http://www.viewfinderpanoramas.org/dem3/F18.zip", BoundBox(LatLng(20.0, -78.0), LatLng(24.0, -72.0))));
  setList.push_back(new ElevationSet("F19/", "http://www.viewfinderpanoramas.org/dem3/F19.zip", BoundBox(LatLng(20.0, -72.0), LatLng(24.0, -66.0))));
  setList.push_back(new ElevationSet("F28/", "http://www.viewfinderpanoramas.org/dem3/F28.zip", BoundBox(LatLng(20.0, -18.0), LatLng(24.0, -12.0))));
  setList.push_back(new ElevationSet("F29/", "http://www.viewfinderpanoramas.org/dem3/F29.zip", BoundBox(LatLng(20.0, -12.0), LatLng(24.0, -6.0))));
  setList.push_back(new ElevationSet("F30/", "http://www.viewfinderpanoramas.org/dem3/F30.zip", BoundBox(LatLng(20.0, -6.0), LatLng(24.0, 0.0))));
  setList.push_back(new ElevationSet("F31/", "http://www.viewfinderpanoramas.org/dem3/F31.zip", BoundBox(LatLng(20.0, 0.0), LatLng(24.0, 6.0))));
  setList.push_back(new ElevationSet("F32/", "http://www.viewfinderpanoramas.org/dem3/F32.zip", BoundBox(LatLng(20.0, 6.0), LatLng(24.0, 12.0))));
  setList.push_back(new ElevationSet("F33/", "http://www.viewfinderpanoramas.org/dem3/F33.zip", BoundBox(LatLng(20.0, 12.0), LatLng(24.0, 18.0))));
  setList.push_back(new ElevationSet("F34/", "http://www.viewfinderpanoramas.org/dem3/F34.zip", BoundBox(LatLng(20.0, 18.0), LatLng(24.0, 24.0))));
  setList.push_back(new ElevationSet("F35/", "http://www.viewfinderpanoramas.org/dem3/F35.zip", BoundBox(LatLng(20.0, 24.0), LatLng(24.0, 30.0))));
  setList.push_back(new ElevationSet("F36/", "http://www.viewfinderpanoramas.org/dem3/F36.zip", BoundBox(LatLng(20.0, 30.0), LatLng(24.0, 36.0))));
  setList.push_back(new ElevationSet("F37/", "http://www.viewfinderpanoramas.org/dem3/F37.zip", BoundBox(LatLng(20.0, 36.0), LatLng(24.0, 42.0))));
  setList.push_back(new ElevationSet("F38/", "http://www.viewfinderpanoramas.org/dem3/F38.zip", BoundBox(LatLng(20.0, 42.0), LatLng(24.0, 48.0))));
  setList.push_back(new ElevationSet("F39/", "http://www.viewfinderpanoramas.org/dem3/F39.zip", BoundBox(LatLng(20.0, 48.0), LatLng(24.0, 54.0))));
  setList.push_back(new ElevationSet("F40/", "http://www.viewfinderpanoramas.org/dem3/F40.zip", BoundBox(LatLng(20.0, 54.0), LatLng(24.0, 60.0))));
  setList.push_back(new ElevationSet("F42/", "http://www.viewfinderpanoramas.org/dem3/F42.zip", BoundBox(LatLng(20.0, 66.0), LatLng(24.0, 72.0))));
  setList.push_back(new ElevationSet("F43/", "http://www.viewfinderpanoramas.org/dem3/F43.zip", BoundBox(LatLng(20.0, 72.0), LatLng(24.0, 78.0))));
  setList.push_back(new ElevationSet("F44/", "http://www.viewfinderpanoramas.org/dem3/F44.zip", BoundBox(LatLng(20.0, 78.0), LatLng(24.0, 84.0))));
  setList.push_back(new ElevationSet("F45/", "http://www.viewfinderpanoramas.org/dem3/F45.zip", BoundBox(LatLng(20.0, 84.0), LatLng(24.0, 90.0))));
  setList.push_back(new ElevationSet("F46/", "http://www.viewfinderpanoramas.org/dem3/F46.zip", BoundBox(LatLng(20.0, 90.0), LatLng(24.0, 96.0))));
  setList.push_back(new ElevationSet("F47/", "http://www.viewfinderpanoramas.org/dem3/F47.zip", BoundBox(LatLng(20.0, 96.0), LatLng(24.0, 102.0))));
  setList.push_back(new ElevationSet("F48/", "http://www.viewfinderpanoramas.org/dem3/F48.zip", BoundBox(LatLng(20.0, 102.0), LatLng(24.0, 108.0))));
  setList.push_back(new ElevationSet("F49/", "http://www.viewfinderpanoramas.org/dem3/F49.zip", BoundBox(LatLng(20.0, 108.0), LatLng(24.0, 114.0))));
  setList.push_back(new ElevationSet("F50/", "http://www.viewfinderpanoramas.org/dem3/F50.zip", BoundBox(LatLng(20.0, 114.0), LatLng(24.0, 120.0))));
  setList.push_back(new ElevationSet("F51/", "http://www.viewfinderpanoramas.org/dem3/F51.zip", BoundBox(LatLng(20.0, 120.0), LatLng(24.0, 126.0))));
  setList.push_back(new ElevationSet("F53/", "http://www.viewfinderpanoramas.org/dem3/F53.zip", BoundBox(LatLng(20.0, 132.0), LatLng(24.0, 138.0))));
  setList.push_back(new ElevationSet("F55/", "http://www.viewfinderpanoramas.org/dem3/F55.zip", BoundBox(LatLng(20.0, 144.0), LatLng(24.0, 150.0))));
  setList.push_back(new ElevationSet("E02/", "http://www.viewfinderpanoramas.org/dem3/E02.zip", BoundBox(LatLng(16.0, -174.0), LatLng(20.0, -168.0))));
  setList.push_back(new ElevationSet("E04/", "http://www.viewfinderpanoramas.org/dem3/E04.zip", BoundBox(LatLng(16.0, -162.0), LatLng(20.0, -156.0))));
  setList.push_back(new ElevationSet("E05/", "http://www.viewfinderpanoramas.org/dem3/E05.zip", BoundBox(LatLng(16.0, -156.0), LatLng(20.0, -150.0))));
  setList.push_back(new ElevationSet("E11/", "http://www.viewfinderpanoramas.org/dem3/E11.zip", BoundBox(LatLng(16.0, -120.0), LatLng(20.0, -114.0))));
  setList.push_back(new ElevationSet("E12/", "http://www.viewfinderpanoramas.org/dem3/E12.zip", BoundBox(LatLng(16.0, -114.0), LatLng(20.0, -108.0))));
  setList.push_back(new ElevationSet("E13/", "http://www.viewfinderpanoramas.org/dem3/E13.zip", BoundBox(LatLng(16.0, -108.0), LatLng(20.0, -102.0))));
  setList.push_back(new ElevationSet("E14/", "http://www.viewfinderpanoramas.org/dem3/E14.zip", BoundBox(LatLng(16.0, -102.0), LatLng(20.0, -96.0))));
  setList.push_back(new ElevationSet("E15/", "http://www.viewfinderpanoramas.org/dem3/E15.zip", BoundBox(LatLng(16.0, -96.0), LatLng(20.0, -90.0))));
  setList.push_back(new ElevationSet("E16/", "http://www.viewfinderpanoramas.org/dem3/E16.zip", BoundBox(LatLng(16.0, -90.0), LatLng(20.0, -84.0))));
  setList.push_back(new ElevationSet("E17/", "http://www.viewfinderpanoramas.org/dem3/E17.zip", BoundBox(LatLng(16.0, -84.0), LatLng(20.0, -78.0))));
  setList.push_back(new ElevationSet("E18/", "http://www.viewfinderpanoramas.org/dem3/E18.zip", BoundBox(LatLng(16.0, -78.0), LatLng(20.0, -72.0))));
  setList.push_back(new ElevationSet("E19/", "http://www.viewfinderpanoramas.org/dem3/E19.zip", BoundBox(LatLng(16.0, -72.0), LatLng(20.0, -66.0))));
  setList.push_back(new ElevationSet("E20/", "http://www.viewfinderpanoramas.org/dem3/E20.zip", BoundBox(LatLng(16.0, -66.0), LatLng(20.0, -60.0))));
  setList.push_back(new ElevationSet("E26/", "http://www.viewfinderpanoramas.org/dem3/E26.zip", BoundBox(LatLng(16.0, -30.0), LatLng(20.0, -24.0))));
  setList.push_back(new ElevationSet("E27/", "http://www.viewfinderpanoramas.org/dem3/E27.zip", BoundBox(LatLng(16.0, -24.0), LatLng(20.0, -18.0))));
  setList.push_back(new ElevationSet("E28/", "http://www.viewfinderpanoramas.org/dem3/E28.zip", BoundBox(LatLng(16.0, -18.0), LatLng(20.0, -12.0))));
  setList.push_back(new ElevationSet("E29/", "http://www.viewfinderpanoramas.org/dem3/E29.zip", BoundBox(LatLng(16.0, -12.0), LatLng(20.0, -6.0))));
  setList.push_back(new ElevationSet("E30/", "http://www.viewfinderpanoramas.org/dem3/E30.zip", BoundBox(LatLng(16.0, -6.0), LatLng(20.0, 0.0))));
  setList.push_back(new ElevationSet("E31/", "http://www.viewfinderpanoramas.org/dem3/E31.zip", BoundBox(LatLng(16.0, 0.0), LatLng(20.0, 6.0))));
  setList.push_back(new ElevationSet("E32/", "http://www.viewfinderpanoramas.org/dem3/E32.zip", BoundBox(LatLng(16.0, 6.0), LatLng(20.0, 12.0))));
  setList.push_back(new ElevationSet("E33/", "http://www.viewfinderpanoramas.org/dem3/E33.zip", BoundBox(LatLng(16.0, 12.0), LatLng(20.0, 18.0))));
  setList.push_back(new ElevationSet("E34/", "http://www.viewfinderpanoramas.org/dem3/E34.zip", BoundBox(LatLng(16.0, 18.0), LatLng(20.0, 24.0))));
  setList.push_back(new ElevationSet("E35/", "http://www.viewfinderpanoramas.org/dem3/E35.zip", BoundBox(LatLng(16.0, 24.0), LatLng(20.0, 30.0))));
  setList.push_back(new ElevationSet("E36/", "http://www.viewfinderpanoramas.org/dem3/E36.zip", BoundBox(LatLng(16.0, 30.0), LatLng(20.0, 36.0))));
  setList.push_back(new ElevationSet("E37/", "http://www.viewfinderpanoramas.org/dem3/E37.zip", BoundBox(LatLng(16.0, 36.0), LatLng(20.0, 42.0))));
  setList.push_back(new ElevationSet("E38/", "http://www.viewfinderpanoramas.org/dem3/E38.zip", BoundBox(LatLng(16.0, 42.0), LatLng(20.0, 48.0))));
  setList.push_back(new ElevationSet("E39/", "http://www.viewfinderpanoramas.org/dem3/E39.zip", BoundBox(LatLng(16.0, 48.0), LatLng(20.0, 54.0))));
  setList.push_back(new ElevationSet("E40/", "http://www.viewfinderpanoramas.org/dem3/E40.zip", BoundBox(LatLng(16.0, 54.0), LatLng(20.0, 60.0))));
  setList.push_back(new ElevationSet("E43/", "http://www.viewfinderpanoramas.org/dem3/E43.zip", BoundBox(LatLng(16.0, 72.0), LatLng(20.0, 78.0))));
  setList.push_back(new ElevationSet("E44/", "http://www.viewfinderpanoramas.org/dem3/E44.zip", BoundBox(LatLng(16.0, 78.0), LatLng(20.0, 84.0))));
  setList.push_back(new ElevationSet("E45/", "http://www.viewfinderpanoramas.org/dem3/E45.zip", BoundBox(LatLng(16.0, 84.0), LatLng(20.0, 90.0))));
  setList.push_back(new ElevationSet("E46/", "http://www.viewfinderpanoramas.org/dem3/E46.zip", BoundBox(LatLng(16.0, 90.0), LatLng(20.0, 96.0))));
  setList.push_back(new ElevationSet("E47/", "http://www.viewfinderpanoramas.org/dem3/E47.zip", BoundBox(LatLng(16.0, 96.0), LatLng(20.0, 102.0))));
  setList.push_back(new ElevationSet("E48/", "http://www.viewfinderpanoramas.org/dem3/E48.zip", BoundBox(LatLng(16.0, 102.0), LatLng(20.0, 108.0))));
  setList.push_back(new ElevationSet("E49/", "http://www.viewfinderpanoramas.org/dem3/E49.zip", BoundBox(LatLng(16.0, 108.0), LatLng(20.0, 114.0))));
  setList.push_back(new ElevationSet("E50/", "http://www.viewfinderpanoramas.org/dem3/E50.zip", BoundBox(LatLng(16.0, 114.0), LatLng(20.0, 120.0))));
  setList.push_back(new ElevationSet("E51/", "http://www.viewfinderpanoramas.org/dem3/E51.zip", BoundBox(LatLng(16.0, 120.0), LatLng(20.0, 126.0))));
  setList.push_back(new ElevationSet("E55/", "http://www.viewfinderpanoramas.org/dem3/E55.zip", BoundBox(LatLng(16.0, 144.0), LatLng(20.0, 150.0))));
  setList.push_back(new ElevationSet("E58/", "http://www.viewfinderpanoramas.org/dem3/E58.zip", BoundBox(LatLng(16.0, 162.0), LatLng(20.0, 168.0))));
  setList.push_back(new ElevationSet("D14/", "http://www.viewfinderpanoramas.org/dem3/D14.zip", BoundBox(LatLng(12.0, -102.0), LatLng(16.0, -96.0))));
  setList.push_back(new ElevationSet("D15/", "http://www.viewfinderpanoramas.org/dem3/D15.zip", BoundBox(LatLng(12.0, -96.0), LatLng(16.0, -90.0))));
  setList.push_back(new ElevationSet("D16/", "http://www.viewfinderpanoramas.org/dem3/D16.zip", BoundBox(LatLng(12.0, -90.0), LatLng(16.0, -84.0))));
  setList.push_back(new ElevationSet("D17/", "http://www.viewfinderpanoramas.org/dem3/D17.zip", BoundBox(LatLng(12.0, -84.0), LatLng(16.0, -78.0))));
  setList.push_back(new ElevationSet("D18/", "http://www.viewfinderpanoramas.org/dem3/D18.zip", BoundBox(LatLng(12.0, -78.0), LatLng(16.0, -72.0))));
  setList.push_back(new ElevationSet("D19/", "http://www.viewfinderpanoramas.org/dem3/D19.zip", BoundBox(LatLng(12.0, -72.0), LatLng(16.0, -66.0))));
  setList.push_back(new ElevationSet("D20/", "http://www.viewfinderpanoramas.org/dem3/D20.zip", BoundBox(LatLng(12.0, -66.0), LatLng(16.0, -60.0))));
  setList.push_back(new ElevationSet("D21/", "http://www.viewfinderpanoramas.org/dem3/D21.zip", BoundBox(LatLng(12.0, -60.0), LatLng(16.0, -54.0))));
  setList.push_back(new ElevationSet("D26/", "http://www.viewfinderpanoramas.org/dem3/D26.zip", BoundBox(LatLng(12.0, -30.0), LatLng(16.0, -24.0))));
  setList.push_back(new ElevationSet("D27/", "http://www.viewfinderpanoramas.org/dem3/D27.zip", BoundBox(LatLng(12.0, -24.0), LatLng(16.0, -18.0))));
  setList.push_back(new ElevationSet("D28/", "http://www.viewfinderpanoramas.org/dem3/D28.zip", BoundBox(LatLng(12.0, -18.0), LatLng(16.0, -12.0))));
  setList.push_back(new ElevationSet("D29/", "http://www.viewfinderpanoramas.org/dem3/D29.zip", BoundBox(LatLng(12.0, -12.0), LatLng(16.0, -6.0))));
  setList.push_back(new ElevationSet("D30/", "http://www.viewfinderpanoramas.org/dem3/D30.zip", BoundBox(LatLng(12.0, -6.0), LatLng(16.0, 0.0))));
  setList.push_back(new ElevationSet("D31/", "http://www.viewfinderpanoramas.org/dem3/D31.zip", BoundBox(LatLng(12.0, 0.0), LatLng(16.0, 6.0))));
  setList.push_back(new ElevationSet("D32/", "http://www.viewfinderpanoramas.org/dem3/D32.zip", BoundBox(LatLng(12.0, 6.0), LatLng(16.0, 12.0))));
  setList.push_back(new ElevationSet("D33/", "http://www.viewfinderpanoramas.org/dem3/D33.zip", BoundBox(LatLng(12.0, 12.0), LatLng(16.0, 18.0))));
  setList.push_back(new ElevationSet("D34/", "http://www.viewfinderpanoramas.org/dem3/D34.zip", BoundBox(LatLng(12.0, 18.0), LatLng(16.0, 24.0))));
  setList.push_back(new ElevationSet("D35/", "http://www.viewfinderpanoramas.org/dem3/D35.zip", BoundBox(LatLng(12.0, 24.0), LatLng(16.0, 30.0))));
  setList.push_back(new ElevationSet("D36/", "http://www.viewfinderpanoramas.org/dem3/D36.zip", BoundBox(LatLng(12.0, 30.0), LatLng(16.0, 36.0))));
  setList.push_back(new ElevationSet("D37/", "http://www.viewfinderpanoramas.org/dem3/D37.zip", BoundBox(LatLng(12.0, 36.0), LatLng(16.0, 42.0))));
  setList.push_back(new ElevationSet("D38/", "http://www.viewfinderpanoramas.org/dem3/D38.zip", BoundBox(LatLng(12.0, 42.0), LatLng(16.0, 48.0))));
  setList.push_back(new ElevationSet("D39/", "http://www.viewfinderpanoramas.org/dem3/D39.zip", BoundBox(LatLng(12.0, 48.0), LatLng(16.0, 54.0))));
  setList.push_back(new ElevationSet("D40/", "http://www.viewfinderpanoramas.org/dem3/D40.zip", BoundBox(LatLng(12.0, 54.0), LatLng(16.0, 60.0))));
  setList.push_back(new ElevationSet("D43/", "http://www.viewfinderpanoramas.org/dem3/D43.zip", BoundBox(LatLng(12.0, 72.0), LatLng(16.0, 78.0))));
  setList.push_back(new ElevationSet("D44/", "http://www.viewfinderpanoramas.org/dem3/D44.zip", BoundBox(LatLng(12.0, 78.0), LatLng(16.0, 84.0))));
  setList.push_back(new ElevationSet("D46/", "http://www.viewfinderpanoramas.org/dem3/D46.zip", BoundBox(LatLng(12.0, 90.0), LatLng(16.0, 96.0))));
  setList.push_back(new ElevationSet("D47/", "http://www.viewfinderpanoramas.org/dem3/D47.zip", BoundBox(LatLng(12.0, 96.0), LatLng(16.0, 102.0))));
  setList.push_back(new ElevationSet("D48/", "http://www.viewfinderpanoramas.org/dem3/D48.zip", BoundBox(LatLng(12.0, 102.0), LatLng(16.0, 108.0))));
  setList.push_back(new ElevationSet("D49/", "http://www.viewfinderpanoramas.org/dem3/D49.zip", BoundBox(LatLng(12.0, 108.0), LatLng(16.0, 114.0))));
  setList.push_back(new ElevationSet("D50/", "http://www.viewfinderpanoramas.org/dem3/D50.zip", BoundBox(LatLng(12.0, 114.0), LatLng(16.0, 120.0))));
  setList.push_back(new ElevationSet("D51/", "http://www.viewfinderpanoramas.org/dem3/D51.zip", BoundBox(LatLng(12.0, 120.0), LatLng(16.0, 126.0))));
  setList.push_back(new ElevationSet("D55/", "http://www.viewfinderpanoramas.org/dem3/D55.zip", BoundBox(LatLng(12.0, 144.0), LatLng(16.0, 150.0))));
  setList.push_back(new ElevationSet("D59/", "http://www.viewfinderpanoramas.org/dem3/D59.zip", BoundBox(LatLng(12.0, 168.0), LatLng(16.0, 174.0))));
  setList.push_back(new ElevationSet("C12/", "http://www.viewfinderpanoramas.org/dem3/C12.zip", BoundBox(LatLng(8.0, -114.0), LatLng(12.0, -108.0))));
  setList.push_back(new ElevationSet("C16/", "http://www.viewfinderpanoramas.org/dem3/C16.zip", BoundBox(LatLng(8.0, -90.0), LatLng(12.0, -84.0))));
  setList.push_back(new ElevationSet("C17/", "http://www.viewfinderpanoramas.org/dem3/C17.zip", BoundBox(LatLng(8.0, -84.0), LatLng(12.0, -78.0))));
  setList.push_back(new ElevationSet("C18/", "http://www.viewfinderpanoramas.org/dem3/C18.zip", BoundBox(LatLng(8.0, -78.0), LatLng(12.0, -72.0))));
  setList.push_back(new ElevationSet("C19/", "http://www.viewfinderpanoramas.org/dem3/C19.zip", BoundBox(LatLng(8.0, -72.0), LatLng(12.0, -66.0))));
  setList.push_back(new ElevationSet("C20/", "http://www.viewfinderpanoramas.org/dem3/C20.zip", BoundBox(LatLng(8.0, -66.0), LatLng(12.0, -60.0))));
  setList.push_back(new ElevationSet("C21/", "http://www.viewfinderpanoramas.org/dem3/C21.zip", BoundBox(LatLng(8.0, -60.0), LatLng(12.0, -54.0))));
  setList.push_back(new ElevationSet("C28/", "http://www.viewfinderpanoramas.org/dem3/C28.zip", BoundBox(LatLng(8.0, -18.0), LatLng(12.0, -12.0))));
  setList.push_back(new ElevationSet("C29/", "http://www.viewfinderpanoramas.org/dem3/C29.zip", BoundBox(LatLng(8.0, -12.0), LatLng(12.0, -6.0))));
  setList.push_back(new ElevationSet("C30/", "http://www.viewfinderpanoramas.org/dem3/C30.zip", BoundBox(LatLng(8.0, -6.0), LatLng(12.0, 0.0))));
  setList.push_back(new ElevationSet("C31/", "http://www.viewfinderpanoramas.org/dem3/C31.zip", BoundBox(LatLng(8.0, 0.0), LatLng(12.0, 6.0))));
  setList.push_back(new ElevationSet("C32/", "http://www.viewfinderpanoramas.org/dem3/C32.zip", BoundBox(LatLng(8.0, 6.0), LatLng(12.0, 12.0))));
  setList.push_back(new ElevationSet("C33/", "http://www.viewfinderpanoramas.org/dem3/C33.zip", BoundBox(LatLng(8.0, 12.0), LatLng(12.0, 18.0))));
  setList.push_back(new ElevationSet("C34/", "http://www.viewfinderpanoramas.org/dem3/C34.zip", BoundBox(LatLng(8.0, 18.0), LatLng(12.0, 24.0))));
  setList.push_back(new ElevationSet("C35/", "http://www.viewfinderpanoramas.org/dem3/C35.zip", BoundBox(LatLng(8.0, 24.0), LatLng(12.0, 30.0))));
  setList.push_back(new ElevationSet("C36/", "http://www.viewfinderpanoramas.org/dem3/C36.zip", BoundBox(LatLng(8.0, 30.0), LatLng(12.0, 36.0))));
  setList.push_back(new ElevationSet("C37/", "http://www.viewfinderpanoramas.org/dem3/C37.zip", BoundBox(LatLng(8.0, 36.0), LatLng(12.0, 42.0))));
  setList.push_back(new ElevationSet("C38/", "http://www.viewfinderpanoramas.org/dem3/C38.zip", BoundBox(LatLng(8.0, 42.0), LatLng(12.0, 48.0))));
  setList.push_back(new ElevationSet("C39/", "http://www.viewfinderpanoramas.org/dem3/C39.zip", BoundBox(LatLng(8.0, 48.0), LatLng(12.0, 54.0))));
  setList.push_back(new ElevationSet("C43/", "http://www.viewfinderpanoramas.org/dem3/C43.zip", BoundBox(LatLng(8.0, 72.0), LatLng(12.0, 78.0))));
  setList.push_back(new ElevationSet("C44/", "http://www.viewfinderpanoramas.org/dem3/C44.zip", BoundBox(LatLng(8.0, 78.0), LatLng(12.0, 84.0))));
  setList.push_back(new ElevationSet("C46/", "http://www.viewfinderpanoramas.org/dem3/C46.zip", BoundBox(LatLng(8.0, 90.0), LatLng(12.0, 96.0))));
  setList.push_back(new ElevationSet("C47/", "http://www.viewfinderpanoramas.org/dem3/C47.zip", BoundBox(LatLng(8.0, 96.0), LatLng(12.0, 102.0))));
  setList.push_back(new ElevationSet("C48/", "http://www.viewfinderpanoramas.org/dem3/C48.zip", BoundBox(LatLng(8.0, 102.0), LatLng(12.0, 108.0))));
  setList.push_back(new ElevationSet("C49/", "http://www.viewfinderpanoramas.org/dem3/C49.zip", BoundBox(LatLng(8.0, 108.0), LatLng(12.0, 114.0))));
  setList.push_back(new ElevationSet("C50/", "http://www.viewfinderpanoramas.org/dem3/C50.zip", BoundBox(LatLng(8.0, 114.0), LatLng(12.0, 120.0))));
  setList.push_back(new ElevationSet("C51/", "http://www.viewfinderpanoramas.org/dem3/C51.zip", BoundBox(LatLng(8.0, 120.0), LatLng(12.0, 126.0))));
  setList.push_back(new ElevationSet("C52/", "http://www.viewfinderpanoramas.org/dem3/C52.zip", BoundBox(LatLng(8.0, 126.0), LatLng(12.0, 132.0))));
  setList.push_back(new ElevationSet("C53/", "http://www.viewfinderpanoramas.org/dem3/C53.zip", BoundBox(LatLng(8.0, 132.0), LatLng(12.0, 138.0))));
  setList.push_back(new ElevationSet("C54/", "http://www.viewfinderpanoramas.org/dem3/C54.zip", BoundBox(LatLng(8.0, 138.0), LatLng(12.0, 144.0))));
  setList.push_back(new ElevationSet("C55/", "http://www.viewfinderpanoramas.org/dem3/C55.zip", BoundBox(LatLng(8.0, 144.0), LatLng(12.0, 150.0))));
  setList.push_back(new ElevationSet("C56/", "http://www.viewfinderpanoramas.org/dem3/C56.zip", BoundBox(LatLng(8.0, 150.0), LatLng(12.0, 156.0))));
  setList.push_back(new ElevationSet("C57/", "http://www.viewfinderpanoramas.org/dem3/C57.zip", BoundBox(LatLng(8.0, 156.0), LatLng(12.0, 162.0))));
  setList.push_back(new ElevationSet("C58/", "http://www.viewfinderpanoramas.org/dem3/C58.zip", BoundBox(LatLng(8.0, 162.0), LatLng(12.0, 168.0))));
  setList.push_back(new ElevationSet("C59/", "http://www.viewfinderpanoramas.org/dem3/C59.zip", BoundBox(LatLng(8.0, 168.0), LatLng(12.0, 174.0))));
  setList.push_back(new ElevationSet("B03/", "http://www.viewfinderpanoramas.org/dem3/B03.zip", BoundBox(LatLng(4.0, -168.0), LatLng(8.0, -162.0))));
  setList.push_back(new ElevationSet("B04/", "http://www.viewfinderpanoramas.org/dem3/B04.zip", BoundBox(LatLng(4.0, -162.0), LatLng(8.0, -156.0))));
  setList.push_back(new ElevationSet("B16/", "http://www.viewfinderpanoramas.org/dem3/B16.zip", BoundBox(LatLng(4.0, -90.0), LatLng(8.0, -84.0))));
  setList.push_back(new ElevationSet("B17/", "http://www.viewfinderpanoramas.org/dem3/B17.zip", BoundBox(LatLng(4.0, -84.0), LatLng(8.0, -78.0))));
  setList.push_back(new ElevationSet("B18/", "http://www.viewfinderpanoramas.org/dem3/B18.zip", BoundBox(LatLng(4.0, -78.0), LatLng(8.0, -72.0))));
  setList.push_back(new ElevationSet("B19/", "http://www.viewfinderpanoramas.org/dem3/B19.zip", BoundBox(LatLng(4.0, -72.0), LatLng(8.0, -66.0))));
  setList.push_back(new ElevationSet("B20/", "http://www.viewfinderpanoramas.org/dem3/B20.zip", BoundBox(LatLng(4.0, -66.0), LatLng(8.0, -60.0))));
  setList.push_back(new ElevationSet("B21/", "http://www.viewfinderpanoramas.org/dem3/B21.zip", BoundBox(LatLng(4.0, -60.0), LatLng(8.0, -54.0))));
  setList.push_back(new ElevationSet("B22/", "http://www.viewfinderpanoramas.org/dem3/B22.zip", BoundBox(LatLng(4.0, -54.0), LatLng(8.0, -48.0))));
  setList.push_back(new ElevationSet("B28/", "http://www.viewfinderpanoramas.org/dem3/B28.zip", BoundBox(LatLng(4.0, -18.0), LatLng(8.0, -12.0))));
  setList.push_back(new ElevationSet("B29/", "http://www.viewfinderpanoramas.org/dem3/B29.zip", BoundBox(LatLng(4.0, -12.0), LatLng(8.0, -6.0))));
  setList.push_back(new ElevationSet("B30/", "http://www.viewfinderpanoramas.org/dem3/B30.zip", BoundBox(LatLng(4.0, -6.0), LatLng(8.0, 0.0))));
  setList.push_back(new ElevationSet("B31/", "http://www.viewfinderpanoramas.org/dem3/B31.zip", BoundBox(LatLng(4.0, 0.0), LatLng(8.0, 6.0))));
  setList.push_back(new ElevationSet("B32/", "http://www.viewfinderpanoramas.org/dem3/B32.zip", BoundBox(LatLng(4.0, 6.0), LatLng(8.0, 12.0))));
  setList.push_back(new ElevationSet("B33/", "http://www.viewfinderpanoramas.org/dem3/B33.zip", BoundBox(LatLng(4.0, 12.0), LatLng(8.0, 18.0))));
  setList.push_back(new ElevationSet("B34/", "http://www.viewfinderpanoramas.org/dem3/B34.zip", BoundBox(LatLng(4.0, 18.0), LatLng(8.0, 24.0))));
  setList.push_back(new ElevationSet("B35/", "http://www.viewfinderpanoramas.org/dem3/B35.zip", BoundBox(LatLng(4.0, 24.0), LatLng(8.0, 30.0))));
  setList.push_back(new ElevationSet("B36/", "http://www.viewfinderpanoramas.org/dem3/B36.zip", BoundBox(LatLng(4.0, 30.0), LatLng(8.0, 36.0))));
  setList.push_back(new ElevationSet("B37/", "http://www.viewfinderpanoramas.org/dem3/B37.zip", BoundBox(LatLng(4.0, 36.0), LatLng(8.0, 42.0))));
  setList.push_back(new ElevationSet("B38/", "http://www.viewfinderpanoramas.org/dem3/B38.zip", BoundBox(LatLng(4.0, 42.0), LatLng(8.0, 48.0))));
  setList.push_back(new ElevationSet("B39/", "http://www.viewfinderpanoramas.org/dem3/B39.zip", BoundBox(LatLng(4.0, 48.0), LatLng(8.0, 54.0))));
  setList.push_back(new ElevationSet("B43/", "http://www.viewfinderpanoramas.org/dem3/B43.zip", BoundBox(LatLng(4.0, 72.0), LatLng(8.0, 78.0))));
  setList.push_back(new ElevationSet("B44/", "http://www.viewfinderpanoramas.org/dem3/B44.zip", BoundBox(LatLng(4.0, 78.0), LatLng(8.0, 84.0))));
  setList.push_back(new ElevationSet("B46/", "http://www.viewfinderpanoramas.org/dem3/B46.zip", BoundBox(LatLng(4.0, 90.0), LatLng(8.0, 96.0))));
  setList.push_back(new ElevationSet("B47/", "http://www.viewfinderpanoramas.org/dem3/B47.zip", BoundBox(LatLng(4.0, 96.0), LatLng(8.0, 102.0))));
  setList.push_back(new ElevationSet("B48/", "http://www.viewfinderpanoramas.org/dem3/B48.zip", BoundBox(LatLng(4.0, 102.0), LatLng(8.0, 108.0))));
  setList.push_back(new ElevationSet("B49/", "http://www.viewfinderpanoramas.org/dem3/B49.zip", BoundBox(LatLng(4.0, 108.0), LatLng(8.0, 114.0))));
  setList.push_back(new ElevationSet("B50/", "http://www.viewfinderpanoramas.org/dem3/B50.zip", BoundBox(LatLng(4.0, 114.0), LatLng(8.0, 120.0))));
  setList.push_back(new ElevationSet("B51/", "http://www.viewfinderpanoramas.org/dem3/B51.zip", BoundBox(LatLng(4.0, 120.0), LatLng(8.0, 126.0))));
  setList.push_back(new ElevationSet("B52/", "http://www.viewfinderpanoramas.org/dem3/B52.zip", BoundBox(LatLng(4.0, 126.0), LatLng(8.0, 132.0))));
  setList.push_back(new ElevationSet("B53/", "http://www.viewfinderpanoramas.org/dem3/B53.zip", BoundBox(LatLng(4.0, 132.0), LatLng(8.0, 138.0))));
  setList.push_back(new ElevationSet("B54/", "http://www.viewfinderpanoramas.org/dem3/B54.zip", BoundBox(LatLng(4.0, 138.0), LatLng(8.0, 144.0))));
  setList.push_back(new ElevationSet("B55/", "http://www.viewfinderpanoramas.org/dem3/B55.zip", BoundBox(LatLng(4.0, 144.0), LatLng(8.0, 150.0))));
  setList.push_back(new ElevationSet("B56/", "http://www.viewfinderpanoramas.org/dem3/B56.zip", BoundBox(LatLng(4.0, 150.0), LatLng(8.0, 156.0))));
  setList.push_back(new ElevationSet("B57/", "http://www.viewfinderpanoramas.org/dem3/B57.zip", BoundBox(LatLng(4.0, 156.0), LatLng(8.0, 162.0))));
  setList.push_back(new ElevationSet("B58/", "http://www.viewfinderpanoramas.org/dem3/B58.zip", BoundBox(LatLng(4.0, 162.0), LatLng(8.0, 168.0))));
  setList.push_back(new ElevationSet("B59/", "http://www.viewfinderpanoramas.org/dem3/B59.zip", BoundBox(LatLng(4.0, 168.0), LatLng(8.0, 174.0))));
  setList.push_back(new ElevationSet("A01/", "http://www.viewfinderpanoramas.org/dem3/A01.zip", BoundBox(LatLng(0.0, -180.0), LatLng(4.0, -174.0))));
  setList.push_back(new ElevationSet("A04/", "http://www.viewfinderpanoramas.org/dem3/A04.zip", BoundBox(LatLng(0.0, -162.0), LatLng(4.0, -156.0))));
  setList.push_back(new ElevationSet("A15/", "http://www.viewfinderpanoramas.org/dem3/A15.zip", BoundBox(LatLng(0.0, -96.0), LatLng(4.0, -90.0))));
  setList.push_back(new ElevationSet("A16/", "http://www.viewfinderpanoramas.org/dem3/A16.zip", BoundBox(LatLng(0.0, -90.0), LatLng(4.0, -84.0))));
  setList.push_back(new ElevationSet("A17/", "http://www.viewfinderpanoramas.org/dem3/A17.zip", BoundBox(LatLng(0.0, -84.0), LatLng(4.0, -78.0))));
  setList.push_back(new ElevationSet("A18/", "http://www.viewfinderpanoramas.org/dem3/A18.zip", BoundBox(LatLng(0.0, -78.0), LatLng(4.0, -72.0))));
  setList.push_back(new ElevationSet("A19/", "http://www.viewfinderpanoramas.org/dem3/A19.zip", BoundBox(LatLng(0.0, -72.0), LatLng(4.0, -66.0))));
  setList.push_back(new ElevationSet("A20/", "http://www.viewfinderpanoramas.org/dem3/A20.zip", BoundBox(LatLng(0.0, -66.0), LatLng(4.0, -60.0))));
  setList.push_back(new ElevationSet("A21/", "http://www.viewfinderpanoramas.org/dem3/A21.zip", BoundBox(LatLng(0.0, -60.0), LatLng(4.0, -54.0))));
  setList.push_back(new ElevationSet("A22/", "http://www.viewfinderpanoramas.org/dem3/A22.zip", BoundBox(LatLng(0.0, -54.0), LatLng(4.0, -48.0))));
  setList.push_back(new ElevationSet("A32/", "http://www.viewfinderpanoramas.org/dem3/A32.zip", BoundBox(LatLng(0.0, 6.0), LatLng(4.0, 12.0))));
  setList.push_back(new ElevationSet("A33/", "http://www.viewfinderpanoramas.org/dem3/A33.zip", BoundBox(LatLng(0.0, 12.0), LatLng(4.0, 18.0))));
  setList.push_back(new ElevationSet("A34/", "http://www.viewfinderpanoramas.org/dem3/A34.zip", BoundBox(LatLng(0.0, 18.0), LatLng(4.0, 24.0))));
  setList.push_back(new ElevationSet("A35/", "http://www.viewfinderpanoramas.org/dem3/A35.zip", BoundBox(LatLng(0.0, 24.0), LatLng(4.0, 30.0))));
  setList.push_back(new ElevationSet("A36/", "http://www.viewfinderpanoramas.org/dem3/A36.zip", BoundBox(LatLng(0.0, 30.0), LatLng(4.0, 36.0))));
  setList.push_back(new ElevationSet("A37/", "http://www.viewfinderpanoramas.org/dem3/A37.zip", BoundBox(LatLng(0.0, 36.0), LatLng(4.0, 42.0))));
  setList.push_back(new ElevationSet("A38/", "http://www.viewfinderpanoramas.org/dem3/A38.zip", BoundBox(LatLng(0.0, 42.0), LatLng(4.0, 48.0))));
  setList.push_back(new ElevationSet("A43/", "http://www.viewfinderpanoramas.org/dem3/A43.zip", BoundBox(LatLng(0.0, 72.0), LatLng(4.0, 78.0))));
  setList.push_back(new ElevationSet("A46/", "http://www.viewfinderpanoramas.org/dem3/A46.zip", BoundBox(LatLng(0.0, 90.0), LatLng(4.0, 96.0))));
  setList.push_back(new ElevationSet("A47/", "http://www.viewfinderpanoramas.org/dem3/A47.zip", BoundBox(LatLng(0.0, 96.0), LatLng(4.0, 102.0))));
  setList.push_back(new ElevationSet("A48/", "http://www.viewfinderpanoramas.org/dem3/A48.zip", BoundBox(LatLng(0.0, 102.0), LatLng(4.0, 108.0))));
  setList.push_back(new ElevationSet("A49/", "http://www.viewfinderpanoramas.org/dem3/A49.zip", BoundBox(LatLng(0.0, 108.0), LatLng(4.0, 114.0))));
  setList.push_back(new ElevationSet("A50/", "http://www.viewfinderpanoramas.org/dem3/A50.zip", BoundBox(LatLng(0.0, 114.0), LatLng(4.0, 120.0))));
  setList.push_back(new ElevationSet("A51/", "http://www.viewfinderpanoramas.org/dem3/A51.zip", BoundBox(LatLng(0.0, 120.0), LatLng(4.0, 126.0))));
  setList.push_back(new ElevationSet("A52/", "http://www.viewfinderpanoramas.org/dem3/A52.zip", BoundBox(LatLng(0.0, 126.0), LatLng(4.0, 132.0))));
  setList.push_back(new ElevationSet("A53/", "http://www.viewfinderpanoramas.org/dem3/A53.zip", BoundBox(LatLng(0.0, 132.0), LatLng(4.0, 138.0))));
  setList.push_back(new ElevationSet("A56/", "http://www.viewfinderpanoramas.org/dem3/A56.zip", BoundBox(LatLng(0.0, 150.0), LatLng(4.0, 156.0))));
  setList.push_back(new ElevationSet("A59/", "http://www.viewfinderpanoramas.org/dem3/A59.zip", BoundBox(LatLng(0.0, 168.0), LatLng(4.0, 174.0))));
  setList.push_back(new ElevationSet("SA01/", "http://www.viewfinderpanoramas.org/dem3/SA01.zip", BoundBox(LatLng(-4.0, -180.0), LatLng(0.0, -174.0))));
  setList.push_back(new ElevationSet("SA02/", "http://www.viewfinderpanoramas.org/dem3/SA02.zip", BoundBox(LatLng(-4.0, -174.0), LatLng(0.0, -168.0))));
  setList.push_back(new ElevationSet("SA04/", "http://www.viewfinderpanoramas.org/dem3/SA04.zip", BoundBox(LatLng(-4.0, -162.0), LatLng(0.0, -156.0))));
  setList.push_back(new ElevationSet("SA05/", "http://www.viewfinderpanoramas.org/dem3/SA05.zip", BoundBox(LatLng(-4.0, -156.0), LatLng(0.0, -150.0))));
  setList.push_back(new ElevationSet("SA15/", "http://www.viewfinderpanoramas.org/dem3/SA15.zip", BoundBox(LatLng(-4.0, -96.0), LatLng(0.0, -90.0))));
  setList.push_back(new ElevationSet("SA16/", "http://www.viewfinderpanoramas.org/dem3/SA16.zip", BoundBox(LatLng(-4.0, -90.0), LatLng(0.0, -84.0))));
  setList.push_back(new ElevationSet("SA17/", "http://www.viewfinderpanoramas.org/dem3/SA17.zip", BoundBox(LatLng(-4.0, -84.0), LatLng(0.0, -78.0))));
  setList.push_back(new ElevationSet("SA18/", "http://www.viewfinderpanoramas.org/dem3/SA18.zip", BoundBox(LatLng(-4.0, -78.0), LatLng(0.0, -72.0))));
  setList.push_back(new ElevationSet("SA19/", "http://www.viewfinderpanoramas.org/dem3/SA19.zip", BoundBox(LatLng(-4.0, -72.0), LatLng(0.0, -66.0))));
  setList.push_back(new ElevationSet("SA20/", "http://www.viewfinderpanoramas.org/dem3/SA20.zip", BoundBox(LatLng(-4.0, -66.0), LatLng(0.0, -60.0))));
  setList.push_back(new ElevationSet("SA21/", "http://www.viewfinderpanoramas.org/dem3/SA21.zip", BoundBox(LatLng(-4.0, -60.0), LatLng(0.0, -54.0))));
  setList.push_back(new ElevationSet("SA22/", "http://www.viewfinderpanoramas.org/dem3/SA22.zip", BoundBox(LatLng(-4.0, -54.0), LatLng(0.0, -48.0))));
  setList.push_back(new ElevationSet("SA23/", "http://www.viewfinderpanoramas.org/dem3/SA23.zip", BoundBox(LatLng(-4.0, -48.0), LatLng(0.0, -42.0))));
  setList.push_back(new ElevationSet("SA24/", "http://www.viewfinderpanoramas.org/dem3/SA24.zip", BoundBox(LatLng(-4.0, -42.0), LatLng(0.0, -36.0))));
  setList.push_back(new ElevationSet("SA25/", "http://www.viewfinderpanoramas.org/dem3/SA25.zip", BoundBox(LatLng(-4.0, -36.0), LatLng(0.0, -30.0))));
  setList.push_back(new ElevationSet("SA31/", "http://www.viewfinderpanoramas.org/dem3/SA31.zip", BoundBox(LatLng(-4.0, 0.0), LatLng(0.0, 6.0))));
  setList.push_back(new ElevationSet("SA32/", "http://www.viewfinderpanoramas.org/dem3/SA32.zip", BoundBox(LatLng(-4.0, 6.0), LatLng(0.0, 12.0))));
  setList.push_back(new ElevationSet("SA33/", "http://www.viewfinderpanoramas.org/dem3/SA33.zip", BoundBox(LatLng(-4.0, 12.0), LatLng(0.0, 18.0))));
  setList.push_back(new ElevationSet("SA34/", "http://www.viewfinderpanoramas.org/dem3/SA34.zip", BoundBox(LatLng(-4.0, 18.0), LatLng(0.0, 24.0))));
  setList.push_back(new ElevationSet("SA35/", "http://www.viewfinderpanoramas.org/dem3/SA35.zip", BoundBox(LatLng(-4.0, 24.0), LatLng(0.0, 30.0))));
  setList.push_back(new ElevationSet("SA36/", "http://www.viewfinderpanoramas.org/dem3/SA36.zip", BoundBox(LatLng(-4.0, 30.0), LatLng(0.0, 36.0))));
  setList.push_back(new ElevationSet("SA37/", "http://www.viewfinderpanoramas.org/dem3/SA37.zip", BoundBox(LatLng(-4.0, 36.0), LatLng(0.0, 42.0))));
  setList.push_back(new ElevationSet("SA38/", "http://www.viewfinderpanoramas.org/dem3/SA38.zip", BoundBox(LatLng(-4.0, 42.0), LatLng(0.0, 48.0))));
  setList.push_back(new ElevationSet("SA40/", "http://www.viewfinderpanoramas.org/dem3/SA40.zip", BoundBox(LatLng(-4.0, 54.0), LatLng(0.0, 60.0))));
  setList.push_back(new ElevationSet("SA43/", "http://www.viewfinderpanoramas.org/dem3/SA43.zip", BoundBox(LatLng(-4.0, 72.0), LatLng(0.0, 78.0))));
  setList.push_back(new ElevationSet("SA47/", "http://www.viewfinderpanoramas.org/dem3/SA47.zip", BoundBox(LatLng(-4.0, 96.0), LatLng(0.0, 102.0))));
  setList.push_back(new ElevationSet("SA48/", "http://www.viewfinderpanoramas.org/dem3/SA48.zip", BoundBox(LatLng(-4.0, 102.0), LatLng(0.0, 108.0))));
  setList.push_back(new ElevationSet("SA49/", "http://www.viewfinderpanoramas.org/dem3/SA49.zip", BoundBox(LatLng(-4.0, 108.0), LatLng(0.0, 114.0))));
  setList.push_back(new ElevationSet("SA50/", "http://www.viewfinderpanoramas.org/dem3/SA50.zip", BoundBox(LatLng(-4.0, 114.0), LatLng(0.0, 120.0))));
  setList.push_back(new ElevationSet("SA51/", "http://www.viewfinderpanoramas.org/dem3/SA51.zip", BoundBox(LatLng(-4.0, 120.0), LatLng(0.0, 126.0))));
  setList.push_back(new ElevationSet("SA52/", "http://www.viewfinderpanoramas.org/dem3/SA52.zip", BoundBox(LatLng(-4.0, 126.0), LatLng(0.0, 132.0))));
  setList.push_back(new ElevationSet("SA53/", "http://www.viewfinderpanoramas.org/dem3/SA53.zip", BoundBox(LatLng(-4.0, 132.0), LatLng(0.0, 138.0))));
  setList.push_back(new ElevationSet("SA54/", "http://www.viewfinderpanoramas.org/dem3/SA54.zip", BoundBox(LatLng(-4.0, 138.0), LatLng(0.0, 144.0))));
  setList.push_back(new ElevationSet("SA55/", "http://www.viewfinderpanoramas.org/dem3/SA55.zip", BoundBox(LatLng(-4.0, 144.0), LatLng(0.0, 150.0))));
  setList.push_back(new ElevationSet("SA56/", "http://www.viewfinderpanoramas.org/dem3/SA56.zip", BoundBox(LatLng(-4.0, 150.0), LatLng(0.0, 156.0))));
  setList.push_back(new ElevationSet("SA58/", "http://www.viewfinderpanoramas.org/dem3/SA58.zip", BoundBox(LatLng(-4.0, 162.0), LatLng(0.0, 168.0))));
  setList.push_back(new ElevationSet("SA59/", "http://www.viewfinderpanoramas.org/dem3/SA59.zip", BoundBox(LatLng(-4.0, 168.0), LatLng(0.0, 174.0))));
  setList.push_back(new ElevationSet("SA60/", "http://www.viewfinderpanoramas.org/dem3/SA60.zip", BoundBox(LatLng(-4.0, 174.0), LatLng(0.0, 180.0))));
  setList.push_back(new ElevationSet("SB01/", "http://www.viewfinderpanoramas.org/dem3/SB01.zip", BoundBox(LatLng(-8.0, -180.0), LatLng(-4.0, -174.0))));
  setList.push_back(new ElevationSet("SB02/", "http://www.viewfinderpanoramas.org/dem3/SB02.zip", BoundBox(LatLng(-8.0, -174.0), LatLng(-4.0, -168.0))));
  setList.push_back(new ElevationSet("SB05/", "http://www.viewfinderpanoramas.org/dem3/SB05.zip", BoundBox(LatLng(-8.0, -156.0), LatLng(-4.0, -150.0))));
  setList.push_back(new ElevationSet("SB07/", "http://www.viewfinderpanoramas.org/dem3/SB07.zip", BoundBox(LatLng(-8.0, -144.0), LatLng(-4.0, -138.0))));
  setList.push_back(new ElevationSet("SB17/", "http://www.viewfinderpanoramas.org/dem3/SB17.zip", BoundBox(LatLng(-8.0, -84.0), LatLng(-4.0, -78.0))));
  setList.push_back(new ElevationSet("SB18/", "http://www.viewfinderpanoramas.org/dem3/SB18.zip", BoundBox(LatLng(-8.0, -78.0), LatLng(-4.0, -72.0))));
  setList.push_back(new ElevationSet("SB19/", "http://www.viewfinderpanoramas.org/dem3/SB19.zip", BoundBox(LatLng(-8.0, -72.0), LatLng(-4.0, -66.0))));
  setList.push_back(new ElevationSet("SB20/", "http://www.viewfinderpanoramas.org/dem3/SB20.zip", BoundBox(LatLng(-8.0, -66.0), LatLng(-4.0, -60.0))));
  setList.push_back(new ElevationSet("SB21/", "http://www.viewfinderpanoramas.org/dem3/SB21.zip", BoundBox(LatLng(-8.0, -60.0), LatLng(-4.0, -54.0))));
  setList.push_back(new ElevationSet("SB22/", "http://www.viewfinderpanoramas.org/dem3/SB22.zip", BoundBox(LatLng(-8.0, -54.0), LatLng(-4.0, -48.0))));
  setList.push_back(new ElevationSet("SB23/", "http://www.viewfinderpanoramas.org/dem3/SB23.zip", BoundBox(LatLng(-8.0, -48.0), LatLng(-4.0, -42.0))));
  setList.push_back(new ElevationSet("SB24/", "http://www.viewfinderpanoramas.org/dem3/SB24.zip", BoundBox(LatLng(-8.0, -42.0), LatLng(-4.0, -36.0))));
  setList.push_back(new ElevationSet("SB25/", "http://www.viewfinderpanoramas.org/dem3/SB25.zip", BoundBox(LatLng(-8.0, -36.0), LatLng(-4.0, -30.0))));
  setList.push_back(new ElevationSet("SB28/", "http://www.viewfinderpanoramas.org/dem3/SB28.zip", BoundBox(LatLng(-8.0, -18.0), LatLng(-4.0, -12.0))));
  setList.push_back(new ElevationSet("SB32/", "http://www.viewfinderpanoramas.org/dem3/SB32.zip", BoundBox(LatLng(-8.0, 6.0), LatLng(-4.0, 12.0))));
  setList.push_back(new ElevationSet("SB33/", "http://www.viewfinderpanoramas.org/dem3/SB33.zip", BoundBox(LatLng(-8.0, 12.0), LatLng(-4.0, 18.0))));
  setList.push_back(new ElevationSet("SB34/", "http://www.viewfinderpanoramas.org/dem3/SB34.zip", BoundBox(LatLng(-8.0, 18.0), LatLng(-4.0, 24.0))));
  setList.push_back(new ElevationSet("SB35/", "http://www.viewfinderpanoramas.org/dem3/SB35.zip", BoundBox(LatLng(-8.0, 24.0), LatLng(-4.0, 30.0))));
  setList.push_back(new ElevationSet("SB36/", "http://www.viewfinderpanoramas.org/dem3/SB36.zip", BoundBox(LatLng(-8.0, 30.0), LatLng(-4.0, 36.0))));
  setList.push_back(new ElevationSet("SB37/", "http://www.viewfinderpanoramas.org/dem3/SB37.zip", BoundBox(LatLng(-8.0, 36.0), LatLng(-4.0, 42.0))));
  setList.push_back(new ElevationSet("SB39/", "http://www.viewfinderpanoramas.org/dem3/SB39.zip", BoundBox(LatLng(-8.0, 48.0), LatLng(-4.0, 54.0))));
  setList.push_back(new ElevationSet("SB40/", "http://www.viewfinderpanoramas.org/dem3/SB40.zip", BoundBox(LatLng(-8.0, 54.0), LatLng(-4.0, 60.0))));
  setList.push_back(new ElevationSet("SB42/", "http://www.viewfinderpanoramas.org/dem3/SB42.zip", BoundBox(LatLng(-8.0, 66.0), LatLng(-4.0, 72.0))));
  setList.push_back(new ElevationSet("SB43/", "http://www.viewfinderpanoramas.org/dem3/SB43.zip", BoundBox(LatLng(-8.0, 72.0), LatLng(-4.0, 78.0))));
  setList.push_back(new ElevationSet("SB47/", "http://www.viewfinderpanoramas.org/dem3/SB47.zip", BoundBox(LatLng(-8.0, 96.0), LatLng(-4.0, 102.0))));
  setList.push_back(new ElevationSet("SB48/", "http://www.viewfinderpanoramas.org/dem3/SB48.zip", BoundBox(LatLng(-8.0, 102.0), LatLng(-4.0, 108.0))));
  setList.push_back(new ElevationSet("SB49/", "http://www.viewfinderpanoramas.org/dem3/SB49.zip", BoundBox(LatLng(-8.0, 108.0), LatLng(-4.0, 114.0))));
  setList.push_back(new ElevationSet("SB50/", "http://www.viewfinderpanoramas.org/dem3/SB50.zip", BoundBox(LatLng(-8.0, 114.0), LatLng(-4.0, 120.0))));
  setList.push_back(new ElevationSet("SB51/", "http://www.viewfinderpanoramas.org/dem3/SB51.zip", BoundBox(LatLng(-8.0, 120.0), LatLng(-4.0, 126.0))));
  setList.push_back(new ElevationSet("SB52/", "http://www.viewfinderpanoramas.org/dem3/SB52.zip", BoundBox(LatLng(-8.0, 126.0), LatLng(-4.0, 132.0))));
  setList.push_back(new ElevationSet("SB53/", "http://www.viewfinderpanoramas.org/dem3/SB53.zip", BoundBox(LatLng(-8.0, 132.0), LatLng(-4.0, 138.0))));
  setList.push_back(new ElevationSet("SB54/", "http://www.viewfinderpanoramas.org/dem3/SB54.zip", BoundBox(LatLng(-8.0, 138.0), LatLng(-4.0, 144.0))));
  setList.push_back(new ElevationSet("SB55/", "http://www.viewfinderpanoramas.org/dem3/SB55.zip", BoundBox(LatLng(-8.0, 144.0), LatLng(-4.0, 150.0))));
  setList.push_back(new ElevationSet("SB56/", "http://www.viewfinderpanoramas.org/dem3/SB56.zip", BoundBox(LatLng(-8.0, 150.0), LatLng(-4.0, 156.0))));
  setList.push_back(new ElevationSet("SB57/", "http://www.viewfinderpanoramas.org/dem3/SB57.zip", BoundBox(LatLng(-8.0, 156.0), LatLng(-4.0, 162.0))));
  setList.push_back(new ElevationSet("SB60/", "http://www.viewfinderpanoramas.org/dem3/SB60.zip", BoundBox(LatLng(-8.0, 174.0), LatLng(-4.0, 180.0))));
  setList.push_back(new ElevationSet("SC02/", "http://www.viewfinderpanoramas.org/dem3/SC02.zip", BoundBox(LatLng(-12.0, -174.0), LatLng(-8.0, -168.0))));
  setList.push_back(new ElevationSet("SC03/", "http://www.viewfinderpanoramas.org/dem3/SC03.zip", BoundBox(LatLng(-12.0, -168.0), LatLng(-8.0, -162.0))));
  setList.push_back(new ElevationSet("SC04/", "http://www.viewfinderpanoramas.org/dem3/SC04.zip", BoundBox(LatLng(-12.0, -162.0), LatLng(-8.0, -156.0))));
  setList.push_back(new ElevationSet("SC05/", "http://www.viewfinderpanoramas.org/dem3/SC05.zip", BoundBox(LatLng(-12.0, -156.0), LatLng(-8.0, -150.0))));
  setList.push_back(new ElevationSet("SC07/", "http://www.viewfinderpanoramas.org/dem3/SC07.zip", BoundBox(LatLng(-12.0, -144.0), LatLng(-8.0, -138.0))));
  setList.push_back(new ElevationSet("SC17/", "http://www.viewfinderpanoramas.org/dem3/SC17.zip", BoundBox(LatLng(-12.0, -84.0), LatLng(-8.0, -78.0))));
  setList.push_back(new ElevationSet("SC18/", "http://www.viewfinderpanoramas.org/dem3/SC18.zip", BoundBox(LatLng(-12.0, -78.0), LatLng(-8.0, -72.0))));
  setList.push_back(new ElevationSet("SC19/", "http://www.viewfinderpanoramas.org/dem3/SC19.zip", BoundBox(LatLng(-12.0, -72.0), LatLng(-8.0, -66.0))));
  setList.push_back(new ElevationSet("SC20/", "http://www.viewfinderpanoramas.org/dem3/SC20.zip", BoundBox(LatLng(-12.0, -66.0), LatLng(-8.0, -60.0))));
  setList.push_back(new ElevationSet("SC21/", "http://www.viewfinderpanoramas.org/dem3/SC21.zip", BoundBox(LatLng(-12.0, -60.0), LatLng(-8.0, -54.0))));
  setList.push_back(new ElevationSet("SC22/", "http://www.viewfinderpanoramas.org/dem3/SC22.zip", BoundBox(LatLng(-12.0, -54.0), LatLng(-8.0, -48.0))));
  setList.push_back(new ElevationSet("SC23/", "http://www.viewfinderpanoramas.org/dem3/SC23.zip", BoundBox(LatLng(-12.0, -48.0), LatLng(-8.0, -42.0))));
  setList.push_back(new ElevationSet("SC24/", "http://www.viewfinderpanoramas.org/dem3/SC24.zip", BoundBox(LatLng(-12.0, -42.0), LatLng(-8.0, -36.0))));
  setList.push_back(new ElevationSet("SC25/", "http://www.viewfinderpanoramas.org/dem3/SC25.zip", BoundBox(LatLng(-12.0, -36.0), LatLng(-8.0, -30.0))));
  setList.push_back(new ElevationSet("SC33/", "http://www.viewfinderpanoramas.org/dem3/SC33.zip", BoundBox(LatLng(-12.0, 12.0), LatLng(-8.0, 18.0))));
  setList.push_back(new ElevationSet("SC34/", "http://www.viewfinderpanoramas.org/dem3/SC34.zip", BoundBox(LatLng(-12.0, 18.0), LatLng(-8.0, 24.0))));
  setList.push_back(new ElevationSet("SC35/", "http://www.viewfinderpanoramas.org/dem3/SC35.zip", BoundBox(LatLng(-12.0, 24.0), LatLng(-8.0, 30.0))));
  setList.push_back(new ElevationSet("SC36/", "http://www.viewfinderpanoramas.org/dem3/SC36.zip", BoundBox(LatLng(-12.0, 30.0), LatLng(-8.0, 36.0))));
  setList.push_back(new ElevationSet("SC37/", "http://www.viewfinderpanoramas.org/dem3/SC37.zip", BoundBox(LatLng(-12.0, 36.0), LatLng(-8.0, 42.0))));
  setList.push_back(new ElevationSet("SC38/", "http://www.viewfinderpanoramas.org/dem3/SC38.zip", BoundBox(LatLng(-12.0, 42.0), LatLng(-8.0, 48.0))));
  setList.push_back(new ElevationSet("SC39/", "http://www.viewfinderpanoramas.org/dem3/SC39.zip", BoundBox(LatLng(-12.0, 48.0), LatLng(-8.0, 54.0))));
  setList.push_back(new ElevationSet("SC40/", "http://www.viewfinderpanoramas.org/dem3/SC40.zip", BoundBox(LatLng(-12.0, 54.0), LatLng(-8.0, 60.0))));
  setList.push_back(new ElevationSet("SC47/", "http://www.viewfinderpanoramas.org/dem3/SC47.zip", BoundBox(LatLng(-12.0, 96.0), LatLng(-8.0, 102.0))));
  setList.push_back(new ElevationSet("SC48/", "http://www.viewfinderpanoramas.org/dem3/SC48.zip", BoundBox(LatLng(-12.0, 102.0), LatLng(-8.0, 108.0))));
  setList.push_back(new ElevationSet("SC49/", "http://www.viewfinderpanoramas.org/dem3/SC49.zip", BoundBox(LatLng(-12.0, 108.0), LatLng(-8.0, 114.0))));
  setList.push_back(new ElevationSet("SC50/", "http://www.viewfinderpanoramas.org/dem3/SC50.zip", BoundBox(LatLng(-12.0, 114.0), LatLng(-8.0, 120.0))));
  setList.push_back(new ElevationSet("SC51/", "http://www.viewfinderpanoramas.org/dem3/SC51.zip", BoundBox(LatLng(-12.0, 120.0), LatLng(-8.0, 126.0))));
  setList.push_back(new ElevationSet("SC52/", "http://www.viewfinderpanoramas.org/dem3/SC52.zip", BoundBox(LatLng(-12.0, 126.0), LatLng(-8.0, 132.0))));
  setList.push_back(new ElevationSet("SC53/", "http://www.viewfinderpanoramas.org/dem3/SC53.zip", BoundBox(LatLng(-12.0, 132.0), LatLng(-8.0, 138.0))));
  setList.push_back(new ElevationSet("SC54/", "http://www.viewfinderpanoramas.org/dem3/SC54.zip", BoundBox(LatLng(-12.0, 138.0), LatLng(-8.0, 144.0))));
  setList.push_back(new ElevationSet("SC55/", "http://www.viewfinderpanoramas.org/dem3/SC55.zip", BoundBox(LatLng(-12.0, 144.0), LatLng(-8.0, 150.0))));
  setList.push_back(new ElevationSet("SC56/", "http://www.viewfinderpanoramas.org/dem3/SC56.zip", BoundBox(LatLng(-12.0, 150.0), LatLng(-8.0, 156.0))));
  setList.push_back(new ElevationSet("SC57/", "http://www.viewfinderpanoramas.org/dem3/SC57.zip", BoundBox(LatLng(-12.0, 156.0), LatLng(-8.0, 162.0))));
  setList.push_back(new ElevationSet("SC58/", "http://www.viewfinderpanoramas.org/dem3/SC58.zip", BoundBox(LatLng(-12.0, 162.0), LatLng(-8.0, 168.0))));
  setList.push_back(new ElevationSet("SC59/", "http://www.viewfinderpanoramas.org/dem3/SC59.zip", BoundBox(LatLng(-12.0, 168.0), LatLng(-8.0, 174.0))));
  setList.push_back(new ElevationSet("SC60/", "http://www.viewfinderpanoramas.org/dem3/SC60.zip", BoundBox(LatLng(-12.0, 174.0), LatLng(-8.0, 180.0))));
  setList.push_back(new ElevationSet("SD01/", "http://www.viewfinderpanoramas.org/dem3/SD01.zip", BoundBox(LatLng(-16.0, -180.0), LatLng(-12.0, -174.0))));
  setList.push_back(new ElevationSet("SD02/", "http://www.viewfinderpanoramas.org/dem3/SD02.zip", BoundBox(LatLng(-16.0, -174.0), LatLng(-12.0, -168.0))));
  setList.push_back(new ElevationSet("SD03/", "http://www.viewfinderpanoramas.org/dem3/SD03.zip", BoundBox(LatLng(-16.0, -168.0), LatLng(-12.0, -162.0))));
  setList.push_back(new ElevationSet("SD05/", "http://www.viewfinderpanoramas.org/dem3/SD05.zip", BoundBox(LatLng(-16.0, -156.0), LatLng(-12.0, -150.0))));
  setList.push_back(new ElevationSet("SD06/", "http://www.viewfinderpanoramas.org/dem3/SD06.zip", BoundBox(LatLng(-16.0, -150.0), LatLng(-12.0, -144.0))));
  setList.push_back(new ElevationSet("SD07/", "http://www.viewfinderpanoramas.org/dem3/SD07.zip", BoundBox(LatLng(-16.0, -144.0), LatLng(-12.0, -138.0))));
  setList.push_back(new ElevationSet("SD18/", "http://www.viewfinderpanoramas.org/dem3/SD18.zip", BoundBox(LatLng(-16.0, -78.0), LatLng(-12.0, -72.0))));
  setList.push_back(new ElevationSet("SD19/", "http://www.viewfinderpanoramas.org/dem3/SD19.zip", BoundBox(LatLng(-16.0, -72.0), LatLng(-12.0, -66.0))));
  setList.push_back(new ElevationSet("SD20/", "http://www.viewfinderpanoramas.org/dem3/SD20.zip", BoundBox(LatLng(-16.0, -66.0), LatLng(-12.0, -60.0))));
  setList.push_back(new ElevationSet("SD21/", "http://www.viewfinderpanoramas.org/dem3/SD21.zip", BoundBox(LatLng(-16.0, -60.0), LatLng(-12.0, -54.0))));
  setList.push_back(new ElevationSet("SD22/", "http://www.viewfinderpanoramas.org/dem3/SD22.zip", BoundBox(LatLng(-16.0, -54.0), LatLng(-12.0, -48.0))));
  setList.push_back(new ElevationSet("SD23/", "http://www.viewfinderpanoramas.org/dem3/SD23.zip", BoundBox(LatLng(-16.0, -48.0), LatLng(-12.0, -42.0))));
  setList.push_back(new ElevationSet("SD24/", "http://www.viewfinderpanoramas.org/dem3/SD24.zip", BoundBox(LatLng(-16.0, -42.0), LatLng(-12.0, -36.0))));
  setList.push_back(new ElevationSet("SD30/", "http://www.viewfinderpanoramas.org/dem3/SD30.zip", BoundBox(LatLng(-16.0, -6.0), LatLng(-12.0, 0.0))));
  setList.push_back(new ElevationSet("SD32/", "http://www.viewfinderpanoramas.org/dem3/SD32.zip", BoundBox(LatLng(-16.0, 6.0), LatLng(-12.0, 12.0))));
  setList.push_back(new ElevationSet("SD33/", "http://www.viewfinderpanoramas.org/dem3/SD33.zip", BoundBox(LatLng(-16.0, 12.0), LatLng(-12.0, 18.0))));
  setList.push_back(new ElevationSet("SD34/", "http://www.viewfinderpanoramas.org/dem3/SD34.zip", BoundBox(LatLng(-16.0, 18.0), LatLng(-12.0, 24.0))));
  setList.push_back(new ElevationSet("SD35/", "http://www.viewfinderpanoramas.org/dem3/SD35.zip", BoundBox(LatLng(-16.0, 24.0), LatLng(-12.0, 30.0))));
  setList.push_back(new ElevationSet("SD36/", "http://www.viewfinderpanoramas.org/dem3/SD36.zip", BoundBox(LatLng(-16.0, 30.0), LatLng(-12.0, 36.0))));
  setList.push_back(new ElevationSet("SD37/", "http://www.viewfinderpanoramas.org/dem3/SD37.zip", BoundBox(LatLng(-16.0, 36.0), LatLng(-12.0, 42.0))));
  setList.push_back(new ElevationSet("SD38/", "http://www.viewfinderpanoramas.org/dem3/SD38.zip", BoundBox(LatLng(-16.0, 42.0), LatLng(-12.0, 48.0))));
  setList.push_back(new ElevationSet("SD39/", "http://www.viewfinderpanoramas.org/dem3/SD39.zip", BoundBox(LatLng(-16.0, 48.0), LatLng(-12.0, 54.0))));
  setList.push_back(new ElevationSet("SD40/", "http://www.viewfinderpanoramas.org/dem3/SD40.zip", BoundBox(LatLng(-16.0, 54.0), LatLng(-12.0, 60.0))));
  setList.push_back(new ElevationSet("SD47/", "http://www.viewfinderpanoramas.org/dem3/SD47.zip", BoundBox(LatLng(-16.0, 96.0), LatLng(-12.0, 102.0))));
  setList.push_back(new ElevationSet("SD51/", "http://www.viewfinderpanoramas.org/dem3/SD51.zip", BoundBox(LatLng(-16.0, 120.0), LatLng(-12.0, 126.0))));
  setList.push_back(new ElevationSet("SD52/", "http://www.viewfinderpanoramas.org/dem3/SD52.zip", BoundBox(LatLng(-16.0, 126.0), LatLng(-12.0, 132.0))));
  setList.push_back(new ElevationSet("SD53/", "http://www.viewfinderpanoramas.org/dem3/SD53.zip", BoundBox(LatLng(-16.0, 132.0), LatLng(-12.0, 138.0))));
  setList.push_back(new ElevationSet("SD54/", "http://www.viewfinderpanoramas.org/dem3/SD54.zip", BoundBox(LatLng(-16.0, 138.0), LatLng(-12.0, 144.0))));
  setList.push_back(new ElevationSet("SD55/", "http://www.viewfinderpanoramas.org/dem3/SD55.zip", BoundBox(LatLng(-16.0, 144.0), LatLng(-12.0, 150.0))));
  setList.push_back(new ElevationSet("SD58/", "http://www.viewfinderpanoramas.org/dem3/SD58.zip", BoundBox(LatLng(-16.0, 162.0), LatLng(-12.0, 168.0))));
  setList.push_back(new ElevationSet("SD59/", "http://www.viewfinderpanoramas.org/dem3/SD59.zip", BoundBox(LatLng(-16.0, 168.0), LatLng(-12.0, 174.0))));
  setList.push_back(new ElevationSet("SD60/", "http://www.viewfinderpanoramas.org/dem3/SD60.zip", BoundBox(LatLng(-16.0, 174.0), LatLng(-12.0, 180.0))));
  setList.push_back(new ElevationSet("SE01/", "http://www.viewfinderpanoramas.org/dem3/SE01.zip", BoundBox(LatLng(-20.0, -180.0), LatLng(-16.0, -174.0))));
  setList.push_back(new ElevationSet("SE02/", "http://www.viewfinderpanoramas.org/dem3/SE02.zip", BoundBox(LatLng(-20.0, -174.0), LatLng(-16.0, -168.0))));
  setList.push_back(new ElevationSet("SE03/", "http://www.viewfinderpanoramas.org/dem3/SE03.zip", BoundBox(LatLng(-20.0, -168.0), LatLng(-16.0, -162.0))));
  setList.push_back(new ElevationSet("SE04/", "http://www.viewfinderpanoramas.org/dem3/SE04.zip", BoundBox(LatLng(-20.0, -162.0), LatLng(-16.0, -156.0))));
  setList.push_back(new ElevationSet("SE05/", "http://www.viewfinderpanoramas.org/dem3/SE05.zip", BoundBox(LatLng(-20.0, -156.0), LatLng(-16.0, -150.0))));
  setList.push_back(new ElevationSet("SE06/", "http://www.viewfinderpanoramas.org/dem3/SE06.zip", BoundBox(LatLng(-20.0, -150.0), LatLng(-16.0, -144.0))));
  setList.push_back(new ElevationSet("SE07/", "http://www.viewfinderpanoramas.org/dem3/SE07.zip", BoundBox(LatLng(-20.0, -144.0), LatLng(-16.0, -138.0))));
  setList.push_back(new ElevationSet("SE08/", "http://www.viewfinderpanoramas.org/dem3/SE08.zip", BoundBox(LatLng(-20.0, -138.0), LatLng(-16.0, -132.0))));
  setList.push_back(new ElevationSet("SE18/", "http://www.viewfinderpanoramas.org/dem3/SE18.zip", BoundBox(LatLng(-20.0, -78.0), LatLng(-16.0, -72.0))));
  setList.push_back(new ElevationSet("SE19/", "http://www.viewfinderpanoramas.org/dem3/SE19.zip", BoundBox(LatLng(-20.0, -72.0), LatLng(-16.0, -66.0))));
  setList.push_back(new ElevationSet("SE20/", "http://www.viewfinderpanoramas.org/dem3/SE20.zip", BoundBox(LatLng(-20.0, -66.0), LatLng(-16.0, -60.0))));
  setList.push_back(new ElevationSet("SE21/", "http://www.viewfinderpanoramas.org/dem3/SE21.zip", BoundBox(LatLng(-20.0, -60.0), LatLng(-16.0, -54.0))));
  setList.push_back(new ElevationSet("SE22/", "http://www.viewfinderpanoramas.org/dem3/SE22.zip", BoundBox(LatLng(-20.0, -54.0), LatLng(-16.0, -48.0))));
  setList.push_back(new ElevationSet("SE23/", "http://www.viewfinderpanoramas.org/dem3/SE23.zip", BoundBox(LatLng(-20.0, -48.0), LatLng(-16.0, -42.0))));
  setList.push_back(new ElevationSet("SE24/", "http://www.viewfinderpanoramas.org/dem3/SE24.zip", BoundBox(LatLng(-20.0, -42.0), LatLng(-16.0, -36.0))));
  setList.push_back(new ElevationSet("SE30/", "http://www.viewfinderpanoramas.org/dem3/SE30.zip", BoundBox(LatLng(-20.0, -6.0), LatLng(-16.0, 0.0))));
  setList.push_back(new ElevationSet("SE32/", "http://www.viewfinderpanoramas.org/dem3/SE32.zip", BoundBox(LatLng(-20.0, 6.0), LatLng(-16.0, 12.0))));
  setList.push_back(new ElevationSet("SE33/", "http://www.viewfinderpanoramas.org/dem3/SE33.zip", BoundBox(LatLng(-20.0, 12.0), LatLng(-16.0, 18.0))));
  setList.push_back(new ElevationSet("SE34/", "http://www.viewfinderpanoramas.org/dem3/SE34.zip", BoundBox(LatLng(-20.0, 18.0), LatLng(-16.0, 24.0))));
  setList.push_back(new ElevationSet("SE35/", "http://www.viewfinderpanoramas.org/dem3/SE35.zip", BoundBox(LatLng(-20.0, 24.0), LatLng(-16.0, 30.0))));
  setList.push_back(new ElevationSet("SE36/", "http://www.viewfinderpanoramas.org/dem3/SE36.zip", BoundBox(LatLng(-20.0, 30.0), LatLng(-16.0, 36.0))));
  setList.push_back(new ElevationSet("SE37/", "http://www.viewfinderpanoramas.org/dem3/SE37.zip", BoundBox(LatLng(-20.0, 36.0), LatLng(-16.0, 42.0))));
  setList.push_back(new ElevationSet("SE38/", "http://www.viewfinderpanoramas.org/dem3/SE38.zip", BoundBox(LatLng(-20.0, 42.0), LatLng(-16.0, 48.0))));
  setList.push_back(new ElevationSet("SE39/", "http://www.viewfinderpanoramas.org/dem3/SE39.zip", BoundBox(LatLng(-20.0, 48.0), LatLng(-16.0, 54.0))));
  setList.push_back(new ElevationSet("SE40/", "http://www.viewfinderpanoramas.org/dem3/SE40.zip", BoundBox(LatLng(-20.0, 54.0), LatLng(-16.0, 60.0))));
  setList.push_back(new ElevationSet("SE41/", "http://www.viewfinderpanoramas.org/dem3/SE41.zip", BoundBox(LatLng(-20.0, 60.0), LatLng(-16.0, 66.0))));
  setList.push_back(new ElevationSet("SE50/", "http://www.viewfinderpanoramas.org/dem3/SE50.zip", BoundBox(LatLng(-20.0, 114.0), LatLng(-16.0, 120.0))));
  setList.push_back(new ElevationSet("SE51/", "http://www.viewfinderpanoramas.org/dem3/SE51.zip", BoundBox(LatLng(-20.0, 120.0), LatLng(-16.0, 126.0))));
  setList.push_back(new ElevationSet("SE52/", "http://www.viewfinderpanoramas.org/dem3/SE52.zip", BoundBox(LatLng(-20.0, 126.0), LatLng(-16.0, 132.0))));
  setList.push_back(new ElevationSet("SE53/", "http://www.viewfinderpanoramas.org/dem3/SE53.zip", BoundBox(LatLng(-20.0, 132.0), LatLng(-16.0, 138.0))));
  setList.push_back(new ElevationSet("SE54/", "http://www.viewfinderpanoramas.org/dem3/SE54.zip", BoundBox(LatLng(-20.0, 138.0), LatLng(-16.0, 144.0))));
  setList.push_back(new ElevationSet("SE55/", "http://www.viewfinderpanoramas.org/dem3/SE55.zip", BoundBox(LatLng(-20.0, 144.0), LatLng(-16.0, 150.0))));
  setList.push_back(new ElevationSet("SE56/", "http://www.viewfinderpanoramas.org/dem3/SE56.zip", BoundBox(LatLng(-20.0, 150.0), LatLng(-16.0, 156.0))));
  setList.push_back(new ElevationSet("SE57/", "http://www.viewfinderpanoramas.org/dem3/SE57.zip", BoundBox(LatLng(-20.0, 156.0), LatLng(-16.0, 162.0))));
  setList.push_back(new ElevationSet("SE58/", "http://www.viewfinderpanoramas.org/dem3/SE58.zip", BoundBox(LatLng(-20.0, 162.0), LatLng(-16.0, 168.0))));
  setList.push_back(new ElevationSet("SE59/", "http://www.viewfinderpanoramas.org/dem3/SE59.zip", BoundBox(LatLng(-20.0, 168.0), LatLng(-16.0, 174.0))));
  setList.push_back(new ElevationSet("SE60/", "http://www.viewfinderpanoramas.org/dem3/SE60.zip", BoundBox(LatLng(-20.0, 174.0), LatLng(-16.0, 180.0))));
  setList.push_back(new ElevationSet("SF01/", "http://www.viewfinderpanoramas.org/dem3/SF01.zip", BoundBox(LatLng(-24.0, -180.0), LatLng(-20.0, -174.0))));
  setList.push_back(new ElevationSet("SF04/", "http://www.viewfinderpanoramas.org/dem3/SF04.zip", BoundBox(LatLng(-24.0, -162.0), LatLng(-20.0, -156.0))));
  setList.push_back(new ElevationSet("SF05/", "http://www.viewfinderpanoramas.org/dem3/SF05.zip", BoundBox(LatLng(-24.0, -156.0), LatLng(-20.0, -150.0))));
  setList.push_back(new ElevationSet("SF06/", "http://www.viewfinderpanoramas.org/dem3/SF06.zip", BoundBox(LatLng(-24.0, -150.0), LatLng(-20.0, -144.0))));
  setList.push_back(new ElevationSet("SF07/", "http://www.viewfinderpanoramas.org/dem3/SF07.zip", BoundBox(LatLng(-24.0, -144.0), LatLng(-20.0, -138.0))));
  setList.push_back(new ElevationSet("SF08/", "http://www.viewfinderpanoramas.org/dem3/SF08.zip", BoundBox(LatLng(-24.0, -138.0), LatLng(-20.0, -132.0))));
  setList.push_back(new ElevationSet("SF09/", "http://www.viewfinderpanoramas.org/dem3/SF09.zip", BoundBox(LatLng(-24.0, -132.0), LatLng(-20.0, -126.0))));
  setList.push_back(new ElevationSet("SF19/", "http://www.viewfinderpanoramas.org/dem3/SF19.zip", BoundBox(LatLng(-24.0, -72.0), LatLng(-20.0, -66.0))));
  setList.push_back(new ElevationSet("SF20/", "http://www.viewfinderpanoramas.org/dem3/SF20.zip", BoundBox(LatLng(-24.0, -66.0), LatLng(-20.0, -60.0))));
  setList.push_back(new ElevationSet("SF21/", "http://www.viewfinderpanoramas.org/dem3/SF21.zip", BoundBox(LatLng(-24.0, -60.0), LatLng(-20.0, -54.0))));
  setList.push_back(new ElevationSet("SF22/", "http://www.viewfinderpanoramas.org/dem3/SF22.zip", BoundBox(LatLng(-24.0, -54.0), LatLng(-20.0, -48.0))));
  setList.push_back(new ElevationSet("SF23/", "http://www.viewfinderpanoramas.org/dem3/SF23.zip", BoundBox(LatLng(-24.0, -48.0), LatLng(-20.0, -42.0))));
  setList.push_back(new ElevationSet("SF24/", "http://www.viewfinderpanoramas.org/dem3/SF24.zip", BoundBox(LatLng(-24.0, -42.0), LatLng(-20.0, -36.0))));
  setList.push_back(new ElevationSet("SF26/", "http://www.viewfinderpanoramas.org/dem3/SF26.zip", BoundBox(LatLng(-24.0, -30.0), LatLng(-20.0, -24.0))));
  setList.push_back(new ElevationSet("SF33/", "http://www.viewfinderpanoramas.org/dem3/SF33.zip", BoundBox(LatLng(-24.0, 12.0), LatLng(-20.0, 18.0))));
  setList.push_back(new ElevationSet("SF34/", "http://www.viewfinderpanoramas.org/dem3/SF34.zip", BoundBox(LatLng(-24.0, 18.0), LatLng(-20.0, 24.0))));
  setList.push_back(new ElevationSet("SF35/", "http://www.viewfinderpanoramas.org/dem3/SF35.zip", BoundBox(LatLng(-24.0, 24.0), LatLng(-20.0, 30.0))));
  setList.push_back(new ElevationSet("SF36/", "http://www.viewfinderpanoramas.org/dem3/SF36.zip", BoundBox(LatLng(-24.0, 30.0), LatLng(-20.0, 36.0))));
  setList.push_back(new ElevationSet("SF37/", "http://www.viewfinderpanoramas.org/dem3/SF37.zip", BoundBox(LatLng(-24.0, 36.0), LatLng(-20.0, 42.0))));
  setList.push_back(new ElevationSet("SF38/", "http://www.viewfinderpanoramas.org/dem3/SF38.zip", BoundBox(LatLng(-24.0, 42.0), LatLng(-20.0, 48.0))));
  setList.push_back(new ElevationSet("SF39/", "http://www.viewfinderpanoramas.org/dem3/SF39.zip", BoundBox(LatLng(-24.0, 48.0), LatLng(-20.0, 54.0))));
  setList.push_back(new ElevationSet("SF40/", "http://www.viewfinderpanoramas.org/dem3/SF40.zip", BoundBox(LatLng(-24.0, 54.0), LatLng(-20.0, 60.0))));
  setList.push_back(new ElevationSet("SF49/", "http://www.viewfinderpanoramas.org/dem3/SF49.zip", BoundBox(LatLng(-24.0, 108.0), LatLng(-20.0, 114.0))));
  setList.push_back(new ElevationSet("SF50/", "http://www.viewfinderpanoramas.org/dem3/SF50.zip", BoundBox(LatLng(-24.0, 114.0), LatLng(-20.0, 120.0))));
  setList.push_back(new ElevationSet("SF51/", "http://www.viewfinderpanoramas.org/dem3/SF51.zip", BoundBox(LatLng(-24.0, 120.0), LatLng(-20.0, 126.0))));
  setList.push_back(new ElevationSet("SF52/", "http://www.viewfinderpanoramas.org/dem3/SF52.zip", BoundBox(LatLng(-24.0, 126.0), LatLng(-20.0, 132.0))));
  setList.push_back(new ElevationSet("SF53/", "http://www.viewfinderpanoramas.org/dem3/SF53.zip", BoundBox(LatLng(-24.0, 132.0), LatLng(-20.0, 138.0))));
  setList.push_back(new ElevationSet("SF54/", "http://www.viewfinderpanoramas.org/dem3/SF54.zip", BoundBox(LatLng(-24.0, 138.0), LatLng(-20.0, 144.0))));
  setList.push_back(new ElevationSet("SF55/", "http://www.viewfinderpanoramas.org/dem3/SF55.zip", BoundBox(LatLng(-24.0, 144.0), LatLng(-20.0, 150.0))));
  setList.push_back(new ElevationSet("SF56/", "http://www.viewfinderpanoramas.org/dem3/SF56.zip", BoundBox(LatLng(-24.0, 150.0), LatLng(-20.0, 156.0))));
  setList.push_back(new ElevationSet("SF57/", "http://www.viewfinderpanoramas.org/dem3/SF57.zip", BoundBox(LatLng(-24.0, 156.0), LatLng(-20.0, 162.0))));
  setList.push_back(new ElevationSet("SF58/", "http://www.viewfinderpanoramas.org/dem3/SF58.zip", BoundBox(LatLng(-24.0, 162.0), LatLng(-20.0, 168.0))));
  setList.push_back(new ElevationSet("SF59/", "http://www.viewfinderpanoramas.org/dem3/SF59.zip", BoundBox(LatLng(-24.0, 168.0), LatLng(-20.0, 174.0))));
  setList.push_back(new ElevationSet("SG06/", "http://www.viewfinderpanoramas.org/dem3/SG06.zip", BoundBox(LatLng(-28.0, -150.0), LatLng(-24.0, -144.0))));
  setList.push_back(new ElevationSet("SG07/", "http://www.viewfinderpanoramas.org/dem3/SG07.zip", BoundBox(LatLng(-28.0, -144.0), LatLng(-24.0, -138.0))));
  setList.push_back(new ElevationSet("SG09/", "http://www.viewfinderpanoramas.org/dem3/SG09.zip", BoundBox(LatLng(-28.0, -132.0), LatLng(-24.0, -126.0))));
  setList.push_back(new ElevationSet("SG10/", "http://www.viewfinderpanoramas.org/dem3/SG10.zip", BoundBox(LatLng(-28.0, -126.0), LatLng(-24.0, -120.0))));
  setList.push_back(new ElevationSet("SG12/", "http://www.viewfinderpanoramas.org/dem3/SG12.zip", BoundBox(LatLng(-28.0, -114.0), LatLng(-24.0, -108.0))));
  setList.push_back(new ElevationSet("SG13/", "http://www.viewfinderpanoramas.org/dem3/SG13.zip", BoundBox(LatLng(-28.0, -108.0), LatLng(-24.0, -102.0))));
  setList.push_back(new ElevationSet("SG17/", "http://www.viewfinderpanoramas.org/dem3/SG17.zip", BoundBox(LatLng(-28.0, -84.0), LatLng(-24.0, -78.0))));
  setList.push_back(new ElevationSet("SG19/", "http://www.viewfinderpanoramas.org/dem3/SG19.zip", BoundBox(LatLng(-28.0, -72.0), LatLng(-24.0, -66.0))));
  setList.push_back(new ElevationSet("SG20/", "http://www.viewfinderpanoramas.org/dem3/SG20.zip", BoundBox(LatLng(-28.0, -66.0), LatLng(-24.0, -60.0))));
  setList.push_back(new ElevationSet("SG21/", "http://www.viewfinderpanoramas.org/dem3/SG21.zip", BoundBox(LatLng(-28.0, -60.0), LatLng(-24.0, -54.0))));
  setList.push_back(new ElevationSet("SG22/", "http://www.viewfinderpanoramas.org/dem3/SG22.zip", BoundBox(LatLng(-28.0, -54.0), LatLng(-24.0, -48.0))));
  setList.push_back(new ElevationSet("SG23/", "http://www.viewfinderpanoramas.org/dem3/SG23.zip", BoundBox(LatLng(-28.0, -48.0), LatLng(-24.0, -42.0))));
  setList.push_back(new ElevationSet("SG33/", "http://www.viewfinderpanoramas.org/dem3/SG33.zip", BoundBox(LatLng(-28.0, 12.0), LatLng(-24.0, 18.0))));
  setList.push_back(new ElevationSet("SG34/", "http://www.viewfinderpanoramas.org/dem3/SG34.zip", BoundBox(LatLng(-28.0, 18.0), LatLng(-24.0, 24.0))));
  setList.push_back(new ElevationSet("SG35/", "http://www.viewfinderpanoramas.org/dem3/SG35.zip", BoundBox(LatLng(-28.0, 24.0), LatLng(-24.0, 30.0))));
  setList.push_back(new ElevationSet("SG36/", "http://www.viewfinderpanoramas.org/dem3/SG36.zip", BoundBox(LatLng(-28.0, 30.0), LatLng(-24.0, 36.0))));
  setList.push_back(new ElevationSet("SG38/", "http://www.viewfinderpanoramas.org/dem3/SG38.zip", BoundBox(LatLng(-28.0, 42.0), LatLng(-24.0, 48.0))));
  setList.push_back(new ElevationSet("SG49/", "http://www.viewfinderpanoramas.org/dem3/SG49.zip", BoundBox(LatLng(-28.0, 108.0), LatLng(-24.0, 114.0))));
  setList.push_back(new ElevationSet("SG50/", "http://www.viewfinderpanoramas.org/dem3/SG50.zip", BoundBox(LatLng(-28.0, 114.0), LatLng(-24.0, 120.0))));
  setList.push_back(new ElevationSet("SG51/", "http://www.viewfinderpanoramas.org/dem3/SG51.zip", BoundBox(LatLng(-28.0, 120.0), LatLng(-24.0, 126.0))));
  setList.push_back(new ElevationSet("SG52/", "http://www.viewfinderpanoramas.org/dem3/SG52.zip", BoundBox(LatLng(-28.0, 126.0), LatLng(-24.0, 132.0))));
  setList.push_back(new ElevationSet("SG53/", "http://www.viewfinderpanoramas.org/dem3/SG53.zip", BoundBox(LatLng(-28.0, 132.0), LatLng(-24.0, 138.0))));
  setList.push_back(new ElevationSet("SG54/", "http://www.viewfinderpanoramas.org/dem3/SG54.zip", BoundBox(LatLng(-28.0, 138.0), LatLng(-24.0, 144.0))));
  setList.push_back(new ElevationSet("SG55/", "http://www.viewfinderpanoramas.org/dem3/SG55.zip", BoundBox(LatLng(-28.0, 144.0), LatLng(-24.0, 150.0))));
  setList.push_back(new ElevationSet("SG56/", "http://www.viewfinderpanoramas.org/dem3/SG56.zip", BoundBox(LatLng(-28.0, 150.0), LatLng(-24.0, 156.0))));
  setList.push_back(new ElevationSet("SH01/", "http://www.viewfinderpanoramas.org/dem3/SH01.zip", BoundBox(LatLng(-32.0, -180.0), LatLng(-28.0, -174.0))));
  setList.push_back(new ElevationSet("SH19/", "http://www.viewfinderpanoramas.org/dem3/SH19.zip", BoundBox(LatLng(-32.0, -72.0), LatLng(-28.0, -66.0))));
  setList.push_back(new ElevationSet("SH20/", "http://www.viewfinderpanoramas.org/dem3/SH20.zip", BoundBox(LatLng(-32.0, -66.0), LatLng(-28.0, -60.0))));
  setList.push_back(new ElevationSet("SH21/", "http://www.viewfinderpanoramas.org/dem3/SH21.zip", BoundBox(LatLng(-32.0, -60.0), LatLng(-28.0, -54.0))));
  setList.push_back(new ElevationSet("SH22/", "http://www.viewfinderpanoramas.org/dem3/SH22.zip", BoundBox(LatLng(-32.0, -54.0), LatLng(-28.0, -48.0))));
  setList.push_back(new ElevationSet("SH33/", "http://www.viewfinderpanoramas.org/dem3/SH33.zip", BoundBox(LatLng(-32.0, 12.0), LatLng(-28.0, 18.0))));
  setList.push_back(new ElevationSet("SH34/", "http://www.viewfinderpanoramas.org/dem3/SH34.zip", BoundBox(LatLng(-32.0, 18.0), LatLng(-28.0, 24.0))));
  setList.push_back(new ElevationSet("SH35/", "http://www.viewfinderpanoramas.org/dem3/SH35.zip", BoundBox(LatLng(-32.0, 24.0), LatLng(-28.0, 30.0))));
  setList.push_back(new ElevationSet("SH36/", "http://www.viewfinderpanoramas.org/dem3/SH36.zip", BoundBox(LatLng(-32.0, 30.0), LatLng(-28.0, 36.0))));
  setList.push_back(new ElevationSet("SH49/", "http://www.viewfinderpanoramas.org/dem3/SH49.zip", BoundBox(LatLng(-32.0, 108.0), LatLng(-28.0, 114.0))));
  setList.push_back(new ElevationSet("SH50/", "http://www.viewfinderpanoramas.org/dem3/SH50.zip", BoundBox(LatLng(-32.0, 114.0), LatLng(-28.0, 120.0))));
  setList.push_back(new ElevationSet("SH51/", "http://www.viewfinderpanoramas.org/dem3/SH51.zip", BoundBox(LatLng(-32.0, 120.0), LatLng(-28.0, 126.0))));
  setList.push_back(new ElevationSet("SH52/", "http://www.viewfinderpanoramas.org/dem3/SH52.zip", BoundBox(LatLng(-32.0, 126.0), LatLng(-28.0, 132.0))));
  setList.push_back(new ElevationSet("SH53/", "http://www.viewfinderpanoramas.org/dem3/SH53.zip", BoundBox(LatLng(-32.0, 132.0), LatLng(-28.0, 138.0))));
  setList.push_back(new ElevationSet("SH54/", "http://www.viewfinderpanoramas.org/dem3/SH54.zip", BoundBox(LatLng(-32.0, 138.0), LatLng(-28.0, 144.0))));
  setList.push_back(new ElevationSet("SH55/", "http://www.viewfinderpanoramas.org/dem3/SH55.zip", BoundBox(LatLng(-32.0, 144.0), LatLng(-28.0, 150.0))));
  setList.push_back(new ElevationSet("SH56/", "http://www.viewfinderpanoramas.org/dem3/SH56.zip", BoundBox(LatLng(-32.0, 150.0), LatLng(-28.0, 156.0))));
  setList.push_back(new ElevationSet("SH57/", "http://www.viewfinderpanoramas.org/dem3/SH57.zip", BoundBox(LatLng(-32.0, 156.0), LatLng(-28.0, 162.0))));
  setList.push_back(new ElevationSet("SH58/", "http://www.viewfinderpanoramas.org/dem3/SH58.zip", BoundBox(LatLng(-32.0, 162.0), LatLng(-28.0, 168.0))));
  setList.push_back(new ElevationSet("SI17/", "http://www.viewfinderpanoramas.org/dem3/SI17.zip", BoundBox(LatLng(-36.0, -84.0), LatLng(-32.0, -78.0))));
  setList.push_back(new ElevationSet("SI18/", "http://www.viewfinderpanoramas.org/dem3/SI18.zip", BoundBox(LatLng(-36.0, -78.0), LatLng(-32.0, -72.0))));
  setList.push_back(new ElevationSet("SI19/", "http://www.viewfinderpanoramas.org/dem3/SI19.zip", BoundBox(LatLng(-36.0, -72.0), LatLng(-32.0, -66.0))));
  setList.push_back(new ElevationSet("SI20/", "http://www.viewfinderpanoramas.org/dem3/SI20.zip", BoundBox(LatLng(-36.0, -66.0), LatLng(-32.0, -60.0))));
  setList.push_back(new ElevationSet("SI21/", "http://www.viewfinderpanoramas.org/dem3/SI21.zip", BoundBox(LatLng(-36.0, -60.0), LatLng(-32.0, -54.0))));
  setList.push_back(new ElevationSet("SI22/", "http://www.viewfinderpanoramas.org/dem3/SI22.zip", BoundBox(LatLng(-36.0, -54.0), LatLng(-32.0, -48.0))));
  setList.push_back(new ElevationSet("SI33/", "http://www.viewfinderpanoramas.org/dem3/SI33.zip", BoundBox(LatLng(-36.0, 12.0), LatLng(-32.0, 18.0))));
  setList.push_back(new ElevationSet("SI34/", "http://www.viewfinderpanoramas.org/dem3/SI34.zip", BoundBox(LatLng(-36.0, 18.0), LatLng(-32.0, 24.0))));
  setList.push_back(new ElevationSet("SI35/", "http://www.viewfinderpanoramas.org/dem3/SI35.zip", BoundBox(LatLng(-36.0, 24.0), LatLng(-32.0, 30.0))));
  setList.push_back(new ElevationSet("SI50/", "http://www.viewfinderpanoramas.org/dem3/SI50.zip", BoundBox(LatLng(-36.0, 114.0), LatLng(-32.0, 120.0))));
  setList.push_back(new ElevationSet("SI51/", "http://www.viewfinderpanoramas.org/dem3/SI51.zip", BoundBox(LatLng(-36.0, 120.0), LatLng(-32.0, 126.0))));
  setList.push_back(new ElevationSet("SI52/", "http://www.viewfinderpanoramas.org/dem3/SI52.zip", BoundBox(LatLng(-36.0, 126.0), LatLng(-32.0, 132.0))));
  setList.push_back(new ElevationSet("SI53/", "http://www.viewfinderpanoramas.org/dem3/SI53.zip", BoundBox(LatLng(-36.0, 132.0), LatLng(-32.0, 138.0))));
  setList.push_back(new ElevationSet("SI54/", "http://www.viewfinderpanoramas.org/dem3/SI54.zip", BoundBox(LatLng(-36.0, 138.0), LatLng(-32.0, 144.0))));
  setList.push_back(new ElevationSet("SI55/", "http://www.viewfinderpanoramas.org/dem3/SI55.zip", BoundBox(LatLng(-36.0, 144.0), LatLng(-32.0, 150.0))));
  setList.push_back(new ElevationSet("SI56/", "http://www.viewfinderpanoramas.org/dem3/SI56.zip", BoundBox(LatLng(-36.0, 150.0), LatLng(-32.0, 156.0))));
  setList.push_back(new ElevationSet("SI59/", "http://www.viewfinderpanoramas.org/dem3/SI59.zip", BoundBox(LatLng(-36.0, 168.0), LatLng(-32.0, 174.0))));
  setList.push_back(new ElevationSet("SI60/", "http://www.viewfinderpanoramas.org/dem3/SI60.zip", BoundBox(LatLng(-36.0, 174.0), LatLng(-32.0, 180.0))));
  setList.push_back(new ElevationSet("SJ18/", "http://www.viewfinderpanoramas.org/dem3/SJ18.zip", BoundBox(LatLng(-40.0, -78.0), LatLng(-36.0, -72.0))));
  setList.push_back(new ElevationSet("SJ19/", "http://www.viewfinderpanoramas.org/dem3/SJ19.zip", BoundBox(LatLng(-40.0, -72.0), LatLng(-36.0, -66.0))));
  setList.push_back(new ElevationSet("SJ20/", "http://www.viewfinderpanoramas.org/dem3/SJ20.zip", BoundBox(LatLng(-40.0, -66.0), LatLng(-36.0, -60.0))));
  setList.push_back(new ElevationSet("SJ21/", "http://www.viewfinderpanoramas.org/dem3/SJ21.zip", BoundBox(LatLng(-40.0, -60.0), LatLng(-36.0, -54.0))));
  setList.push_back(new ElevationSet("SJ28/", "http://www.viewfinderpanoramas.org/dem3/SJ28.zip", BoundBox(LatLng(-40.0, -18.0), LatLng(-36.0, -12.0))));
  setList.push_back(new ElevationSet("SJ43/", "http://www.viewfinderpanoramas.org/dem3/SJ43.zip", BoundBox(LatLng(-40.0, 72.0), LatLng(-36.0, 78.0))));
  setList.push_back(new ElevationSet("SJ53/", "http://www.viewfinderpanoramas.org/dem3/SJ53.zip", BoundBox(LatLng(-40.0, 132.0), LatLng(-36.0, 138.0))));
  setList.push_back(new ElevationSet("SJ54/", "http://www.viewfinderpanoramas.org/dem3/SJ54.zip", BoundBox(LatLng(-40.0, 138.0), LatLng(-36.0, 144.0))));
  setList.push_back(new ElevationSet("SJ55/", "http://www.viewfinderpanoramas.org/dem3/SJ55.zip", BoundBox(LatLng(-40.0, 144.0), LatLng(-36.0, 150.0))));
  setList.push_back(new ElevationSet("SJ56/", "http://www.viewfinderpanoramas.org/dem3/SJ56.zip", BoundBox(LatLng(-40.0, 150.0), LatLng(-36.0, 156.0))));
  setList.push_back(new ElevationSet("SJ59/", "http://www.viewfinderpanoramas.org/dem3/SJ59.zip", BoundBox(LatLng(-40.0, 168.0), LatLng(-36.0, 174.0))));
  setList.push_back(new ElevationSet("SJ60/", "http://www.viewfinderpanoramas.org/dem3/SJ60.zip", BoundBox(LatLng(-40.0, 174.0), LatLng(-36.0, 180.0))));
  setList.push_back(new ElevationSet("SK01/", "http://www.viewfinderpanoramas.org/dem3/SK01.zip", BoundBox(LatLng(-44.0, -180.0), LatLng(-40.0, -174.0))));
  setList.push_back(new ElevationSet("SK18/", "http://www.viewfinderpanoramas.org/dem3/SK18.zip", BoundBox(LatLng(-44.0, -78.0), LatLng(-40.0, -72.0))));
  setList.push_back(new ElevationSet("SK19/", "http://www.viewfinderpanoramas.org/dem3/SK19.zip", BoundBox(LatLng(-44.0, -72.0), LatLng(-40.0, -66.0))));
  setList.push_back(new ElevationSet("SK20/", "http://www.viewfinderpanoramas.org/dem3/SK20.zip", BoundBox(LatLng(-44.0, -66.0), LatLng(-40.0, -60.0))));
  setList.push_back(new ElevationSet("SK29/", "http://www.viewfinderpanoramas.org/dem3/SK29.zip", BoundBox(LatLng(-44.0, -12.0), LatLng(-40.0, -6.0))));
  setList.push_back(new ElevationSet("SK54/", "http://www.viewfinderpanoramas.org/dem3/SK54.zip", BoundBox(LatLng(-44.0, 138.0), LatLng(-40.0, 144.0))));
  setList.push_back(new ElevationSet("SK55/", "http://www.viewfinderpanoramas.org/dem3/SK55.zip", BoundBox(LatLng(-44.0, 144.0), LatLng(-40.0, 150.0))));
  setList.push_back(new ElevationSet("SK59/", "http://www.viewfinderpanoramas.org/dem3/SK59.zip", BoundBox(LatLng(-44.0, 168.0), LatLng(-40.0, 174.0))));
  setList.push_back(new ElevationSet("SK60/", "http://www.viewfinderpanoramas.org/dem3/SK60.zip", BoundBox(LatLng(-44.0, 174.0), LatLng(-40.0, 180.0))));
  setList.push_back(new ElevationSet("SL01/", "http://www.viewfinderpanoramas.org/dem3/SL01.zip", BoundBox(LatLng(-48.0, -180.0), LatLng(-44.0, -174.0))));
  setList.push_back(new ElevationSet("SL18/", "http://www.viewfinderpanoramas.org/dem3/SL18.zip", BoundBox(LatLng(-48.0, -78.0), LatLng(-44.0, -72.0))));
  setList.push_back(new ElevationSet("SL19/", "http://www.viewfinderpanoramas.org/dem3/SL19.zip", BoundBox(LatLng(-48.0, -72.0), LatLng(-44.0, -66.0))));
  setList.push_back(new ElevationSet("SL20/", "http://www.viewfinderpanoramas.org/dem3/SL20.zip", BoundBox(LatLng(-48.0, -66.0), LatLng(-44.0, -60.0))));
  setList.push_back(new ElevationSet("SL37/", "http://www.viewfinderpanoramas.org/dem3/SL37.zip", BoundBox(LatLng(-48.0, 36.0), LatLng(-44.0, 42.0))));
  setList.push_back(new ElevationSet("SL39/", "http://www.viewfinderpanoramas.org/dem3/SL39.zip", BoundBox(LatLng(-48.0, 48.0), LatLng(-44.0, 54.0))));
  setList.push_back(new ElevationSet("SL58/", "http://www.viewfinderpanoramas.org/dem3/SL58.zip", BoundBox(LatLng(-48.0, 162.0), LatLng(-44.0, 168.0))));
  setList.push_back(new ElevationSet("SL59/", "http://www.viewfinderpanoramas.org/dem3/SL59.zip", BoundBox(LatLng(-48.0, 168.0), LatLng(-44.0, 174.0))));
  setList.push_back(new ElevationSet("SL60/", "http://www.viewfinderpanoramas.org/dem3/SL60.zip", BoundBox(LatLng(-48.0, 174.0), LatLng(-44.0, 180.0))));
  setList.push_back(new ElevationSet("SM18/", "http://www.viewfinderpanoramas.org/dem3/SM18.zip", BoundBox(LatLng(-52.0, -78.0), LatLng(-48.0, -72.0))));
  setList.push_back(new ElevationSet("SM19/", "http://www.viewfinderpanoramas.org/dem3/SM19.zip", BoundBox(LatLng(-52.0, -72.0), LatLng(-48.0, -66.0))));
  setList.push_back(new ElevationSet("SM20/", "http://www.viewfinderpanoramas.org/dem3/SM20.zip", BoundBox(LatLng(-52.0, -66.0), LatLng(-48.0, -60.0))));
  setList.push_back(new ElevationSet("SM21/", "http://www.viewfinderpanoramas.org/dem3/SM21.zip", BoundBox(LatLng(-52.0, -60.0), LatLng(-48.0, -54.0))));
  setList.push_back(new ElevationSet("SM42/", "http://www.viewfinderpanoramas.org/dem3/SM42.zip", BoundBox(LatLng(-52.0, 66.0), LatLng(-48.0, 72.0))));
  setList.push_back(new ElevationSet("SM58/", "http://www.viewfinderpanoramas.org/dem3/SM58.zip", BoundBox(LatLng(-52.0, 162.0), LatLng(-48.0, 168.0))));
  setList.push_back(new ElevationSet("SM60/", "http://www.viewfinderpanoramas.org/dem3/SM60.zip", BoundBox(LatLng(-52.0, 174.0), LatLng(-48.0, 180.0))));
  setList.push_back(new ElevationSet("SN18/", "http://www.viewfinderpanoramas.org/dem3/SN18.zip", BoundBox(LatLng(-56.0, -78.0), LatLng(-52.0, -72.0))));
  setList.push_back(new ElevationSet("SN19/", "http://www.viewfinderpanoramas.org/dem3/SN19.zip", BoundBox(LatLng(-56.0, -72.0), LatLng(-52.0, -66.0))));
  setList.push_back(new ElevationSet("SN20/", "http://www.viewfinderpanoramas.org/dem3/SN20.zip", BoundBox(LatLng(-56.0, -66.0), LatLng(-52.0, -60.0))));
  setList.push_back(new ElevationSet("SN21/", "http://www.viewfinderpanoramas.org/dem3/SN21.zip", BoundBox(LatLng(-56.0, -60.0), LatLng(-52.0, -54.0))));
  setList.push_back(new ElevationSet("SN24/", "http://www.viewfinderpanoramas.org/dem3/SN24.zip", BoundBox(LatLng(-56.0, -42.0), LatLng(-52.0, -36.0))));
  setList.push_back(new ElevationSet("SN25/", "http://www.viewfinderpanoramas.org/dem3/SN25.zip", BoundBox(LatLng(-56.0, -36.0), LatLng(-52.0, -30.0))));
  setList.push_back(new ElevationSet("SN31/", "http://www.viewfinderpanoramas.org/dem3/SN31.zip", BoundBox(LatLng(-56.0, 0.0), LatLng(-52.0, 6.0))));
  setList.push_back(new ElevationSet("SN43/", "http://www.viewfinderpanoramas.org/dem3/SN43.zip", BoundBox(LatLng(-56.0, 72.0), LatLng(-52.0, 78.0))));
  setList.push_back(new ElevationSet("SN57/", "http://www.viewfinderpanoramas.org/dem3/SN57.zip", BoundBox(LatLng(-56.0, 156.0), LatLng(-52.0, 162.0))));
  setList.push_back(new ElevationSet("SN59/", "http://www.viewfinderpanoramas.org/dem3/SN59.zip", BoundBox(LatLng(-56.0, 168.0), LatLng(-52.0, 174.0))));
  setList.push_back(new ElevationSet("SO26/", "http://www.viewfinderpanoramas.org/dem3/SO26.zip", BoundBox(LatLng(-60.0, -30.0), LatLng(-56.0, -24.0))));
  setList.push_back(new ElevationSet("SP23/", "http://www.viewfinderpanoramas.org/dem3/SP23.zip", BoundBox(LatLng(-64.0, -48.0), LatLng(-60.0, -42.0))));
  setList.push_back(new ElevationSet("SQ58/", "http://www.viewfinderpanoramas.org/dem3/SQ58.zip", BoundBox(LatLng(-68.0, 162.0), LatLng(-64.0, 168.0))));
  setList.push_back(new ElevationSet("SR15/", "http://www.viewfinderpanoramas.org/dem3/SR15.zip", BoundBox(LatLng(-72.0, -96.0), LatLng(-68.0, -90.0))));
  setList.push_back(new ElevationSet("AN1/", "http://www.viewfinderpanoramas.org/ANTDEM3/01-15.zip", BoundBox(LatLng(-90.0, -180.0), LatLng(-60.0, -90.0))));
  setList.push_back(new ElevationSet("AN2/", "http://www.viewfinderpanoramas.org/ANTDEM3/16-30.zip", BoundBox(LatLng(-90.0, -90.0), LatLng(-60.0, 0.0))));
  setList.push_back(new ElevationSet("AN3/", "http://www.viewfinderpanoramas.org/ANTDEM3/31-45.zip", BoundBox(LatLng(-90.0, 0.0), LatLng(-60.0, 90.0))));
  setList.push_back(new ElevationSet("AN4/", "http://www.viewfinderpanoramas.org/ANTDEM3/46-60.zip", BoundBox(LatLng(-90.0, 90.0), LatLng(-60.0, 180.0))));
}
